# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [7.1.0-49](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-48...7.1.0-49) - 2022-09-24

### Merged

- Fixed magnify confusing colorspaces other than linear-RGB. [`#5569`](https://github.com/ImageMagick/ImageMagick/pull/5569)
- Fix timespec assignment on AIX [`#5565`](https://github.com/ImageMagick/ImageMagick/pull/5565)

### Commits

- beta release [`01d9f84`](https://github.com/ImageMagick/ImageMagick/commit/01d9f843dab9e3116bc34598f736ff0d832ec862)
- eliminate compiler warning [`199cd42`](https://github.com/ImageMagick/ImageMagick/commit/199cd42215a6cb98f67cfd39fa5b8d0f3a8fd1be)
- check exception signature [`43913c8`](https://github.com/ImageMagick/ImageMagick/commit/43913c8f62a196787eaeaccfb48de19e47b49186)
- improved JP2 header checking [`a83914e`](https://github.com/ImageMagick/ImageMagick/commit/a83914e22cdb73cf5489183bdfd4049e1ae583a2)
- assign appropriate timespec members individually rather than collectively [`2afa60c`](https://github.com/ImageMagick/ImageMagick/commit/2afa60c9c1d74743a2481cfe28d0aa220e5600d8)
- prevent integer overflow @ oss-fuzz [`6524996`](https://github.com/ImageMagick/ImageMagick/commit/6524996a008b72f5a51efbf78aa0ea1f892ff2a1)
- eliminate use of unitialized variable [`dacfc37`](https://github.com/ImageMagick/ImageMagick/commit/dacfc37aed2c878ef47cf73f85611d76f1959a81)
- Changes build options for libheif. [`071e83b`](https://github.com/ImageMagick/ImageMagick/commit/071e83be4c1d12ab1633fbe587e910e719ab867a)
- Fixed writing duplicate profiles that was reported in #5537. [`8af10ce`](https://github.com/ImageMagick/ImageMagick/commit/8af10ce75526e82b500b1a6cfc827c3b56d67b49)
- earlier check for maximum channels [`9a630bd`](https://github.com/ImageMagick/ImageMagick/commit/9a630bdc9f9f6e5ecd9776e9ef42184dbcf0f786)
- cast unsigned char to int before 8-bit shift [`2cac30d`](https://github.com/ImageMagick/ImageMagick/commit/2cac30d690adb3cb105473462bc8d2c7e4e8fb69)
- Added missing typecast. [`bcac20d`](https://github.com/ImageMagick/ImageMagick/commit/bcac20d0c6a6cd7e95f678c7d50002329ea1ef9d)
- exit on EOF @ https://github.com/ImageMagick/ImageMagick6/issues/197 [`f1337d8`](https://github.com/ImageMagick/ImageMagick/commit/f1337d85b058da0a168a5a6bb7ba65fd5e1e4711)
- forgot to reset the pointer when updating the wand view [`a909485`](https://github.com/ImageMagick/ImageMagick/commit/a909485d86cb32f26fe261009523ee26c378508d)
- clone the image when calling NewWandView() [`4e7883c`](https://github.com/ImageMagick/ImageMagick/commit/4e7883c352972cf3b06418d24b5d89f199b199aa)
- don't clone image [`cf50a01`](https://github.com/ImageMagick/ImageMagick/commit/cf50a01d457fa9943d49e167c38f6461795e59b9)
- some efficiency by using virtual rather than authentic pixels [`1631289`](https://github.com/ImageMagick/ImageMagick/commit/163128974322fb9a933bc53925bc69972009769f)
- revert [`48a4cce`](https://github.com/ImageMagick/ImageMagick/commit/48a4cce8d5193d6bf9e54135bba5085aa57ecb79)
- cosmetic [`c3746a5`](https://github.com/ImageMagick/ImageMagick/commit/c3746a509be1f6b470769ad7d0d1eaba71b00fbe)
- release [`7a3f3f1`](https://github.com/ImageMagick/ImageMagick/commit/7a3f3f1bdbcc95a212a45484fab76225d84e289c)

## [7.1.0-48](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-47...7.1.0-48) - 2022-09-11

### Merged

- png.c: Remove the extra space character in "%8lu " [`#5513`](https://github.com/ImageMagick/ImageMagick/pull/5513)

### Commits

- Corrected setting the flags. [`15861e0`](https://github.com/ImageMagick/ImageMagick/commit/15861e07b34c3195991f4aca7f05f8e861691e9c)
- Adding new jpeg-xl libraries. [`2addb6a`](https://github.com/ImageMagick/ImageMagick/commit/2addb6a1e1c12924a35a96bec32813e5561f0300)
- Disable shared build for jpeg-xl in oss-fuzz build. [`2d7655b`](https://github.com/ImageMagick/ImageMagick/commit/2d7655b8e92ea254c58053403e4fc37f466f6fba)
- beta release [`6e21089`](https://github.com/ImageMagick/ImageMagick/commit/6e21089cbd7be66b15e7963408035fa122ab488a)
- Also clone libjxl. [`69012fa`](https://github.com/ImageMagick/ImageMagick/commit/69012fa495e6c415be511ce537fb0b79c1ff715b)
- heap-buffer-overflow for crafted TIFF image; alert from Hardik [`1f82e81`](https://github.com/ImageMagick/ImageMagick/commit/1f82e81bead325f02f5d71d217452f97b864d3d3)
- Moved getting the distance to a separate method. [`d31664a`](https://github.com/ImageMagick/ImageMagick/commit/d31664a7b5ec3b1aa8f96ff90d27c639d5c20024)
- incorrect bounds checking for draw affine @ https://github.com/ImageMagick/ImageMagick/issues/5497 [`c8b0c9d`](https://github.com/ImageMagick/ImageMagick/commit/c8b0c9d6b95668994b192aba42b8cf8386b9e0a0)
- Also add cc to the editorconfig settings. [`1818a8f`](https://github.com/ImageMagick/ImageMagick/commit/1818a8f83f5ea614ee9a5cbb4e74cfae91424ff2)
- Code style changes. [`df86708`](https://github.com/ImageMagick/ImageMagick/commit/df867085416b85b468841911b398065ea91de5af)
- Change size checks. [`d071d51`](https://github.com/ImageMagick/ImageMagick/commit/d071d518e1038f9b4c35c98dc554150344720cc0)
- No longer make the ping fuzzer format specific. [`3195a4c`](https://github.com/ImageMagick/ImageMagick/commit/3195a4ca58bba46e08e774ae47518dc6b29366a6)
- Corrected check. [`9a22a14`](https://github.com/ImageMagick/ImageMagick/commit/9a22a14d114f3d820ecaff029b8c9f77caa8ced5)
- fix memory issues for the unit tests [`81a8bc4`](https://github.com/ImageMagick/ImageMagick/commit/81a8bc4abcc3f1b161845456aea901087a81186c)
- check to ensure image # is &gt;= 0 [`cb4ccbc`](https://github.com/ImageMagick/ImageMagick/commit/cb4ccbc40c84495301279e0e78ffed94b0b5ac23)
- correct PSNR distortion @ https://github.com/ImageMagick/ImageMagick/issues/5504 [`2d88ff2`](https://github.com/ImageMagick/ImageMagick/commit/2d88ff2eb2d9afbd42f6190bf4084b5ce799f454)
- fix PSNR to return the correct location for similarity search @ https://github.com/ImageMagick/ImageMagick/issues/5504# Please enter the commit message for your changes. Lines starting [`9094277`](https://github.com/ImageMagick/ImageMagick/commit/90942775a5b8716c7d4f0a58af97304493538bec)
- properly handle a PSNR of 0 (undefined) [`dfbf39d`](https://github.com/ImageMagick/ImageMagick/commit/dfbf39d83af7cf6709b5910b8a9c76db163f19ea)
- Set raw_info-&gt;params.user_flip to 0 to prevent auto-orientation of the image (thanks totoestcontent) (#5326). [`5a543ba`](https://github.com/ImageMagick/ImageMagick/commit/5a543bad4954be35c99828d1a1f20bff1d3614e5)
- return normalized PSNR distortion [`751829c`](https://github.com/ImageMagick/ImageMagick/commit/751829cd4c911d7a42953a47c1f73068d9e7da2f)
- log10(0) is -inf [`56aa72d`](https://github.com/ImageMagick/ImageMagick/commit/56aa72d0166d19fbac1cd337d7bab98b94988d1a)
- log10(0) is -inf [`4538e0b`](https://github.com/ImageMagick/ImageMagick/commit/4538e0b7776592090474022c52e73387a9af0182)
- enable the -auto-level option @ https://github.com/ImageMagick/ImageMagick/issues/5524 [`5c6d1cd`](https://github.com/ImageMagick/ImageMagick/commit/5c6d1cd07129084d597aa6de6fd3752cfdbcbecc)
- Added missing inline. [`46a918e`](https://github.com/ImageMagick/ImageMagick/commit/46a918e0b11d1213f6ab06e9b98a640133b0092e)
- Removed define that was only used once. [`3d876c8`](https://github.com/ImageMagick/ImageMagick/commit/3d876c8cb817dab680d6595899cc89304317d0c7)
- validate class name [`debcebf`](https://github.com/ImageMagick/ImageMagick/commit/debcebf3501cedb6cc5928727e62d3520d681928)
- validate stroke width [`71a79c3`](https://github.com/ImageMagick/ImageMagick/commit/71a79c3f0ad728cd32092997db9f2a848334295b)
- render empty labels @ https://github.com/ImageMagick/ImageMagick/issues/5530 [`2397a41`](https://github.com/ImageMagick/ImageMagick/commit/2397a41ca3945e67d656d689e4982002c017652f)
- support -family option @ https://github.com/ImageMagick/ImageMagick/issues/5531 [`b5ae039`](https://github.com/ImageMagick/ImageMagick/commit/b5ae039da8bff594d9d736e50b4973ab2e0e07f3)
- recognize CSS-style family font list @ https://github.com/ImageMagick/ImageMagick/issues/5531 [`2d44f06`](https://github.com/ImageMagick/ImageMagick/commit/2d44f06a6790dbcefb96e0a7a5becb2cbe15faad)
- throw exception for empty label @ https://github.com/ImageMagick/ImageMagick/issues/5530 [`0d501b6`](https://github.com/ImageMagick/ImageMagick/commit/0d501b66a677e5fd440529edc92fd2d60bf1fa60)
- move alpha from meta channels @ https://github.com/ImageMagick/ImageMagick/issues/5521 (patch from Dirk) [`77561be`](https://github.com/ImageMagick/ImageMagick/commit/77561be40bb1cd102b73fdf71323b4ec8a733793)
- Tiny optimization. [`66f41de`](https://github.com/ImageMagick/ImageMagick/commit/66f41deff9174ffca5129f7964f92a3e6c82d2cd)
- Removed duplicate check. [`54f3998`](https://github.com/ImageMagick/ImageMagick/commit/54f39980165651e1df00a897acfc225760af48d2)
- Reverted incorrect patch. [`d57f539`](https://github.com/ImageMagick/ImageMagick/commit/d57f539f7ec5274f5cf3e01fac31ba72a49dc8c6)
- create a single instance of MagickLog10() method in private header [`d6061d9`](https://github.com/ImageMagick/ImageMagick/commit/d6061d9bbc646bf7f7ef467b0d375cb44064a890)
- Run autoreconf -fiv before running configure. [`cc1a92b`](https://github.com/ImageMagick/ImageMagick/commit/cc1a92b6c861c1f27d11468a5532db365675f989)
- Install extra packages. [`dd0b3fb`](https://github.com/ImageMagick/ImageMagick/commit/dd0b3fbaefd98f93a1c6b7981cc7d2f386701774)
- Try to fix the clang build. [`b361e96`](https://github.com/ImageMagick/ImageMagick/commit/b361e9650e07d0326c8510ff4e4618dcfbcd3c07)
- Another attempt to fix the clang build. [`0a535ff`](https://github.com/ImageMagick/ImageMagick/commit/0a535ff4c21dee12e67b83d98e843aa1f4aed70a)
- Revert changes. [`5a84c82`](https://github.com/ImageMagick/ImageMagick/commit/5a84c828159133dd44dee1531cd725d9a8c715e4)
- Silenced warnings. [`2ad0471`](https://github.com/ImageMagick/ImageMagick/commit/2ad04718fd02d35af723fd384993c6a7d0f44144)
- Also install git. [`94fdfc9`](https://github.com/ImageMagick/ImageMagick/commit/94fdfc9d9822782c4a9aab1470948637f722adb1)
- Also set CXX. [`de8c6d6`](https://github.com/ImageMagick/ImageMagick/commit/de8c6d69e8490f6e6295957042f44b7598a9e3ba)
- Also set CXX for app-image build. [`4d7f1a7`](https://github.com/ImageMagick/ImageMagick/commit/4d7f1a7e8b23b4d33f5534ab9064219202873f54)
- Use env instead. [`3a66612`](https://github.com/ImageMagick/ImageMagick/commit/3a666127f8b132187a7c66a7f4a470e433a1f1e9)
- Corrected variable. [`87ed754`](https://github.com/ImageMagick/ImageMagick/commit/87ed7542141d407a4d00cf089de4303d5541e40a)
- Corrected clone for the freetype project. [`2823eb9`](https://github.com/ImageMagick/ImageMagick/commit/2823eb9b06e6bb5961d65b8e8d21c1dc000bbb62)
- Corrected folder. [`6f5dd74`](https://github.com/ImageMagick/ImageMagick/commit/6f5dd7419a840553b2ab287d7880292f8b9298dc)
- Use GitHub mirror instead. [`8ba9e67`](https://github.com/ImageMagick/ImageMagick/commit/8ba9e67d34fb860fc4e02d752885bbe8a8e17070)
- Fix HEIF header include path for MINGW [`fa72362`](https://github.com/ImageMagick/ImageMagick/commit/fa72362104cb9b4924808d5cb77386f9b4e73d5d)
- fix short reallocation @ https://github.com/ImageMagick/ImageMagick/issues/5553 [`fdab524`](https://github.com/ImageMagick/ImageMagick/commit/fdab52405409fee5d7c02fe4e60d5474caa54498)
- proper overflow check [`ca72d98`](https://github.com/ImageMagick/ImageMagick/commit/ca72d98bf1bc3ba6b87e73c4e5627994ab6c8240)
- don't transform to sRGB colorspace if already in a compatible colorspace @ https://github.com/ImageMagick/ImageMagick/discussions/5543 [`c1ca247`](https://github.com/ImageMagick/ImageMagick/commit/c1ca2476540dd2f55ac108a190a75ff83a207a9c)
- release [`c243c92`](https://github.com/ImageMagick/ImageMagick/commit/c243c92818c376315650f6d8340e7e62e9a14a9e)

## [7.1.0-47](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-46...7.1.0-47) - 2022-08-27

### Merged

- The effect of modulate:colorspace LCH is different for palette and true color images. [`#5470`](https://github.com/ImageMagick/ImageMagick/pull/5470)

### Commits

- beta release [`d1be0fd`](https://github.com/ImageMagick/ImageMagick/commit/d1be0fd485f786041401d25a0f554cbd680e653e)
- correct normalization for the complex magnitude-phase option [`d4904e5`](https://github.com/ImageMagick/ImageMagick/commit/d4904e56f4fbda286cfca3661b9a1d4bf93c8279)
- Check for quantum pad overflow (issue notification from hardik) [`2305c70`](https://github.com/ImageMagick/ImageMagick/commit/2305c702ea8d2d911f1be2e7690103e2f3cc8a2e)
- more conservative pad check [`f2398de`](https://github.com/ImageMagick/ImageMagick/commit/f2398de5b897203c36eade3b6cbc754fd57d003a)
- Run autogen with --no-po4a. [`2b3ffd9`](https://github.com/ImageMagick/ImageMagick/commit/2b3ffd976bd8c6845bcf279a99708fa013734a7f)
- Added missing LDFLAGS for the oss-fuzz build. [`afee576`](https://github.com/ImageMagick/ImageMagick/commit/afee576934f3e4865d131f4691d77b743c7cb5e9)
- Also use clang in our codespace. [`825d09e`](https://github.com/ImageMagick/ImageMagick/commit/825d09edb97affa63aafcb24b0b512392389ce7f)
- eliminate undefined behavior, fuzz issue from Hardik [`2dc49e8`](https://github.com/ImageMagick/ImageMagick/commit/2dc49e8b98051d1ed1eb52f84c93941e2f3f9bc8)
- check for extra samples when computing pad, alert from Hardik [`e389397`](https://github.com/ImageMagick/ImageMagick/commit/e389397b2be1a1b586923f279b1f2c36b28b1eb0)
- eliminate pointer overflow, alert from Hardik [`264d91e`](https://github.com/ImageMagick/ImageMagick/commit/264d91e02a2e9c6ec318d751956000d19d5617fc)
- Updated gitignore. [`ed0ebb9`](https://github.com/ImageMagick/ImageMagick/commit/ed0ebb953ad962712e5687b16479924bfdbd6611)
- raw image property unit error @ https://github.com/ImageMagick/ImageMagick/issues/5492 [`6391584`](https://github.com/ImageMagick/ImageMagick/commit/6391584f62fa767a4666d3b8678eca4d957ba7e8)
- Also link libsharpyuv. [`41c6b78`](https://github.com/ImageMagick/ImageMagick/commit/41c6b783621b4c58050b73f9039092a9259d9ada)
- Also link ubsan. [`60ef02c`](https://github.com/ImageMagick/ImageMagick/commit/60ef02c735e16eb08d8b6fa491b657d011356c79)
- Added json to the .editorconfig. [`5c0e94d`](https://github.com/ImageMagick/ImageMagick/commit/5c0e94d485e7f6eaffc39ed7b6420d318e52d7c1)
- Try to disable recommendations. [`793c633`](https://github.com/ImageMagick/ImageMagick/commit/793c6330643dc07d9582d56622658df2d1590c48)
- Force CXX compiler. [`07f3b48`](https://github.com/ImageMagick/ImageMagick/commit/07f3b487f9860fd4eb9422f1a906d0fe83b6fd1c)
- Removed LDFLAGS. [`695b0f5`](https://github.com/ImageMagick/ImageMagick/commit/695b0f58f73304b144dc66bdb2f9a2785ff7cac1)
- squash heap-buffer-overflow, PoC TIFF from Hardik [`30ccf9a`](https://github.com/ImageMagick/ImageMagick/commit/30ccf9a0da1f47161b5935a95be854fe84e6c2a2)
- cosmetic [`d91623c`](https://github.com/ImageMagick/ImageMagick/commit/d91623c1234ae3b4da3f680b05d404af68bcbbf6)
- Also build jpeg-xl with oss-fuzz. [`7dcef54`](https://github.com/ImageMagick/ImageMagick/commit/7dcef546b9463d021e46d8eb16d3a611df1b6ddb)
- release [`47c6f10`](https://github.com/ImageMagick/ImageMagick/commit/47c6f10607fd1b1e6e9226cd9869479902b65821)

## [7.1.0-46](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-45...7.1.0-46) - 2022-08-17

### Commits

- beta release [`5ab412c`](https://github.com/ImageMagick/ImageMagick/commit/5ab412cf47dea2f09f08d2e7e84d1892b711bac8)
- Silenced warning. [`34d98f3`](https://github.com/ImageMagick/ImageMagick/commit/34d98f3e05e8837e8170a488c6d356c511d6fda8)
- cosmetic [`4af7a41`](https://github.com/ImageMagick/ImageMagick/commit/4af7a416cce767020b7feaa31dab8333c501c7f4)
- need uintptr_t for pointer arithmetic @ https://github.com/ImageMagick/ImageMagick/discussions/5380 [`82a8036`](https://github.com/ImageMagick/ImageMagick/commit/82a80362bd2ad1681a9123572c14da8ad958b554)
- eliminate compiler warning [`c7aef5e`](https://github.com/ImageMagick/ImageMagick/commit/c7aef5e5f7f63c7c71047fcafdd202caa026e5e5)
- NCC must return a value less or equal to 1 @ https://github.com/dlemstra/Magick.NET/issues/1220 [`5702794`](https://github.com/ImageMagick/ImageMagick/commit/57027947ebcc94305b299070dca75d60c75b1b55)
- move exit on timeout from MagickCore to convert utility @ https://github.com/dlemstra/Magick.NET/issues/445 [`27b0efa`](https://github.com/ImageMagick/ImageMagick/commit/27b0efa5d26143bdbbc5ac1e24932a1ad3d73501)
- properly render strokes when stroke-opacity set @ https://github.com/ImageMagick/ImageMagick/issues/5422 [`74c381a`](https://github.com/ImageMagick/ImageMagick/commit/74c381a48cb9312f9d263274b61980f8dde5a497)
- we don't currently support read masks for FFT NCC similarity, but we will soon [`a733f5f`](https://github.com/ImageMagick/ImageMagick/commit/a733f5f7e21fa358854dff87199e38f55993b5df)
- validate pixel channel before we interpolate @ https://github.com/ImageMagick/ImageMagick/discussions/4533 [`c8233a0`](https://github.com/ImageMagick/ImageMagick/commit/c8233a0d608ad893c0ba66e540b87168ea88ec0c)
- Use RelinquishMagickMemory instead. [`1efe08d`](https://github.com/ImageMagick/ImageMagick/commit/1efe08d5eab94b2353916a9e4bb82794bf62e84f)
- Renamed variables. [`7191788`](https://github.com/ImageMagick/ImageMagick/commit/71917888ebc8f725c94fb965eff816b5c1dff588)
- Code style changes. [`edf5871`](https://github.com/ImageMagick/ImageMagick/commit/edf587156bf7af0a6127fea3effab61c74df97b4)
- Use create_wchar_path instead. [`09c027d`](https://github.com/ImageMagick/ImageMagick/commit/09c027dcf7bfe1d86addcf395d9fc2156d78da77)
- Corrected patch. [`c26fe1b`](https://github.com/ImageMagick/ImageMagick/commit/c26fe1bca6a9ced10d1504951071e19c7aa256aa)
- Corrected check. [`797e6cc`](https://github.com/ImageMagick/ImageMagick/commit/797e6cc606fb3112fb2648d37fbb125e68bedd76)
- Use create_wchar_path instead. [`880e9fe`](https://github.com/ImageMagick/ImageMagick/commit/880e9fedc4027247fc393492542485bd72ede3f6)
- Revert back to old check. [`2beb319`](https://github.com/ImageMagick/ImageMagick/commit/2beb319d7742eba3da6dfe10be98453d60886e54)
- check image channel bounds @ https://github.com/ImageMagick/ImageMagick/discussions/4533 [`e0aa08b`](https://github.com/ImageMagick/ImageMagick/commit/e0aa08bfe91fb1c2e9afcd9ce0de1f5c85fc4589)
- cosmetic [`3bb41bf`](https://github.com/ImageMagick/ImageMagick/commit/3bb41bf3e9ac10dfdfdedebbae66e88090a60414)
- throw an exception is channel is invalid [`909d6d2`](https://github.com/ImageMagick/ImageMagick/commit/909d6d21a03aa8d8790df1e204e9f5c3dbca51fb)
- cosmetic [`2256431`](https://github.com/ImageMagick/ImageMagick/commit/2256431d1ecc8606b2a2f6c8581abc6a9aafb57a)
- missing break;  fx translator should not allow expressions like u.w.intensity @ https://github.com/ImageMagick/ImageMagick/discussions/4533 [`25c8915`](https://github.com/ImageMagick/ImageMagick/commit/25c89150f62506e5c4ddba1c10a9722d746bca0c)
- a zero length line segment is not a point [`63f3303`](https://github.com/ImageMagick/ImageMagick/commit/63f3303210e8346f8242389f2d98c68e1e049a4a)
- Moved building the dependencies to a separate file. [`a9ef5f1`](https://github.com/ImageMagick/ImageMagick/commit/a9ef5f151bd76a9bdce27dfcc3be339872fd8306)
- Moved building imagemagick to a separate file. [`98a3569`](https://github.com/ImageMagick/ImageMagick/commit/98a35690576eb50d44c0f4a3790d7bb4717addd7)
- Echo flags. [`19de685`](https://github.com/ImageMagick/ImageMagick/commit/19de6852b53e07c3523d95a0159f4b61bf1b1227)
- Also echo $CXXFLAGS [`def0dbe`](https://github.com/ImageMagick/ImageMagick/commit/def0dbed3ee410985c37a83889ee74ab5e741aa1)
- Build with utilities. [`88e7ac1`](https://github.com/ImageMagick/ImageMagick/commit/88e7ac1f0ac50420428caaea7f09bcd958d12c0b)
- Disable shared when building libtiff. [`feca588`](https://github.com/ImageMagick/ImageMagick/commit/feca588ddf8481e879410aa2d5cfd73ad193be87)
- Reverted change. [`b5a0322`](https://github.com/ImageMagick/ImageMagick/commit/b5a03226550b1d4cebfc3f829f8b0c67ec412dba)
- Silence warning for non debug build. [`5d2d413`](https://github.com/ImageMagick/ImageMagick/commit/5d2d4139d093f1d2deeefc8b6649842d77e4184e)
- Stop setting obsolete argument [`cfce900`](https://github.com/ImageMagick/ImageMagick/commit/cfce90040c060269b89d5b16cd168e69d8f5d9f2)
- fix morphology thicken @ https://github.com/ImageMagick/ImageMagick/issues/5433 [`20c3a7e`](https://github.com/ImageMagick/ImageMagick/commit/20c3a7e6110517ea190ad4a89cfb555c2315945d)
- cosmetic [`60d1c0c`](https://github.com/ImageMagick/ImageMagick/commit/60d1c0ce3e5d180d702207eea416d7fed2f20fe8)
- hit and miss morphology now returns expected results [`eac2e28`](https://github.com/ImageMagick/ImageMagick/commit/eac2e284f5058e4dcd17e3665b7656a91ae2a648)
- sync results to morphology docs @ https://imagemagick.org/Usage/morphology/ [`6d428ef`](https://github.com/ImageMagick/ImageMagick/commit/6d428efb9cc6f4fa3f55643bc56be944186239bd)
- synchronize morphology results with docs @ https://imagemagick.org/Usage/morphology [`57afcf0`](https://github.com/ImageMagick/ImageMagick/commit/57afcf001c242b78dd52b8fa21e05ecd0ce81611)
- Disable shared build for libtiff. [`a1f6dfa`](https://github.com/ImageMagick/ImageMagick/commit/a1f6dfaecc6d4d3be0b146c4ec762ad5ae6e75ce)
- Removed echo. [`455ee30`](https://github.com/ImageMagick/ImageMagick/commit/455ee30a1912774be57932e796089f37df94e0aa)
- Don't allocate memory for scale and copyright that are unused. [`aa492c6`](https://github.com/ImageMagick/ImageMagick/commit/aa492c67ec1c6976ae0720718566333ec0415712)
- support word-break option for caption @ https://github.com/ImageMagick/ImageMagick/discussions/5440 [`6cf5918`](https://github.com/ImageMagick/ImageMagick/commit/6cf5918b82219d9832a19d8f0e823f8b948ec5d7)
- increment max arguments [`3b635dc`](https://github.com/ImageMagick/ImageMagick/commit/3b635dc645e2d15ef3206ac92206ead5e57759ef)
- cosmetic [`57d95a4`](https://github.com/ImageMagick/ImageMagick/commit/57d95a4f36cdf86e04c70af52aafb0d8638cc998)
- Added early exit for list length resource limit. [`31048df`](https://github.com/ImageMagick/ImageMagick/commit/31048df7f3cad9d84b31b19410de0048ad4151eb)
- Make files executable. [`20dc982`](https://github.com/ImageMagick/ImageMagick/commit/20dc982c298a4ad256f76676351284fba7b9bce7)
- Added a Codespaces devcontainer that use a similar configuration as our oss-fuzz container. [`6a80e3f`](https://github.com/ImageMagick/ImageMagick/commit/6a80e3f59cae4f30fa5a08f4f7ddd8c93e50a2d0)
- Mark version as beta again. [`b5a271e`](https://github.com/ImageMagick/ImageMagick/commit/b5a271e223dad0fe49dee81cfe2ff3105f832534)
- Build fix. [`af14a94`](https://github.com/ImageMagick/ImageMagick/commit/af14a94b83c4b35c154bd1ec12855215a23001d2)
- set explicit format @ https://github.com/ImageMagick/ImageMagick/issues/5444 [`5ef3d4d`](https://github.com/ImageMagick/ImageMagick/commit/5ef3d4d66e33880d19614f0f64a85ed728ee5226)
- release [`2b90eb9`](https://github.com/ImageMagick/ImageMagick/commit/2b90eb9da96e4c22da6cf6d02e84a2948a5aefa7)

## [7.1.0-45](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-44...7.1.0-45) - 2022-07-31

### Merged

- Update Readme.md [`#5320`](https://github.com/ImageMagick/ImageMagick/pull/5320)

### Commits

- beta release [`9e3fa16`](https://github.com/ImageMagick/ImageMagick/commit/9e3fa1679410d511c691d5f6eb09f7d0a2ae0e3f)
- beta release [`ca18a05`](https://github.com/ImageMagick/ImageMagick/commit/ca18a0519b5ee0d08505f8fe8e6be2ef4fde212b)
- omp_init_lock() has undefined behavior if the lock is already init'ed @ https://github.com/ImageMagick/ImageMagick/issues/5360 [`fc4744f`](https://github.com/ImageMagick/ImageMagick/commit/fc4744f79987ba5309ab4e5cb95faacab2ca72a9)
- verify Freetype delegate library is version 2.8 or above [`8a25b36`](https://github.com/ImageMagick/ImageMagick/commit/8a25b36867cc5872e9ebde7e83e96a0600d2eebe)
- Whitespace. [`70e7690`](https://github.com/ImageMagick/ImageMagick/commit/70e7690706e79d653bbb35aeb6b603cceb82bea7)
- Changed checks for libtiff. [`ee1f26f`](https://github.com/ImageMagick/ImageMagick/commit/ee1f26ff19ae070d91fab8415a9f7950a2b4d19d)
- conditionally destroy mutux [`b4f429f`](https://github.com/ImageMagick/ImageMagick/commit/b4f429ff28ca7d0ad172e567c01deb8b7503ac5d)
- lock/unlock mutex assumes an initialized lock [`deb080b`](https://github.com/ImageMagick/ImageMagick/commit/deb080b28ef0216e2d0785db923445dee4e8fc41)
- Removed MAGICKCORE_HAVE_TIFF checks. [`c6f8c5e`](https://github.com/ImageMagick/ImageMagick/commit/c6f8c5e49f1747eb7cf2b98f5d70ea77d66bc6cf)
- Removed variables that are set but never used. [`e973979`](https://github.com/ImageMagick/ImageMagick/commit/e973979e6fa1746616b08b01a9d8fd07d9089bb4)
- fix -evaluate Pow 2 issue @ https://github.com/ImageMagick/ImageMagick/issues/5376 [`a318c2d`](https://github.com/ImageMagick/ImageMagick/commit/a318c2da8115312ccf2f3d5b22e5ac9e9fcc1f6d)
- cosmetic [`94deb70`](https://github.com/ImageMagick/ImageMagick/commit/94deb70e6b2e773b3d4a3a4ef54df6377b501896)
- set virtual pixel method for connected components algorithm @ https://github.com/ImageMagick/ImageMagick/issues/5368 [`d65a985`](https://github.com/ImageMagick/ImageMagick/commit/d65a985729b50762f1e352e128db245dba7a3fea)
- eliminate compiler issues / warnings [`fc11d83`](https://github.com/ImageMagick/ImageMagick/commit/fc11d8357eeae86c2ef33f899846af10f64f7fd7)
- fix cast from provenance-free integer type to pointer type @ https://github.com/ImageMagick/ImageMagick/discussions/5380 [`6e29345`](https://github.com/ImageMagick/ImageMagick/commit/6e29345c58386f30ebad04adae636b81ef1333c6)
- https://github.com/ImageMagick/ImageMagick/pull/5320 [`8e395fd`](https://github.com/ImageMagick/ImageMagick/commit/8e395fdae15e427ef0dc4f09b60ac8089b3f6530)
- authenticate distributed cache [`d8d651e`](https://github.com/ImageMagick/ImageMagick/commit/d8d651e5724287315d3eae12557830e3a6be4030)
- cosmetic [`aad18ad`](https://github.com/ImageMagick/ImageMagick/commit/aad18ad71a50a30cf9ea9c647171b75ee89fae77)
- eliminate compiler warning [`10e6f75`](https://github.com/ImageMagick/ImageMagick/commit/10e6f7578850c1c71fa995f01e1ea84c7604d5af)
- divide NCC by the # of channels @ https://github.com/dlemstra/Magick.NET/issues/1220 [`64bdc88`](https://github.com/ImageMagick/ImageMagick/commit/64bdc8865b329395b2921ea9ce2e2f0623f197be)
- release [`d9369f5`](https://github.com/ImageMagick/ImageMagick/commit/d9369f5ef4580cf365c1950db78327689f5cb250)
- improve distributed cache exception messages [`d80f6a7`](https://github.com/ImageMagick/ImageMagick/commit/d80f6a7cd7b569d39ae657bd9ebe1ef3f57f8f95)
- release [`e32676e`](https://github.com/ImageMagick/ImageMagick/commit/e32676e0a7626768f98e851be1c28cb611acfacc)

## [7.1.0-44](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-43...7.1.0-44) - 2022-07-24

### Merged

- build: fix quoting for autoconf sendfile check [`#5333`](https://github.com/ImageMagick/ImageMagick/pull/5333)

### Commits

- beta release [`54080fc`](https://github.com/ImageMagick/ImageMagick/commit/54080fc7ee70731bc07a204b77efaf6b28c3ff08)
- beta release [`34683fa`](https://github.com/ImageMagick/ImageMagick/commit/34683fa9106788f63bca0ac2a6255de4b38bc4ce)
- ... [`220a680`](https://github.com/ImageMagick/ImageMagick/commit/220a6800956959970ac9d9d03fc595564736c8a6)
- respect configure's --disable-assert option [`bf9fcc1`](https://github.com/ImageMagick/ImageMagick/commit/bf9fcc129ab026ebb7e05bbad3b833a833eb1a87)
- disable assert in ImageMagick specific header [`86bbe49`](https://github.com/ImageMagick/ImageMagick/commit/86bbe49925db5095e88e45390b4fb88231302abb)
- Reduce MaxMemoryRequest. [`d2a9180`](https://github.com/ImageMagick/ImageMagick/commit/d2a918098878bd73a57a34b901b5ae85c0c8d17f)
- Use our own memory manager for Freetype memory allocation. [`f5f3dd8`](https://github.com/ImageMagick/ImageMagick/commit/f5f3dd83933669168ed147b9fbe3ac663d6fcd73)
- Added extra checks to make sure we don't go out of bounds when checking spaces. [`dd9e9bb`](https://github.com/ImageMagick/ImageMagick/commit/dd9e9bb80e500ad5e1213e7b4a5f7075ef09b547)
- Added extra options to point to ImageMagick6 and Freds-Scripts. [`abaa4dc`](https://github.com/ImageMagick/ImageMagick/commit/abaa4dc0acd8518052c19b4f83d4e17314458542)
- Changed correction to fix issue reported in #5326. [`9c90852`](https://github.com/ImageMagick/ImageMagick/commit/9c9085248492c1b2c32388e5fa5ccb057dd99141)
- cosmetic [`d8c641f`](https://github.com/ImageMagick/ImageMagick/commit/d8c641ff5dfd45f707fe7e33312b224272002a49)
- cosmetic changes [`215e407`](https://github.com/ImageMagick/ImageMagick/commit/215e407181bc7b7a67675ad4675bfc24735d9465)
- fix spurious extra channel @ https://github.com/ImageMagick/ImageMagick/issues/5325 [`787a7c2`](https://github.com/ImageMagick/ImageMagick/commit/787a7c22998d89210ff088234b36d369dd5856d1)
- framework for bayer image format (in-progress) [`e65c7e6`](https://github.com/ImageMagick/ImageMagick/commit/e65c7e60962da8707e7d117f6576e300fc681923)
- initial bayer coder header [`872f637`](https://github.com/ImageMagick/ImageMagick/commit/872f637a8715f9b5eaab3fc0c6b7037ecf146508)
- move MagickCommandGenesis() as mogrify.c will be deprecated someday [`cd80a8a`](https://github.com/ImageMagick/ImageMagick/commit/cd80a8a842d983c2805e4e9fe5bb6d8541038ccb)
- switch to MagickImageCommand() as ConvertImageCommand() will deprecate in the future [`2d96d8e`](https://github.com/ImageMagick/ImageMagick/commit/2d96d8e36cfa8ffe4bd92675a3aaf6c9bf235036)
- add `magick` CLI unit test [`f6282ec`](https://github.com/ImageMagick/ImageMagick/commit/f6282ec88ca5233d19654b040be34506c96f2219)
- support read raw Bayer (rggb) images based on http://im.snibgo.com/demosaic.htm [`2c08642`](https://github.com/ImageMagick/ImageMagick/commit/2c086422dbc1f845fbcc212929a61fabc53a2924)
- Added earlier exit for when writing the pixel row fails. [`df5637a`](https://github.com/ImageMagick/ImageMagick/commit/df5637a4aeb494f99802f251509c86edf38e199d)
- support writing bayer raw image samples [`1f04c1d`](https://github.com/ImageMagick/ImageMagick/commit/1f04c1d86831f73952760e91f29b8e37a60d234a)
- Changed the default Windows build to dynamic. [`e552479`](https://github.com/ImageMagick/ImageMagick/commit/e552479efe89fe0681892221245befe2611e8ca6)
- eliminate a double free per [`4139ef8`](https://github.com/ImageMagick/ImageMagick/commit/4139ef88d566c6572e4bb998ba19fcabdc7ec160)
- fix quoting for autoconf sendfile check [`017a485`](https://github.com/ImageMagick/ImageMagick/commit/017a485ac916e1d7c452f5f3470de5f3e483524f)
- Read bayer image without using MagickImageCommand. [`0afa38d`](https://github.com/ImageMagick/ImageMagick/commit/0afa38d17e78ece86eb64d693838ae54b5ede58b)
- make GRAY explicit to force the GRAY coder [`a61aed8`](https://github.com/ImageMagick/ImageMagick/commit/a61aed8956f8bc5b32b70f1db3a149d62a8ddb2b)
- Write bayer image without using MagickImageCommand. [`98fc6cb`](https://github.com/ImageMagick/ImageMagick/commit/98fc6cbbc2c096a3bd71f6ca95bdfd7b72bb4e45)
- Renamed variables. [`184e9be`](https://github.com/ImageMagick/ImageMagick/commit/184e9bec9195e7577d6d9aef049f31b0013f61d8)
- Corrected solution name. [`e1dd8ed`](https://github.com/ImageMagick/ImageMagick/commit/e1dd8edeece0947fa11dc0c155b2f108458c36c5)
- bayer coder is no longer dependent on MagickWand lib [`e236e87`](https://github.com/ImageMagick/ImageMagick/commit/e236e87424075d7d22820e2cf6780a69c1be1e40)
- add Dirk as coder author [`1f1482d`](https://github.com/ImageMagick/ImageMagick/commit/1f1482d7feca6a77e4d60713a4aafb14dab7ec19)
- Moved creation of the fill pattern image. [`6b83a76`](https://github.com/ImageMagick/ImageMagick/commit/6b83a7654e345754f751f9171ea92e2ae763b0eb)
- Use different configuration to make sure all configurations are build. [`77bcc95`](https://github.com/ImageMagick/ImageMagick/commit/77bcc95c06ca8bdbf709b24eb3a96efff83adb41)
- fix tiled pattern for -virtual-pixel none @ https://github.com/ImageMagick/ImageMagick/discussions/5331 [`055d941`](https://github.com/ImageMagick/ImageMagick/commit/055d9416c960488a0153e3d5a1a02cf84997247e)
- check primitive boundaries to avoid overflow [`75c4e7f`](https://github.com/ImageMagick/ImageMagick/commit/75c4e7fca9f5b2bbd25e42ec7aa56468a75f98a5)
- eliminate unitialized warning [`6adb276`](https://github.com/ImageMagick/ImageMagick/commit/6adb276e2c75c4445de442f83f71f65547e5f98a)
- Corrected channel checks inside PerceptibleImage. [`33d3567`](https://github.com/ImageMagick/ImageMagick/commit/33d3567be16098b43e2f7e876fe058472709ca9f)
- Removed CoderDecoderThreadSupportFlag | CoderEncoderThreadSupportFlag and because we are no longer using wand. [`7860a04`](https://github.com/ImageMagick/ImageMagick/commit/7860a04904cd79e7ec72e0b3eb0bdc37b7fb12ce)
- Eliminate double free. [`892040b`](https://github.com/ImageMagick/ImageMagick/commit/892040b56cc81ae2068ad59f78888d0f2fce79d9)
- Use consistent naming. [`5c1e4e5`](https://github.com/ImageMagick/ImageMagick/commit/5c1e4e5a9339e100b04318cf14068afd74542d38)
- Open blob before checking dimensions to avoid memory leak in ImagesToBlob and ImageToBlob. [`444800f`](https://github.com/ImageMagick/ImageMagick/commit/444800f1385fcb58e9ec5bd9aae63bd9e3b156c1)
- cosmetic [`9e020d2`](https://github.com/ImageMagick/ImageMagick/commit/9e020d234e55a41513d3084981f252ed506858c0)
- set opaque alpha channel for pattern coder @ https://github.com/ImageMagick/ImageMagick/discussions/5331 [`ed5737d`](https://github.com/ImageMagick/ImageMagick/commit/ed5737db30014f4b8e60b9e77704b26432282121)
- create property for constrast and linear stretch [`a254d10`](https://github.com/ImageMagick/ImageMagick/commit/a254d108832ff60de0d85899b272d56449d7aabc)
- protect MagickCoreTerminus() with a mutex @ https://github.com/ImageMagick/ImageMagick/issues/5360 [`efb11f5`](https://github.com/ImageMagick/ImageMagick/commit/efb11f5f681bf419c91ebcfe1fce0f76ca5e90f9)
- release [`0def2d2`](https://github.com/ImageMagick/ImageMagick/commit/0def2d22ca04a68677ae88f275511098752d0ca0)
- revert optimal texture mapping [`efb742d`](https://github.com/ImageMagick/ImageMagick/commit/efb742d2dd2951ac1b62b40fac697d8870860e30)
- associate {linear,constrast}-stretch with histogram namespace [`3628467`](https://github.com/ImageMagick/ImageMagick/commit/3628467f8a9981f2a85531fa98b2f91ab4157e09)
- contrast-stretch proper is percent of total pixels to clip [`a2e819a`](https://github.com/ImageMagick/ImageMagick/commit/a2e819ae89818f41f1d170defe8edf8c67760410)
- release [`0f290dc`](https://github.com/ImageMagick/ImageMagick/commit/0f290dc318a86972e428437bc69b1b063f2ad7d4)
- release [`32491af`](https://github.com/ImageMagick/ImageMagick/commit/32491af93965e30940bb0f4bd183eb867cc44678)
- Remove unnecessary typecast. [`93737f7`](https://github.com/ImageMagick/ImageMagick/commit/93737f78c8a29451f07f1a8b380673a032896b1c)
- Open blob earlier to possible avoid memory leak in ImagesToBlob and ImageToBlob. [`794e12f`](https://github.com/ImageMagick/ImageMagick/commit/794e12faed276a84fb0193a7a7d2a392b202f8b5)
- Corrected detection of transparent pixels (#5366) [`d033472`](https://github.com/ImageMagick/ImageMagick/commit/d033472aa43cbab948080117380c6294d9031b05)
- release [`ad83b6a`](https://github.com/ImageMagick/ImageMagick/commit/ad83b6a2921687661a91ffd9e3db33f82db8408f)
- release [`520a724`](https://github.com/ImageMagick/ImageMagick/commit/520a7245e8069fb3367b2fef790978a77b3e2a9a)
- release [`6cd515d`](https://github.com/ImageMagick/ImageMagick/commit/6cd515dee3010d6d5accfacb2a2943fdc8dc16f8)

## [7.1.0-43](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-42...7.1.0-43) - 2022-07-09

### Commits

- beta release [`c9ea9fd`](https://github.com/ImageMagick/ImageMagick/commit/c9ea9fd96d950849d381ce41250609d4c329303c)
- release [`71011cf`](https://github.com/ImageMagick/ImageMagick/commit/71011cf1d38ea9bc5eac52fee433b58569b24167)
- beta release [`8718d62`](https://github.com/ImageMagick/ImageMagick/commit/8718d62924c78a8b323e8dc5962eea151edebd38)
- release [`c95ef31`](https://github.com/ImageMagick/ImageMagick/commit/c95ef31d1ed702cc502f06202b17fee39e27ced9)

## [7.1.0-42](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-41...7.1.0-42) - 2022-07-09

### Commits

- incorrect pointer update when computing median @ https://github.com/ImageMagick/ImageMagick/issues/5298 [`e29f487`](https://github.com/ImageMagick/ImageMagick/commit/e29f487ccdbe9f971fa69f16785767b2484a8f0e)
- beta release [`3a3baa9`](https://github.com/ImageMagick/ImageMagick/commit/3a3baa91cfee5af70f87266f33db54917739ba19)
- Added extra check because the flag was removed in 0.21-Beta1. [`0b13828`](https://github.com/ImageMagick/ImageMagick/commit/0b13828b46ac7fc83a1eb677bda602285f8f04cd)
- the -transparent-color option accepts colornames @ https://github.com/ImageMagick/ImageMagick/discussions/5297 [`ce18e42`](https://github.com/ImageMagick/ImageMagick/commit/ce18e422f951fa3e2627539b7bc0b03082176eea)
- fix MVG stroke-opacity issues [`6cd5112`](https://github.com/ImageMagick/ImageMagick/commit/6cd511240400d5be19a95811a54de302186d5afd)
- map channel parameter to pixel channel offset @ https://github.com/ImageMagick/ImageMagick/issues/5308 [`6bd722b`](https://github.com/ImageMagick/ImageMagick/commit/6bd722bfdd21ea03c7a309d11f0f1d18af6e2f1c)
- release [`396d87c`](https://github.com/ImageMagick/ImageMagick/commit/396d87cf05f21810b1f64ac3f7d1d26653a90b96)

## [7.1.0-41](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-40...7.1.0-41) - 2022-07-06

### Commits

- beta release [`19f1a50`](https://github.com/ImageMagick/ImageMagick/commit/19f1a50371acc1f4eaead23d097523319e64894a)
- preserve input depth @ https://github.com/ImageMagick/ImageMagick6/issues/188 [`a69791d`](https://github.com/ImageMagick/ImageMagick/commit/a69791d9fbe91f1428ab1f75d3493649d96fba19)
- cosmetic [`56dba8e`](https://github.com/ImageMagick/ImageMagick/commit/56dba8e426519c4e95405b2018618edafe434daf)
- update to latest automake/autoconf release [`52d6892`](https://github.com/ImageMagick/ImageMagick/commit/52d689220fc5d5b2e2fc0fc4389ee781764bf07e)
- recognize SVG file if it starts with whitespace @ https://github.com/ImageMagick/ImageMagick/issues/5294 [`db042fb`](https://github.com/ImageMagick/ImageMagick/commit/db042fbefdb06f71b8e1e01a78c245b35983b492)
- Removed unused stealth flag. [`316b9d5`](https://github.com/ImageMagick/ImageMagick/commit/316b9d5ae46463697400536923585843fe294aa2)
- Removed used path field. [`ed8d481`](https://github.com/ImageMagick/ImageMagick/commit/ed8d481cacaec90db2f4883661c359aebe2f5fa1)
- Removed unused target field. [`92d2fe1`](https://github.com/ImageMagick/ImageMagick/commit/92d2fe198173cab3bf1faf610784647e209f61c7)
- Removed unused exempt field. [`3036966`](https://github.com/ImageMagick/ImageMagick/commit/3036966f9a9cd59f9e76fbe48bcf0aadce026dcb)
- Added extra option to the skip spaces to the MagicInfo. [`1563f07`](https://github.com/ImageMagick/ImageMagick/commit/1563f074ff2e6cc3f3e2e218acfc112dc90ee288)
- Always start at the start of the string when comparing the magic value. [`be46ed6`](https://github.com/ImageMagick/ImageMagick/commit/be46ed631986a01f725191ff49e3c93d744fa10e)
- cosmetic [`c4a9a8b`](https://github.com/ImageMagick/ImageMagick/commit/c4a9a8bd598c1c480f0a10a911a22b15889171d4)
- avoid OMP deadlock @ https://github.com/ImageMagick/ImageMagick/issues/5301 [`1de5b94`](https://github.com/ImageMagick/ImageMagick/commit/1de5b94fb832d3b7d2909764cb6a4e5dd2d12c3d)
- release [`8a38ada`](https://github.com/ImageMagick/ImageMagick/commit/8a38adadf20522c8f39f81200109f99976d29bec)

## [7.1.0-40](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-39...7.1.0-40) - 2022-07-03

### Commits

- beta release [`15fbf4d`](https://github.com/ImageMagick/ImageMagick/commit/15fbf4da67cd51f903c13adbebd40eda1bfff047)
- prevent undefined shift [`2b10479`](https://github.com/ImageMagick/ImageMagick/commit/2b10479483641a0dd3092650edd4964b591cf3b9)
- prevent possible buffer overflow [`a854a0a`](https://github.com/ImageMagick/ImageMagick/commit/a854a0a8af977a1b67830f02a53d9eb4d877e10d)
- correct copy/paste error [`b11d647`](https://github.com/ImageMagick/ImageMagick/commit/b11d64704f46cedade2ca3cdcebbc8d1f315035e)
- We need to free the stream ourselves when the call to FT_Open_Face fails. [`a1eb122`](https://github.com/ImageMagick/ImageMagick/commit/a1eb12255c950825c96714d86d6a69e8e83bc9e2)
- Added missing call to DestroyString. [`bc786da`](https://github.com/ImageMagick/ImageMagick/commit/bc786dac768bd5013cd497c5788aea7a0f02e873)
- MVG requires seekable stream [`16f316e`](https://github.com/ImageMagick/ImageMagick/commit/16f316e33a66c67dfc13cd4cbe82097bee90f7e5)
- Added extra malloc method to avoid early calls to the policy checks on Windows. [`57e7129`](https://github.com/ImageMagick/ImageMagick/commit/57e7129d4e75dee3024e7ad1fba6b18356ec10d0)
- Removed defines. [`d868d16`](https://github.com/ImageMagick/ImageMagick/commit/d868d16a8c0548d144223e33896f3c0e6a4677e2)
- Only check for dll's in non static build. [`59be75e`](https://github.com/ImageMagick/ImageMagick/commit/59be75ecd4d310edc8ea4de73d42f871dcee0580)
- Set the client name and path earlier. [`b26efc7`](https://github.com/ImageMagick/ImageMagick/commit/b26efc7a6fba5c683c4e3a0447654a2785541dd2)
- fix background opacity rounding @ https://github.com/ImageMagick/ImageMagick/issues/5264 [`b42d5cb`](https://github.com/ImageMagick/ImageMagick/commit/b42d5cbea9bb289130094d6299ff4897b75ab37b)
- empty result on conversion from tiff to pdf @ https://github.com/ImageMagick/ImageMagick/issues/5256 [`9075c30`](https://github.com/ImageMagick/ImageMagick/commit/9075c3037b37b09b188626ff68559083328c6809)
- Corrected patch that was made for #5256. [`002a038`](https://github.com/ImageMagick/ImageMagick/commit/002a0380bd6828201574a05ce9484e8136871086)
- Pass negative interline_spacing to pango [`7e20db5`](https://github.com/ImageMagick/ImageMagick/commit/7e20db545aade7638047341bccdfb31807525d82)
- Also check extension to fix possible stack overflow. [`acae312`](https://github.com/ImageMagick/ImageMagick/commit/acae31224ed02694b25570e6ce121925d8c0227c)
- eliminate possible buffer overflow [`309dfda`](https://github.com/ImageMagick/ImageMagick/commit/309dfda1122f08fcf349b6f611b3b6df994d9297)
- set group 4 photometric to min-is-white [`6ab6a3f`](https://github.com/ImageMagick/ImageMagick/commit/6ab6a3f141d0c2dd4a3b52dea0db6cdb807f1fab)
- dasharray requires non-zero values [`19cdaf1`](https://github.com/ImageMagick/ImageMagick/commit/19cdaf1154a4fdfcff9551724dbe8b44a89765e0)
- cosmetic [`75249eb`](https://github.com/ImageMagick/ImageMagick/commit/75249ebf0800f785e451337c6b70072195d5f866)
- eliminate compiler warning [`d192518`](https://github.com/ImageMagick/ImageMagick/commit/d19251872eea427615ecc2b5f3726cd91ec19480)
- only permit one rows/columns keyword [`972f445`](https://github.com/ImageMagick/ImageMagick/commit/972f445c9064afefa0e61cfc906aa102e0ee45fb)
- Moved allocation back to the correct spot to avoid bypassing SetImageExtent. [`9a8c352`](https://github.com/ImageMagick/ImageMagick/commit/9a8c352c06613c557c3ba5113b79afaae429c1c4)
- Also restore setting quantum_info to null. [`bc14685`](https://github.com/ImageMagick/ImageMagick/commit/bc146855d32c1fbac33a9d0c9f8b2dbc9f83cec1)
- revert [`5e87813`](https://github.com/ImageMagick/ImageMagick/commit/5e87813a9935e9b5ed634e601bf5b329cfc765bf)
- eliminate uninitialized value warning [`8584fcd`](https://github.com/ImageMagick/ImageMagick/commit/8584fcd4b162abc22229e3555dbd08f820057ee3)
- Make sure all text strings are freed when realloc fails. [`76693a4`](https://github.com/ImageMagick/ImageMagick/commit/76693a4cbd42bfa77cb089a3033fe19c7c1f7650)
- Reset primitive_info inside RenderMVGContent because this address could point to another address. [`e2bf123`](https://github.com/ImageMagick/ImageMagick/commit/e2bf123cbaff9dcde654116a933b202cffac2e18)
- Always check if .text is set instead. [`dd2791b`](https://github.com/ImageMagick/ImageMagick/commit/dd2791b0fdb7175f0e658b76637ed7aead5ed95c)
- eliminate uninitialized alpha pixel [`7f01237`](https://github.com/ImageMagick/ImageMagick/commit/7f0123790b85438962b60c362d0bfe2557ce1c2c)
- remove debugging mod [`1ad7086`](https://github.com/ImageMagick/ImageMagick/commit/1ad70866a53f588031c50821bfcd743de7c66df9)
- eliminate compiler warning [`51e2b04`](https://github.com/ImageMagick/ImageMagick/commit/51e2b04a82aad68a06219ab620e41c00acdb43fc)
- recognize read-mask & write-mask for -channel option [`6b8d6f9`](https://github.com/ImageMagick/ImageMagick/commit/6b8d6f9ff85b8ccfcd6e281782878bd91eee2b2d)
- eliminate compiler warning [`e32bd1d`](https://github.com/ImageMagick/ImageMagick/commit/e32bd1d99f8d690fcfe2bc941b981bd71a0af68a)
- fix scrambled image @ https://github.com/ImageMagick/ImageMagick/issues/5291 [`e8a2735`](https://github.com/ImageMagick/ImageMagick/commit/e8a273560c58dc2a099b2989d5cfcd0021e40d51)
- yikes, misspelled 'level' [`7ad1916`](https://github.com/ImageMagick/ImageMagick/commit/7ad19164011001630f10f62a5116d54f5769d5f8)
- release [`de7e8cd`](https://github.com/ImageMagick/ImageMagick/commit/de7e8cd106af3d7f13ba4fb1a7ef2ef5e3aa6a07)

## [7.1.0-39](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-38...7.1.0-39) - 2022-06-20

### Commits

- beta release [`77932cb`](https://github.com/ImageMagick/ImageMagick/commit/77932cb9424f81fca686942bd8cb97b2eafc6065)
- Fixed possible memory leak. [`12a1b25`](https://github.com/ImageMagick/ImageMagick/commit/12a1b25e47deb28129815e9f50c7624dd70a3a46)
- support floating point formats [`7093702`](https://github.com/ImageMagick/ImageMagick/commit/70937026d08d11a488899c2d36dff1c3b45b5151)
- initialize date:precision in private TimerComponentGenesis() method [`fce5298`](https://github.com/ImageMagick/ImageMagick/commit/fce5298f22272ae8439b95316b5981d61bb301c9)
- check for -1 is not required [`68fb3c5`](https://github.com/ImageMagick/ImageMagick/commit/68fb3c56279ede6a30bfdd6348f3806811354132)
- refactor date:precision flow [`6df26f2`](https://github.com/ImageMagick/ImageMagick/commit/6df26f22cf373c0fcf491e2d1b6033d74bccfcab)
- eliminate compiler warning [`2dda00a`](https://github.com/ImageMagick/ImageMagick/commit/2dda00ae5f67024b5fd22b752eb6521bf83a006c)
- release [`21a5642`](https://github.com/ImageMagick/ImageMagick/commit/21a5642bc3c5b17c8e4e6cad9e1f41eeb6be9677)

## [7.1.0-38](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-37...7.1.0-38) - 2022-06-19

### Commits

- beta release [`874da17`](https://github.com/ImageMagick/ImageMagick/commit/874da17fa8719420e864358ace1b40947f866e37)
- update DOX config files [`fe3d2bf`](https://github.com/ImageMagick/ImageMagick/commit/fe3d2bff54cf353ec2c085f075c0287effd62686)
- update DOX config files [`b8648f4`](https://github.com/ImageMagick/ImageMagick/commit/b8648f474496126e4a0adf805114d5fdcd3b97db)
- update DOX config files [`2a7bf28`](https://github.com/ImageMagick/ImageMagick/commit/2a7bf28e7df8694c3c49b53ff29b318a658285e2)
- correct formulation of the phash normalization [`8d73544`](https://github.com/ImageMagick/ImageMagick/commit/8d73544754fd9170712e097a38e9df2e79381d2d)
- phash normalization is conventional RMS calculation [`146eee5`](https://github.com/ImageMagick/ImageMagick/commit/146eee51ee6807b232e2eafecd3234cfac364dcc)
- only check shread count once [`ec530f1`](https://github.com/ImageMagick/ImageMagick/commit/ec530f1505e1d8d09da4e3b008dd4543e1022632)
- cosmetic [`69110cf`](https://github.com/ImageMagick/ImageMagick/commit/69110cf5299160ccd59724ddf2cb2fbef38e86a6)
- cosmetic [`f088340`](https://github.com/ImageMagick/ImageMagick/commit/f088340e2d730e108a990a341f3ef38247cd0f3c)
- add private ShredMagickMemory() method to hide contents of memory buffers before they are relinquished [`28637d2`](https://github.com/ImageMagick/ImageMagick/commit/28637d210be357dc11e59776864c3dc2ac52a927)
- system:shred value has precedence over MAGICK_SHRED_PASSES [`bea3c06`](https://github.com/ImageMagick/ImageMagick/commit/bea3c06e199425c5a4ee27043de5aa8e59b8e520)
- support shredding memory pools [`9479fba`](https://github.com/ImageMagick/ImageMagick/commit/9479fbaa5fb7eb39ae6cce587fd4e315131b0ca4)
- update memory pointer [`8b289a8`](https://github.com/ImageMagick/ImageMagick/commit/8b289a89f2a4940ad1ac3c931174c809acb0b35d)
- Silenced warning. [`c7bbf5c`](https://github.com/ImageMagick/ImageMagick/commit/c7bbf5c0283bd43a5485207610a195ae7baff9b2)
- Corrected documentation. [`20ec4a7`](https://github.com/ImageMagick/ImageMagick/commit/20ec4a7c3313b14764ec8c0d98b7b7b1d5c8794a)
- first pass is fast for performance, second is crytographically strong [`c1ddb64`](https://github.com/ImageMagick/ImageMagick/commit/c1ddb64e5764fabeb40486df7e0fcb8ba96e8a42)
- recommend shred value of 1 for performance reasons [`59e784b`](https://github.com/ImageMagick/ImageMagick/commit/59e784bd06192b73eb8f1b99ea3d43571ee7c329)
- only set the # of shred passes one time [`6cffc2e`](https://github.com/ImageMagick/ImageMagick/commit/6cffc2eebbed08d57bed0960a607de1f698900b4)
- if enabled, shred streams [`4886318`](https://github.com/ImageMagick/ImageMagick/commit/4886318810eb1e74def3744ff360af58d42df0d6)
- unmap mapped pixels [`4bbcaa2`](https://github.com/ImageMagick/ImageMagick/commit/4bbcaa22aa3bd23be55191b6bfbfcec8915c6966)
- default mapped member to false [`50be626`](https://github.com/ImageMagick/ImageMagick/commit/50be6264fdb5861df77cba7501d3048d1fd703e4)
- don't shred streaming pixels [`44b3e9b`](https://github.com/ImageMagick/ImageMagick/commit/44b3e9b51d70e256a4b67122af9b6f38b3fbcf59)
- rework shred passes [`3699b74`](https://github.com/ImageMagick/ImageMagick/commit/3699b7456a4b0ca335ef566f5713d69f4b6d960b)
- optimize performance [`b30e351`](https://github.com/ImageMagick/ImageMagick/commit/b30e351c307263c273075779a593d081b8b509d1)
- change per lint advisement [`a637245`](https://github.com/ImageMagick/ImageMagick/commit/a637245a2fb2c5f3937ffb0540de593b4e9e5910)
- typecast per lint advisement [`5733a82`](https://github.com/ImageMagick/ImageMagick/commit/5733a82f41db607567df284253d07a60bcfd85f3)
- eliminate compiler warning [`249bcdf`](https://github.com/ImageMagick/ImageMagick/commit/249bcdffd7ef8a31f1529b643ea2d5d0b1caeb57)
- eliminate lint warnings [`8c6731a`](https://github.com/ImageMagick/ImageMagick/commit/8c6731a2c31454e64dbbb8cad427f7d514c866d2)
- eliminate lint warnings [`ff3e1f5`](https://github.com/ImageMagick/ImageMagick/commit/ff3e1f52acb9920176faaf45c7cb002d7ae975ca)
- support date:timestamp property [`e1b538a`](https://github.com/ImageMagick/ImageMagick/commit/e1b538ac6d78267fa5c0c3e27f9ca2f9b2f34d22)
- eliminate lint warnings [`92e7887`](https://github.com/ImageMagick/ImageMagick/commit/92e788780ffa4b6965fcd387dd41ebd13940db20)
- set timestamp from image-&gt;timestamp member [`3ed71fd`](https://github.com/ImageMagick/ImageMagick/commit/3ed71fd3d530724cd12a9a78666c60aee0c6f11b)
- eliminate lint warnings [`80bd592`](https://github.com/ImageMagick/ImageMagick/commit/80bd592dd20d4a1287842459ca3801c3ae3866cd)
- support MAGICK_DATE_PRECISION and registry:date:precision defines [`304069d`](https://github.com/ImageMagick/ImageMagick/commit/304069da840e0fea9ebce54b2572d5e7cee3116a)
- support registry:precision define [`3b2b78a`](https://github.com/ImageMagick/ImageMagick/commit/3b2b78a7b82d41db7590b9cb3ba3b210254ff2b8)
- ... [`9acdf7c`](https://github.com/ImageMagick/ImageMagick/commit/9acdf7c34f68e39ab7f2442bb9cea5266ae07d06)
- need at least one policy defined [`812ade8`](https://github.com/ImageMagick/ImageMagick/commit/812ade8dec620e968f2a1b8572136a4f9fb859da)
- eliminate lint warnings [`0f8c615`](https://github.com/ImageMagick/ImageMagick/commit/0f8c615fd27cd404dae1b9ab01f38c5994bd0df1)
- note, system:precision is deprecated [`d9f3714`](https://github.com/ImageMagick/ImageMagick/commit/d9f371473bad3e95ffa8a6819418c5d33824122a)
- eliminate icc compiler warnings [`d90c06f`](https://github.com/ImageMagick/ImageMagick/commit/d90c06fef6df2b44b906a8570adac56896205204)
- eliminate icc compiler warnings [`91eb3ef`](https://github.com/ImageMagick/ImageMagick/commit/91eb3ef024c1b80ca7187ea3de60e1def96639b3)
- eliminate compiler warning [`1bb549f`](https://github.com/ImageMagick/ImageMagick/commit/1bb549fdd9790c8dda0a0fce62ba89a7ceec2d28)
- Reverted incorrect patch when doing auto-orient of an image that is right-top or left-bottom. [`ca1913b`](https://github.com/ImageMagick/ImageMagick/commit/ca1913ba9cd5ef886a5557955b0284cc3b53e893)
- Corrected conversion from flip to Orientation. [`5f7f165`](https://github.com/ImageMagick/ImageMagick/commit/5f7f165507748ee04352c9801c0c00eaeecf1893)
- Only close the file blob when gzopen is successful (#5233). [`bbceed7`](https://github.com/ImageMagick/ImageMagick/commit/bbceed7bc2496df04845b3ef7da209d3eec2e41c)
- Added method to add utf8 support for gzopen on Windows. [`342e7a3`](https://github.com/ImageMagick/ImageMagick/commit/342e7a3eba0888c1656379ca513e1013f03a61e8)
- Only parse SOURCE_DATE_EPOCH once. [`58f6ce5`](https://github.com/ImageMagick/ImageMagick/commit/58f6ce5a2409546bc14f50d0eb97ece14ad9e60d)
- Restored check that did not seem to be necessary. [`157b3b4`](https://github.com/ImageMagick/ImageMagick/commit/157b3b4e66ecdfe3d753daa70a39a4daf84a1655)
- Whitespace [`063da01`](https://github.com/ImageMagick/ImageMagick/commit/063da01fbf87034f4771bd0c84e35c95230907b9)
- Limit the value of min_channels in the PSDInfo inside the tiff coder to make it possible to read images with a lot of meta channels. [`bb6b465`](https://github.com/ImageMagick/ImageMagick/commit/bb6b465db802256c7e94def1282366163dea405d)
- Make sure that the creation and modification date have the same value in both places and added option to override this (pdf:create-epoch and pdf:modify-epoch) [`2cd74b8`](https://github.com/ImageMagick/ImageMagick/commit/2cd74b89d949ed7488319e24ccc9223fb229beef)
- Added option to specify the creator (pdf:creator) and use that as xap:CreatorTool instead. [`27463ec`](https://github.com/ImageMagick/ImageMagick/commit/27463ec8bdfc2029edde648e90110286269088b0)
- Added WritePDFValue method that can be reused to write other values. [`4bf8773`](https://github.com/ImageMagick/ImageMagick/commit/4bf87730be817c074d25df0f4e4afa45f73ea584)
- Use the new method to write the other values. [`d246538`](https://github.com/ImageMagick/ImageMagick/commit/d2465387bbbe2d0190402734780777fb357a517a)
- Added option to specify the keywords (pdf:keywords) and use that as pdf:Keywords in the xmp profile. [`5450512`](https://github.com/ImageMagick/ImageMagick/commit/5450512e75a98e32ce5b12065f51118e50393b4c)
- Only check if magick is PDFA once. [`fac352a`](https://github.com/ImageMagick/ImageMagick/commit/fac352a56c4837a98997f8f605124860b6c2dce4)
- Added option to specify the subject (pdf:subject). [`b6d5881`](https://github.com/ImageMagick/ImageMagick/commit/b6d588132ba9e3dafa4ae56ba504def4ddcbfe06)
- Also fix incorrect fclose for bzlib. [`784f9fe`](https://github.com/ImageMagick/ImageMagick/commit/784f9fe9b2c01b543341e3dc246cbeb3f7785381)
- collect VICAR properties [`2c010f8`](https://github.com/ImageMagick/ImageMagick/commit/2c010f85f06b48f13cffc5e09b0fc771f3e2be85)
- fix improper close when opening zipped file [`f1cc4b9`](https://github.com/ImageMagick/ImageMagick/commit/f1cc4b96a8df146f327d71cd8e8aee47ca8487fa)
- Restored setting the file to NULL [`7c43344`](https://github.com/ImageMagick/ImageMagick/commit/7c433440a17a89fe79d35229e6a03a9bc6ed6ce0)
- Also remove date:timestamp when stripping the image. [`7922af1`](https://github.com/ImageMagick/ImageMagick/commit/7922af1e56acb0f5fca6fef9aeec1c7b7061cf99)
- release [`bc1cb48`](https://github.com/ImageMagick/ImageMagick/commit/bc1cb484406836889d2a05dc298efb1a1750cbd0)

## [7.1.0-37](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-36...7.1.0-37) - 2022-06-05

### Fixed

- Set pass when webp:target-size or webp:target-psnr are set to fix #4931. [`#4931`](https://github.com/ImageMagick/ImageMagick/issues/4931)

### Commits

- ... [`be0bdc3`](https://github.com/ImageMagick/ImageMagick/commit/be0bdc32c03f48923ca811e139d0a13f3724c4f5)
- don't keep in repo [`e926a8e`](https://github.com/ImageMagick/ImageMagick/commit/e926a8e24d48c43f1997b254ed57381ff6fe7784)
- beta release [`cc2d2a0`](https://github.com/ImageMagick/ImageMagick/commit/cc2d2a0a9321d121703d82e172d9ac55657f9607)
- Added extra permissions. [`a3420ae`](https://github.com/ImageMagick/ImageMagick/commit/a3420aee4dc92b1fb46ecc7e3931eaa7eec1314b)
- https://github.com/ImageMagick/ImageMagick/issues/5184 [`b8c664e`](https://github.com/ImageMagick/ImageMagick/commit/b8c664e0a35dbd213d7474785a8d87b06251d2dc)
- support Unicode MP4 filenames @ https://github.com/ImageMagick/ImageMagick/issues/5182 [`954f929`](https://github.com/ImageMagick/ImageMagick/commit/954f9295a3e4c8255f8fb2e2658ea71104ebc363)
- correct AcquireUniqueSymbolicLink() description [`5466350`](https://github.com/ImageMagick/ImageMagick/commit/5466350ef111fe52d2f4516a09543a6daf8c7c3e)
- chore: Included githubactions in the dependabot config [`44942dc`](https://github.com/ImageMagick/ImageMagick/commit/44942dc23fcdc3e3d459a260cacde9e25edd79e1)
- identify delegate library version [`2078fbe`](https://github.com/ImageMagick/ImageMagick/commit/2078fbe79e57915b214bcc0966b4fabddb7703d2)
- call method rather than define [`8c632fd`](https://github.com/ImageMagick/ImageMagick/commit/8c632fde8abb0f3cdba1ce4bb4d2bf9cf335f8b5)
- cosmetic [`0fba11b`](https://github.com/ImageMagick/ImageMagick/commit/0fba11bd0a7c2078fad61fda59f24a4c97423825)
- fix lint issues [`256301d`](https://github.com/ImageMagick/ImageMagick/commit/256301d23094c7a7515925c8b20c5aed16513ca6)
- fix lint issues [`0b92950`](https://github.com/ImageMagick/ImageMagick/commit/0b92950123c6dea27a9abb088ae69e329ec31a0f)
- fix lint issues [`e75b53a`](https://github.com/ImageMagick/ImageMagick/commit/e75b53abdcb5291e4e95f327c206efdb7863a116)
- Restore code that was removed by accident. [`c386108`](https://github.com/ImageMagick/ImageMagick/commit/c386108a74145b7b9ccefe3a3884f5a2d8463a41)
- Fix build. [`46e7166`](https://github.com/ImageMagick/ImageMagick/commit/46e71660f49810bbf772720743d16e101f4deff4)
- Use image-&gt;depth instead. [`6a74a35`](https://github.com/ImageMagick/ImageMagick/commit/6a74a3550eef119014ebd85229254cc8c2fe55ba)
- Don't set default values. [`6e0765d`](https://github.com/ImageMagick/ImageMagick/commit/6e0765d987feb5e9b16d0f3e44cedba58ffbb83c)
- use SetQuantum methods instead. [`afe37c5`](https://github.com/ImageMagick/ImageMagick/commit/afe37c56d47db5932eed62f73a4eb5460df27c4f)
- Move case statement to make sure that non FloatingPointQuantumFormat will end up in the default case. [`54ce5d9`](https://github.com/ImageMagick/ImageMagick/commit/54ce5d9f40253902d4266826f12e796ae2ad3920)
- cosmetic [`c1766ca`](https://github.com/ImageMagick/ImageMagick/commit/c1766ca97e10178f77194ac8d6666e40ee699801)
- point to latest EXIF standard doc [`7da6db4`](https://github.com/ImageMagick/ImageMagick/commit/7da6db4814a3879fd05429de49d6d1ce0f281276)
- Bump actions/upload-artifact from 1 to 3 [`a8c1ed3`](https://github.com/ImageMagick/ImageMagick/commit/a8c1ed39dcb47bc09b91256a26023f41cc36766c)
- sum hash differences rather than assign [`8a8a68a`](https://github.com/ImageMagick/ImageMagick/commit/8a8a68a42197dd104701b175fb0e3d4ef4557446)
- Continue with decoding the image when JxlDecoderGetColorAsEncodedProfile returns JXL_DEC_ERROR. [`53addfb`](https://github.com/ImageMagick/ImageMagick/commit/53addfb6e549f464d3507f1369e43e7d886dd05b)
- Added extra check for non error codes. [`5aaedfe`](https://github.com/ImageMagick/ImageMagick/commit/5aaedfec2b5ce0075f50bd5e578a8b194d4c52ce)
- Corrected rotation angle for right-top and left-bottom in auto-orient. [`b65d0d9`](https://github.com/ImageMagick/ImageMagick/commit/b65d0d9af078b01574d979e73fa71933ede6a403)
- release [`1b8963a`](https://github.com/ImageMagick/ImageMagick/commit/1b8963a4088677b62ad3885dcd4e83c7a33ef47a)

## [7.1.0-36](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-35...7.1.0-36) - 2022-05-30

### Commits

- beta release [`cfdb489`](https://github.com/ImageMagick/ImageMagick/commit/cfdb4897c6a2212c83be207f4dd5344b0d373d3e)
- Corrected the avif check to fix the issue reported in #5159. [`c638f3f`](https://github.com/ImageMagick/ImageMagick/commit/c638f3fbfc0517b5b3b1d69f67c16bb874fb6719)
- introducing the `dominant-color` property [`9135de4`](https://github.com/ImageMagick/ImageMagick/commit/9135de494c057fbe1cbb5193ba6cb4158a6520bd)
- improve dominant color reporting [`3077a6c`](https://github.com/ImageMagick/ImageMagick/commit/3077a6cc430a57869ee0fa56f3b3a5e65f3f15a3)
- Updated CodeQL Action. [`b7b90a1`](https://github.com/ImageMagick/ImageMagick/commit/b7b90a1498dc74b8d24bbd4923c61f7d0ee6a125)
- Try with different permissions. [`c092510`](https://github.com/ImageMagick/ImageMagick/commit/c092510ca5bb408fd07fdbbd7b566f04bb51eef3)
- Corrected permission name. [`0014ddf`](https://github.com/ImageMagick/ImageMagick/commit/0014ddfb2af800cb45c11dfb3396ded1abc65525)
- Corrected pragma comments due to repository renames. [`ad98584`](https://github.com/ImageMagick/ImageMagick/commit/ad985843a21055fe0639410e75fe52e94c7ff2f1)
- Added arm64 to the main build. [`5eb9b2b`](https://github.com/ImageMagick/ImageMagick/commit/5eb9b2b2906714a7dc437d3fbd8dea470e2d2516)
- cosmetic [`967fc1c`](https://github.com/ImageMagick/ImageMagick/commit/967fc1ceb84319e3234400a096d5fbd3efee5cbf)
- Download ChangeLog after cloning the repositories. [`7b0bf73`](https://github.com/ImageMagick/ImageMagick/commit/7b0bf732d5907d5a0f0cadb5bf2e17edee70319d)
- latest ImageMagick documentation [`0442c9d`](https://github.com/ImageMagick/ImageMagick/commit/0442c9d0ff3fceb24128705b44fd25a7b2c69c9c)
- release [`cd1add4`](https://github.com/ImageMagick/ImageMagick/commit/cd1add42d5583a842788450bd768bfd2c3851786)

## [7.1.0-35](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-34...7.1.0-35) - 2022-05-16

### Commits

- beta release [`e37bfbd`](https://github.com/ImageMagick/ImageMagick/commit/e37bfbdac1842265bbe1e3da7b61dd8580d947b5)
- remove special use case of Kmeans for color reduction @ https://github.com/ImageMagick/ImageMagick/issues/5152 [`53d7d06`](https://github.com/ImageMagick/ImageMagick/commit/53d7d0693138f2f63c099260c224bcbc4802972f)
- fix temporary file leak [`7496436`](https://github.com/ImageMagick/ImageMagick/commit/74964367f92291090d5919a12a167a2051c90f90)
- one-off release due to "-monochrome command no longer dithers grayscale [`ff6dbbb`](https://github.com/ImageMagick/ImageMagick/commit/ff6dbbbec9cfac49f3a6217e51717139bde840ff)

## [7.1.0-34](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-33...7.1.0-34) - 2022-05-15

### Commits

- beta release [`68a0412`](https://github.com/ImageMagick/ImageMagick/commit/68a041269ddfc43dc334022176395592d179dba2)
- require min 3 channels for compositing [`5d38476`](https://github.com/ImageMagick/ImageMagick/commit/5d38476b487766c1fc03f22193ed6d81aff917d6)
- PDF to PBM no longer returning all white @ https://github.com/ImageMagick/ImageMagick/issues/5134 [`8e605a2`](https://github.com/ImageMagick/ImageMagick/commit/8e605a2a3b8bb54393ffbf14b5d9af0973091aad)
- Removed incorrect method definition from the header file. [`18ccd96`](https://github.com/ImageMagick/ImageMagick/commit/18ccd96e8e9fc5707273287aab466485abf9c69d)
- fix build with -Werror @ https://github.com/ImageMagick/ImageMagick6/pull/177 [`0dcacb8`](https://github.com/ImageMagick/ImageMagick/commit/0dcacb8ca5b1b986ce1599a7b9642fc08deb328b)
- clarify usage [`186578a`](https://github.com/ImageMagick/ImageMagick/commit/186578a5a7a653441f6270624f6124c258bc83e7)
- eliminate compiler warnings [`4fe856b`](https://github.com/ImageMagick/ImageMagick/commit/4fe856bdfa99ec43ca8843ba5bf9f9ba7db57c03)
- latest autoconf/automake config [`4b69c54`](https://github.com/ImageMagick/ImageMagick/commit/4b69c54f928e76199d9fec740a2058c69ac15e74)
- cosmetic [`2722c2f`](https://github.com/ImageMagick/ImageMagick/commit/2722c2fa6004efdc5d33ccd85db9e99a2c3ae85b)
- cosmetic [`78a1988`](https://github.com/ImageMagick/ImageMagick/commit/78a19889d28b045254a1dbf4431e2fdf5c839daa)
- automake/autoconf update [`a772a53`](https://github.com/ImageMagick/ImageMagick/commit/a772a53cde76526ba5dadd10254b18d7c8a04cff)
- automake/autoconf update [`9d882e4`](https://github.com/ImageMagick/ImageMagick/commit/9d882e45df2b47e09467e996b3019ff1df14be0b)
- correct check for Magick++ compliance [`f4d8e6e`](https://github.com/ImageMagick/ImageMagick/commit/f4d8e6ec87e10802c7ab3fe99991ae28d0d7473c)
- automake/autoconf remove obselete macros [`644472a`](https://github.com/ImageMagick/ImageMagick/commit/644472a70043ce3b85f8e77ad0d67d5e2f7ffd2f)
- build RPM tweaks [`40bc17c`](https://github.com/ImageMagick/ImageMagick/commit/40bc17c866d6a1e8bbabf1496d0e68c5b4b8dc8d)
- tweak BZIP2 autoconf macro [`af5fdcd`](https://github.com/ImageMagick/ImageMagick/commit/af5fdcd2129bf0e8651d0a7f827e4abec77f5c0e)
- do not change grayscale colorspace to sRGB when compositing [`05074b2`](https://github.com/ImageMagick/ImageMagick/commit/05074b260d5eddbfa76e5d3bb68e50d1c122dc08)
- release [`f2934c5`](https://github.com/ImageMagick/ImageMagick/commit/f2934c5212ae38aea2b8d21bbdf22dcc31e3903e)

## [7.1.0-33](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-32...7.1.0-33) - 2022-05-07

### Merged

- autotools: Add ws2_32 library with MagickCore for Win32 platform [`#5119`](https://github.com/ImageMagick/ImageMagick/pull/5119)
- Avoid NULL pointer dereference in coders/wmf.c [`#5117`](https://github.com/ImageMagick/ImageMagick/pull/5117)

### Commits

- beta release [`600c455`](https://github.com/ImageMagick/ImageMagick/commit/600c455b84e471b700880653a6316c75b238bdc3)
- possible null dereference [`4e085a2`](https://github.com/ImageMagick/ImageMagick/commit/4e085a2d4a968856b85a3152b97330f257c57e0d)
- improved error checking [`2e5c976`](https://github.com/ImageMagick/ImageMagick/commit/2e5c976bbf64c77265bfc13727ff584759906f23)
- Also create an arm64 installer. [`c84fcf5`](https://github.com/ImageMagick/ImageMagick/commit/c84fcf5d794e82411c740841dabfabf48e84aa66)
- Also create portable arm64 binaries. [`6126915`](https://github.com/ImageMagick/ImageMagick/commit/6126915469c6e6523250c604e63f91686787bd14)
- eliminate coverity defect [`4cec11d`](https://github.com/ImageMagick/ImageMagick/commit/4cec11d25697bf36279de36639cc5516c4ae4b40)
- eliminate Coverity defect [`0364622`](https://github.com/ImageMagick/ImageMagick/commit/03646225cbf3346d8ae455a0abbb2607cdb0e8e0)
- eliminate Coverity defect [`a619616`](https://github.com/ImageMagick/ImageMagick/commit/a619616e7ee750543f97e77d2a64dcfcda3c6df1)
- https://github.com/ImageMagick/ImageMagick/discussions/5099 [`43da986`](https://github.com/ImageMagick/ImageMagick/commit/43da9864b5642e6c75c820b5d2241f5c9770e431)
- prevent memory leak on exception [`0157eb8`](https://github.com/ImageMagick/ImageMagick/commit/0157eb86a847443671a480dd3d2e8fca64fed16a)
- the tiles per page cannot be zero [`fecf247`](https://github.com/ImageMagick/ImageMagick/commit/fecf247fb9a6eae8fc719b413553822bc3d1fe78)
- check security policy before reading an -fx expression from a file [`c53fb96`](https://github.com/ImageMagick/ImageMagick/commit/c53fb964bcd9fa05fb9f5670e13ffdf65ad97147)
- fix exception on a valid ternary @ https://github.com/ImageMagick/ImageMagick/discussions/4533 [`64b5fe6`](https://github.com/ImageMagick/ImageMagick/commit/64b5fe68ac7edd0baef7271c127c7bdf49a573b3)
- display the image pixel cache type [`759029d`](https://github.com/ImageMagick/ImageMagick/commit/759029dd82c11157a5a6b61d36fff6d2588f1f34)
- change order of pixel cache type [`3529df8`](https://github.com/ImageMagick/ImageMagick/commit/3529df8399eadd863a7696ff5f48d887bae93fcb)
- change order of pixel cache type [`bacb357`](https://github.com/ImageMagick/ImageMagick/commit/bacb3574e5138e819abf8ab904d5ea3079764700)
- use the correct property key for arithmetic coding [`0184b6c`](https://github.com/ImageMagick/ImageMagick/commit/0184b6cb7b72436aa5eefcd8b1612a88b601bae5)
- Reverted patch because HDRI should always be highres. [`4e20a27`](https://github.com/ImageMagick/ImageMagick/commit/4e20a27b8790d8308f0477723f4998184db2d432)
- the maximum dissolve factor is 1.0 [`452c436`](https://github.com/ImageMagick/ImageMagick/commit/452c436c509792dfc582c3efc80ac11875731590)
- Removed duplicate check. [`b108dbd`](https://github.com/ImageMagick/ImageMagick/commit/b108dbd243d7f36ef1be32c574524a88f3dd4156)
- Fixed possible memory leak reported in #5121. [`9c957a6`](https://github.com/ImageMagick/ImageMagick/commit/9c957a6d66ead61d6a36bd20935b402db257792b)
- Removed to heif_filetype_yes_unsupported check to resolved the issue reported in #5123. [`47898c6`](https://github.com/ImageMagick/ImageMagick/commit/47898c655bc726da6d7fdd41b70a6a73c5754cb0)
- possible memory leak @ https://github.com/ImageMagick/ImageMagick/issues/5121 [`b0c1967`](https://github.com/ImageMagick/ImageMagick/commit/b0c1967fe17ddb59d2b26112efc0465bd01c971f)
- eliminate compiler warnings [`a10a570`](https://github.com/ImageMagick/ImageMagick/commit/a10a57044ae285c0f33159a53f3c8a3e1c297b82)
- eliminate compiler warnings [`3fa3d9f`](https://github.com/ImageMagick/ImageMagick/commit/3fa3d9fc2ead42461cfb2c2cd47d6b60d681cc96)
- conditional logging [`53fb342`](https://github.com/ImageMagick/ImageMagick/commit/53fb3423ebf9fc3da08ab61d5b186c5203e76f9e)
- eliminate compiler warnings [`a429f44`](https://github.com/ImageMagick/ImageMagick/commit/a429f447c7f3d34bf71c2c0a1df249e694d6ce2a)
- background kept when making cylinder @ https://github.com/ImageMagick/ImageMagick/discussions/5112 [`925a6c5`](https://github.com/ImageMagick/ImageMagick/commit/925a6c5d87ab5372d0b8b073819416e4ef5db312)
- cosmetic [`d4d5ca2`](https://github.com/ImageMagick/ImageMagick/commit/d4d5ca2dd981a37408e7a97e407c1d5632312c07)
- possible memory leak @ https://github.com/ImageMagick/ImageMagick/issues/5131 [`8ed6d1d`](https://github.com/ImageMagick/ImageMagick/commit/8ed6d1d52957b74c75ec8037ad698f714b9fb918)
- release [`4e6f7b1`](https://github.com/ImageMagick/ImageMagick/commit/4e6f7b1ee2ee736e466edf0efad09c0033be2ca7)
- release [`39baedd`](https://github.com/ImageMagick/ImageMagick/commit/39baedd0019edb3b69749b314633d6ad9428bcb9)

## [7.1.0-32](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-31...7.1.0-32) - 2022-04-30

### Merged

- Add support for FITS images with NaN values [`#5084`](https://github.com/ImageMagick/ImageMagick/pull/5084)
- Fixes grammar/typos/markdown [`#5083`](https://github.com/ImageMagick/ImageMagick/pull/5083)

### Commits

- prep Beta release [`d2c4a6f`](https://github.com/ImageMagick/ImageMagick/commit/d2c4a6fad5d9b1d68f729e09ed9e1af2e28957df)
- https://github.com/ImageMagick/ImageMagick/issues/3661 [`9090b17`](https://github.com/ImageMagick/ImageMagick/commit/9090b171d2df7cabfbed8853e7782fe08100b756)
- possible obscure memory leak [`8e0c95e`](https://github.com/ImageMagick/ImageMagick/commit/8e0c95ef940ef57e69f5b431bd12176f0c27f9f5)
- check event mask before logging [`eab8155`](https://github.com/ImageMagick/ImageMagick/commit/eab8155547f7422239e58e48a41f0268a629b4fb)
- check event mask before logging [`7dcb276`](https://github.com/ImageMagick/ImageMagick/commit/7dcb276defa9b2731d1716395301a173ed62c593)
- Also create changelog in the daily build. [`878a667`](https://github.com/ImageMagick/ImageMagick/commit/878a66722cc85a1b45da45e44a0ba187ac41ba64)
- Removed %GITHUB_WORKSPACE% from other builds. [`2540c48`](https://github.com/ImageMagick/ImageMagick/commit/2540c48a6a04c14ede0e4cf87c01a4dd2b862a5d)
- improve/optimize logging [`7ba113a`](https://github.com/ImageMagick/ImageMagick/commit/7ba113a0d26b6d2b008ce0fcf428050a84e5a0ac)
- https://github.com/ImageMagick/ImageMagick/issues/5041 [`c942d53`](https://github.com/ImageMagick/ImageMagick/commit/c942d5341c64124b7e10d85f1dc66c668d926a10)
- need Changelog.md, referenced by web pages [`6b6e7f3`](https://github.com/ImageMagick/ImageMagick/commit/6b6e7f3cedf498b96539a52631b1e0856002eb7d)
- ilatest autoconf update [`9dfee98`](https://github.com/ImageMagick/ImageMagick/commit/9dfee98d7db512005b81ea419d57f3b4a5107986)
- move to wbsite repo [`3e445a0`](https://github.com/ImageMagick/ImageMagick/commit/3e445a0deee2c083df33f77932f92a3a04e674e6)
- optimize thumbnail resizing [`09ab692`](https://github.com/ImageMagick/ImageMagick/commit/09ab692eeafa266bca06b62f0e366709bb42d56e)
- https://github.com/ImageMagick/ImageMagick/discussions/4533#discussioncomment-2626990 [`d13f844`](https://github.com/ImageMagick/ImageMagick/commit/d13f844162c4978eff849d16d534d79c420237bd)
- Rename extent to length. [`b056cec`](https://github.com/ImageMagick/ImageMagick/commit/b056cecdc0de98e015ad0dc3505561b96efa6410)
- Allow exif profile that has a zero length (#5082). [`0433d6e`](https://github.com/ImageMagick/ImageMagick/commit/0433d6e98008003e915bbcda4f29f00ffbe2a59d)
- Moved length check. [`267a891`](https://github.com/ImageMagick/ImageMagick/commit/267a89135c30f147e4f6c7e35c12d1f0c065e1f8)
- Removed code that was used to create a test image. [`bf925e6`](https://github.com/ImageMagick/ImageMagick/commit/bf925e68e11d1a86caeefdba0144c9ded39adf86)
- Use consistent code style. [`c4c031b`](https://github.com/ImageMagick/ImageMagick/commit/c4c031b83ef583a519bfd38ace4f4cb3350f1a2c)
- revert [`bca2fb8`](https://github.com/ImageMagick/ImageMagick/commit/bca2fb87480b0c5ffb57e1da2e73d07f90571c6a)
- Added missing CoderEndianSupportFlag (#5090). [`0952c6a`](https://github.com/ImageMagick/ImageMagick/commit/0952c6a11d41ce6b1998060ff1005f8692a08651)
- Sort commits by date instead. [`7b95dda`](https://github.com/ImageMagick/ImageMagick/commit/7b95dda41de4b4be9020c65c4b18b367988705b5)
- https://oss-fuzz.com/testcase?key=5120317075357696 [`5622990`](https://github.com/ImageMagick/ImageMagick/commit/56229901c3b41d81bdd7df8f7a1b91b7f54ccb22)
- Removed unused arguments. [`c704997`](https://github.com/ImageMagick/ImageMagick/commit/c704997d8d4e0cb2558428e462e69e4f5d4d6515)
- Added missing typecasts. [`6820800`](https://github.com/ImageMagick/ImageMagick/commit/6820800c9c8c0bc60fc7e43462160a9782f2c304)
- check for image width/height exceeding INT_MAX [`6d2c75e`](https://github.com/ImageMagick/ImageMagick/commit/6d2c75e57e05180c4c47b4028b906203efcd710f)
- eliminate compiler exception [`8649f4f`](https://github.com/ImageMagick/ImageMagick/commit/8649f4f9b9fc6a4ca6e7edbadce08367b790b872)
- add comment [`c506f55`](https://github.com/ImageMagick/ImageMagick/commit/c506f551e56d075886b7950de1a7df76ae552e28)
- Use set_arg_encoding as suggestion in #5092. [`67a2613`](https://github.com/ImageMagick/ImageMagick/commit/67a26132f811437540115e824f160af77f224f4b)
- optimize logging [`b2eaec1`](https://github.com/ImageMagick/ImageMagick/commit/b2eaec135972c582335f7ad034100ad88b6552b3)
- fix copyright [`c2fc57a`](https://github.com/ImageMagick/ImageMagick/commit/c2fc57ac8946126136051df2e350ae6920783e3e)
- initalize logging variable [`263bfae`](https://github.com/ImageMagick/ImageMagick/commit/263bfae95f1947c2bc1ee97d2c4ed1f106d96373)
- possible divide by zero [`dce1bcf`](https://github.com/ImageMagick/ImageMagick/commit/dce1bcf6270a21baed987c5f97e13be352e86fdc)
- more informative exception message [`b7d240b`](https://github.com/ImageMagick/ImageMagick/commit/b7d240bd8745bccbbfaabfeb1a4b7d3fd5218526)
- more informative exception message [`354669f`](https://github.com/ImageMagick/ImageMagick/commit/354669f10c64bed9ae55ae81da53d7af25ab5f80)
- make some logging coditional [`372b5df`](https://github.com/ImageMagick/ImageMagick/commit/372b5dff23249d326a010fc6f9ba016decdf750d)
- https://github.com/ImageMagick/ImageMagick/issues/3859 [`f49b826`](https://github.com/ImageMagick/ImageMagick/commit/f49b826849822cad755330b0a2d9ccc65b4ab2d0)
- release [`a2b2c08`](https://github.com/ImageMagick/ImageMagick/commit/a2b2c088faff39da703480652777d95955bd6e7a)

## [7.1.0-31](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-30...7.1.0-31) - 2022-04-23

### Commits

- https://github.com/ImageMagick/ImageMagick/issues/4973 [`c8ecfc4`](https://github.com/ImageMagick/ImageMagick/commit/c8ecfc44c64c7e06d346fc8d52bd52c3afc42444)
- Also correct stroke opacity. [`ac9e7bd`](https://github.com/ImageMagick/ImageMagick/commit/ac9e7bd72e60da35cb1284b06d5c269121c7bdc2)
- Removed parentheses. [`2e73d03`](https://github.com/ImageMagick/ImageMagick/commit/2e73d03390672f12fb1c992d85970323c57e9994)
- bump revisition [`9d2bc47`](https://github.com/ImageMagick/ImageMagick/commit/9d2bc47dc6465da9bbac5f6ce6b1bee061a7557c)
- eliminate compiler warning [`f39269a`](https://github.com/ImageMagick/ImageMagick/commit/f39269ac910fcd897c8186e09d7cbc7c28c6063e)
- release commits [`2b4683b`](https://github.com/ImageMagick/ImageMagick/commit/2b4683b7f57edf13a81d7f060ef68d3e3f463fb5)
- eliminate Coverity defects [`4853d63`](https://github.com/ImageMagick/ImageMagick/commit/4853d63c7c83a72c4722c096931d15b79f3bd8d3)
- eliminate Coverity defect [`90160a4`](https://github.com/ImageMagick/ImageMagick/commit/90160a408d6681cb68d4b98dfdceab5922b58350)
- latest autoconf/automake updates [`55238e3`](https://github.com/ImageMagick/ImageMagick/commit/55238e3ed62f4badff3e0fe2ac549c08e675f069)
- Added version checks for heif_check_filetype (#5049). [`25d749c`](https://github.com/ImageMagick/ImageMagick/commit/25d749cde1247484b7a491f51f6e8ecffbaff43a)
- Silenced warning when version is lower that 1.4.0. [`ed40ca1`](https://github.com/ImageMagick/ImageMagick/commit/ed40ca1f563d476e28af28d9d827da5352b3b0d3)
- Call CloseBlob earlier because we read the image from the file instead. [`eaf387c`](https://github.com/ImageMagick/ImageMagick/commit/eaf387c9fcbdbfd7f3bd8095aa0cf664ed148b75)
- Changed the minimum version for libheif to 1.4.0. [`c67cae6`](https://github.com/ImageMagick/ImageMagick/commit/c67cae6b6a35d18093db38748f592ffeb7504a34)
- autoconf latest update [`ca1924a`](https://github.com/ImageMagick/ImageMagick/commit/ca1924a8dd5aa7caa7ec584359ad24adc22e2931)
- Added option to mark the version as beta. [`b9066e3`](https://github.com/ImageMagick/ImageMagick/commit/b9066e3ca2a0216c6e10215a4d177d15becec991)
- Changed triggers for the release build. [`065f67c`](https://github.com/ImageMagick/ImageMagick/commit/065f67cbc24262d08f812f9c8b881a2c9be75c2f)
- latest autoconf update [`5f9fb8a`](https://github.com/ImageMagick/ImageMagick/commit/5f9fb8ad69e13c64abeb4657e2586ed6e3dcf76d)
- fix rare but possible memory leak [`58f3723`](https://github.com/ImageMagick/ImageMagick/commit/58f3723223b2eee350f63da67b60fb5599974349)
- proper check for number of channels [`73e0f4f`](https://github.com/ImageMagick/ImageMagick/commit/73e0f4f21476bf4b567aad1bc76fcfa4bc66b984)
- https://github.com/ImageMagick/ImageMagick/discussions/5066 [`2b0df1c`](https://github.com/ImageMagick/ImageMagick/commit/2b0df1c408a86247e17f9d78d9f0068fd8093818)
- set threshold policy by default [`aa35c9e`](https://github.com/ImageMagick/ImageMagick/commit/aa35c9e70eb333a35cc14812ab8ccd00368f43df)
- Get the intensity before changing the of the pixel channels (thanks Snibgo) #5067. [`c63bb2e`](https://github.com/ImageMagick/ImageMagick/commit/c63bb2eb4e14c83b6a260dfb2c1d9f1440977311)
- initialize composite variables as they are declared [`1cff1a7`](https://github.com/ImageMagick/ImageMagick/commit/1cff1a73ddb8561f2a05914250cb17e2dfe3b760)
- fix copyright format [`ba449b1`](https://github.com/ImageMagick/ImageMagick/commit/ba449b1180f8d667766b2d6045421a1c2de6b05b)
- Create ChangeLog during the release build. [`750eb06`](https://github.com/ImageMagick/ImageMagick/commit/750eb06242086a27e639fcf7a40dc59c928aa63c)
- Try without %GITHUB_WORKSPACE% [`9e8d681`](https://github.com/ImageMagick/ImageMagick/commit/9e8d6814a4287eadb071359917991417f5509ee7)
- Corrected typo. [`92e2fd7`](https://github.com/ImageMagick/ImageMagick/commit/92e2fd7cf5ba4e64efb0ba2cc571ad658e554f30)
- Use the generated ChangeLog.md file instead. [`8fabbd2`](https://github.com/ImageMagick/ImageMagick/commit/8fabbd2789c70eac3f0adeb3a32c9f31237e5205)
- Use version 3 of checkout. [`a007cff`](https://github.com/ImageMagick/ImageMagick/commit/a007cff3ad850d600f50be2504ed88304aad8b6c)
- Added missing cd. [`65af881`](https://github.com/ImageMagick/ImageMagick/commit/65af881610d1706525154f89ce885c7c17e78c71)
- Use date of latest change to m4/version.m4 instead. [`6bdc026`](https://github.com/ImageMagick/ImageMagick/commit/6bdc0260e6a0498ba3b1eecd02a0a3931b1618c2)
- Temporary list folder content. [`137a2f7`](https://github.com/ImageMagick/ImageMagick/commit/137a2f7f581971648d3d28d5d1150371f263a15e)
- Changed fetch depth. [`e33db37`](https://github.com/ImageMagick/ImageMagick/commit/e33db3706b413cba872bdd5ceab772fea0b2a513)
- The default fetch-depth is 1. [`84b5399`](https://github.com/ImageMagick/ImageMagick/commit/84b5399719de85cbef9d4bf4c77e1ed3ced310b1)
- Added missing with. [`b75e55d`](https://github.com/ImageMagick/ImageMagick/commit/b75e55dfb70e73cc00f483f4948bcfd8d71bc3e8)
- Removed path. [`e4309a1`](https://github.com/ImageMagick/ImageMagick/commit/e4309a1d953b68e77b9656372c10599afef2f222)
- laterst automake/autoconf update [`86d58bd`](https://github.com/ImageMagick/ImageMagick/commit/86d58bd3f2fcd894e0a8462d881de2733a236162)
- fix compiler warning [`f8385a0`](https://github.com/ImageMagick/ImageMagick/commit/f8385a023acaeb8ad28fe61d8d6b086691304d4a)
- use old-style comment declarations [`1cf7450`](https://github.com/ImageMagick/ImageMagick/commit/1cf745032c50c262fcab13bdad9ef6b14991ebc6)
- off-by-one fix [`79a386b`](https://github.com/ImageMagick/ImageMagick/commit/79a386b12e7ec1f417785e33992e7b3a5f66872e)
- ensure we don't dereference null pointer [`c0bf80d`](https://github.com/ImageMagick/ImageMagick/commit/c0bf80de0534e62eddaaeb1ccdc386573f8e5319)
- unecessary check for null [`2a782eb`](https://github.com/ImageMagick/ImageMagick/commit/2a782ebe0729899389d93ffa2aa80053f79dc03f)
- release [`aa6e7e5`](https://github.com/ImageMagick/ImageMagick/commit/aa6e7e5f36d298cd2cb8962b559d36ce5fd218ba)

## [7.1.0-30](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-29...7.1.0-30) - 2022-04-16

### Merged

- fix #5033: runtime error: load of misaligned address [`#5034`](https://github.com/ImageMagick/ImageMagick/pull/5034)

### Fixed

- fix #5033: runtime error: load of misaligned address (#5034) [`#5033`](https://github.com/ImageMagick/ImageMagick/issues/5033) [`#5033`](https://github.com/ImageMagick/ImageMagick/issues/5033)

### Commits

- https://github.com/ImageMagick/ImageMagick/discussions/4861 [`347b828`](https://github.com/ImageMagick/ImageMagick/commit/347b82801da2b0223a4de34d6c30123041061c2b)
- prep next release [`ff88d9d`](https://github.com/ImageMagick/ImageMagick/commit/ff88d9dbb7df4bbb322755f2d68ca4ca42f6709d)
- limit trim to a minimum size [`32fa9ae`](https://github.com/ImageMagick/ImageMagick/commit/32fa9aecffb8de26ecbee27b857d29b2215e713c)
- do not set ICC properties unless the value is non-null [`052cb94`](https://github.com/ImageMagick/ImageMagick/commit/052cb94517a1fcf4d8e1f21c2bb1340417b19177)
- eliminate arbitrary limit on CMS descriptions [`bff8264`](https://github.com/ImageMagick/ImageMagick/commit/bff82645de30f053da7396c8b6f71d8eef27f608)
- Removed unused setter. [`a41d6d1`](https://github.com/ImageMagick/ImageMagick/commit/a41d6d1a87e547e41e826cb173eaff7846e42d42)
- Moved variable definition. [`a92f1c0`](https://github.com/ImageMagick/ImageMagick/commit/a92f1c0689ba4527149e60ae1afcd0e23b11b951)
- Improved freetype error reporting (#4997). [`e18b283`](https://github.com/ImageMagick/ImageMagick/commit/e18b2839e1e39a9081750514b9515964c3737abe)
- read HEIF from file rather than memory [`7ef309b`](https://github.com/ImageMagick/ImageMagick/commit/7ef309b6e091b0b3a5f2fc803efce5ae86d045a4)
- Added missing version check. [`5d003d9`](https://github.com/ImageMagick/ImageMagick/commit/5d003d90e828f7374069969bc10a2f08147232a2)
- Corrected check. [`e61eaf4`](https://github.com/ImageMagick/ImageMagick/commit/e61eaf4cda034d7ad5d99e82e72557e8f35c35ce)
- Use different naming convention. [`9661fa0`](https://github.com/ImageMagick/ImageMagick/commit/9661fa011f6a95a0fedfe24454fddbfee44d6896)
- Improved set_file_timestamp on Windows. [`59d1c9a`](https://github.com/ImageMagick/ImageMagick/commit/59d1c9a4ff060cd7070b95d45aff618090d7d114)
- Corrected multiplication. [`5c99efd`](https://github.com/ImageMagick/ImageMagick/commit/5c99efdf48f14caf4ce03064c35cc3a69b786177)
- Code style changes. [`13b4e4a`](https://github.com/ImageMagick/ImageMagick/commit/13b4e4aad6e7dc0f3dea088a6395e2b5859680e6)
- Use sizeof instead. [`769b275`](https://github.com/ImageMagick/ImageMagick/commit/769b275bdbecf77631495967382e9c5170038c76)
- Restored check that was added in #3137. [`9643c4a`](https://github.com/ImageMagick/ImageMagick/commit/9643c4a57f6dfc6badd7cd2ff10a4069f1b536d5)
- Whitespace. [`f5a909d`](https://github.com/ImageMagick/ImageMagick/commit/f5a909dff47488a0b68dc25aad822ff79dca76e4)
- HEIC container must be a seekable file on disk [`19e645e`](https://github.com/ImageMagick/ImageMagick/commit/19e645eba81385fc9ee46337c013960719dd8ddf)
- check for empty string not required [`017d17f`](https://github.com/ImageMagick/ImageMagick/commit/017d17f8c26d21e405dd02159911921656b4ffd1)
- check to see if ICC property exists before its created [`8f8db6b`](https://github.com/ImageMagick/ImageMagick/commit/8f8db6bc26668552d7f07d587dedb36439fa9dab)
- revert [`001f2d0`](https://github.com/ImageMagick/ImageMagick/commit/001f2d053da663719b3cd9166631ba87e6e4056f)
- do not permit setting read-only properties (e.g. exif:*) [`e3c4d3f`](https://github.com/ImageMagick/ImageMagick/commit/e3c4d3fb16fd1fcf4fbc692b3c0c480c7032a054)
- support 6 channel cmyka + metachannel images [`fa0e7bf`](https://github.com/ImageMagick/ImageMagick/commit/fa0e7bf41ae8362216b180c33c3f152805374b05)
- respect the mask when computing the FFT similarity [`695acbc`](https://github.com/ImageMagick/ImageMagick/commit/695acbc66f4bba7a910d9e8e3d74d88bca3438ec)
- mention multistrectral imagery [`d2b6318`](https://github.com/ImageMagick/ImageMagick/commit/d2b6318e9095f19de92dca33efe754055845473f)
- missing case for -read-mask option [`5ecbd67`](https://github.com/ImageMagick/ImageMagick/commit/5ecbd67179fd9a4faf6bc3327e02ed80b6368675)
- revert [`99d530c`](https://github.com/ImageMagick/ImageMagick/commit/99d530cd8de8e98ba88d20453b3dafa06ce2bf35)
- bypass FFT compare when mask is defined [`c5b8a8e`](https://github.com/ImageMagick/ImageMagick/commit/c5b8a8e9c42a3ec0e482c11326a29b52367f5c67)
- fix unknown size compiler exception [`8f3936f`](https://github.com/ImageMagick/ImageMagick/commit/8f3936f6ffb52a176d9847642ecdee8fd6f24e98)
- cast to eliminate possible data loss error [`0ae1a49`](https://github.com/ImageMagick/ImageMagick/commit/0ae1a49f2b62ac6d4a44fc7890d0099d0b6f19de)
- generalize multispectral support [`914c2e8`](https://github.com/ImageMagick/ImageMagick/commit/914c2e86b4e088c4f5ecbc5bebd6ea96215a53b9)
- eliminate compiler warning [`4576d73`](https://github.com/ImageMagick/ImageMagick/commit/4576d732f2fe107c9f9035d822d21fa58b10545f)
- generalize multispectral support [`101e955`](https://github.com/ImageMagick/ImageMagick/commit/101e955b4bf42e41ed2c56370d4d73cbbc20b4c1)
- add multispectral support to the MIFF format [`8fbf695`](https://github.com/ImageMagick/ImageMagick/commit/8fbf695f3ebe89058d3444c6440405a085a47a29)
- quiet compiler warnings [`db6bfc4`](https://github.com/ImageMagick/ImageMagick/commit/db6bfc410a1bfe050af83d70a11b30af2b1cb24e)
- evolve multispectral image support [`e31b13c`](https://github.com/ImageMagick/ImageMagick/commit/e31b13c7497fa9b16fc051624747ac69f203f195)
- eliminate compiler exception [`469219c`](https://github.com/ImageMagick/ImageMagick/commit/469219cc87137ce38c5408b6774caa24c6095e9a)
- do not attempt to write a null image list (thanks to Vinay Rohila) [`716496e`](https://github.com/ImageMagick/ImageMagick/commit/716496e6df0add89e9679d6da9c0afca814cfe49)
- https://github.com/ImageMagick/ImageMagick/issues/5010 [`41019b0`](https://github.com/ImageMagick/ImageMagick/commit/41019b04aef823de19d2c331927fa21f477a851e)
- Update SECURITY.md [`6708d4f`](https://github.com/ImageMagick/ImageMagick/commit/6708d4f2f577dcc835779df5c6f28732ccba44e0)
- Reverse loop to "fix" compiler optimization bug on arm64 Linux. [`1350b58`](https://github.com/ImageMagick/ImageMagick/commit/1350b58867213c1c30d200e137b894f93b53c31a)
- https://github.com/ImageMagick/ImageMagick/issues/5008 [`7e36bce`](https://github.com/ImageMagick/ImageMagick/commit/7e36bce9e429604a633b921b01d26ebab00e5578)
- TXT format supports multispectral images [`a107b94`](https://github.com/ImageMagick/ImageMagick/commit/a107b94135aab17f22a8181f1a0809f79969f6b4)
- Fixed build errors. [`4f3d080`](https://github.com/ImageMagick/ImageMagick/commit/4f3d0804a8c961da75c38df46984c413ac6e8f66)
- Lab colorspace survives a round-trip [`6eb56b8`](https://github.com/ImageMagick/ImageMagick/commit/6eb56b86f2c38cfbeabcc5aae218c359a9492d91)
- eliminate compiler warning [`f51ac93`](https://github.com/ImageMagick/ImageMagick/commit/f51ac93840a3a8ff2ece5e73e9d40145a5e644ef)
- longitude requires minor version 20 [`46df306`](https://github.com/ImageMagick/ImageMagick/commit/46df30643ab464f61533d9e36dcd828f616e30f0)
- https://github.com/ImageMagick/ImageMagick/pull/5034 [`940b133`](https://github.com/ImageMagick/ImageMagick/commit/940b133b15d6c653c3270eeedc55cdf9cb9cdfe1)
- alpha_trait should be set, otherwise the alpha value will not be used. [`90f788f`](https://github.com/ImageMagick/ImageMagick/commit/90f788f71026d54a7220ac4cc934cf0081296c62)
- https://github.com/ImageMagick/ImageMagick/issues/5028 [`ebea37d`](https://github.com/ImageMagick/ImageMagick/commit/ebea37d8e3282fc53a5a88493921505106e363e5)
- https://github.com/ImageMagick/ImageMagick/issues/5027 [`6516558`](https://github.com/ImageMagick/ImageMagick/commit/6516558cc6ad2ed72fafb9cf0825c8406d701d86)
- pending release [`196b8b0`](https://github.com/ImageMagick/ImageMagick/commit/196b8b054c9b02b5a8b133027d9e9f9d24f148e0)
- Use -define connected-components:sort=area | width | height | x | y to sort the verbose connected components objects. By default, the objects are listed in decreasing area. Add -define connected-components:sort-order=increasing | decreasing to specify the sort order. [`41d9d59`](https://github.com/ImageMagick/ImageMagick/commit/41d9d592f1e2411032d47cb8b11c24f6d92bf68f)
- eliminate compiler warning [`3366885`](https://github.com/ImageMagick/ImageMagick/commit/3366885064260cfdf2104943336ee12f459d4f60)
- eliminate compiler warning [`89527f6`](https://github.com/ImageMagick/ImageMagick/commit/89527f67d4f43bf632ae491b1ac50d7a16983bfa)
- forgot to include "static.h" header [`93b59d6`](https://github.com/ImageMagick/ImageMagick/commit/93b59d632ef989825d415726eb597de3dcdbfe39)
- fix Coverity defects [`c8ca79e`](https://github.com/ImageMagick/ImageMagick/commit/c8ca79e569f50b88d04ee78ad7b060bbdf6d0c91)
- future: throw an exception if type cache cannot be acquired [`0903518`](https://github.com/ImageMagick/ImageMagick/commit/0903518d5fafcb58a66a3745f65c07a1256d2d1a)
- eliminate Coverity defects [`a564acf`](https://github.com/ImageMagick/ImageMagick/commit/a564acf287b19b000ab276bf05d6b05d4ea9ecfe)
- eliminate Coverity defects [`de80673`](https://github.com/ImageMagick/ImageMagick/commit/de806730111e471eba40164823ad21e18632bd7c)
- ... [`91c6c53`](https://github.com/ImageMagick/ImageMagick/commit/91c6c5300f0c6eba01f2e5a01de83d00c65d0f11)
- eliminate Coverity defects [`34a91f0`](https://github.com/ImageMagick/ImageMagick/commit/34a91f0c742b5d5f3791842e0dc0e2192e8cfbd1)
- eliminate Coverity defects [`a744181`](https://github.com/ImageMagick/ImageMagick/commit/a744181f6284c594bcfdbc1e9f8e70aca53bff0a)
- streaming interface must be allocated on the heap [`dc5116f`](https://github.com/ImageMagick/ImageMagick/commit/dc5116fb171f35ab3c6a1e027687e971a72d097e)
- fix memory leak in Freetype streaming interface [`d8c2b0c`](https://github.com/ImageMagick/ImageMagick/commit/d8c2b0cb6da671ba238e1b733b85e1a221cb0c88)
- eliminate Coverity defects [`9ee5a2e`](https://github.com/ImageMagick/ImageMagick/commit/9ee5a2e7321244abaa161954fa054fd2ff06927d)
- revert [`daa64a9`](https://github.com/ImageMagick/ImageMagick/commit/daa64a9d74298f1093c23147cd02e73df160ffcd)
- eliminate Coverity defect [`62f3f3a`](https://github.com/ImageMagick/ImageMagick/commit/62f3f3a08ff8dea7117b657db54321ea8430bd73)
- utilitze fstat() blocksize to set stream buffer size [`ff0734c`](https://github.com/ImageMagick/ImageMagick/commit/ff0734c8940d1da8562d421bcd8f600a81ed720a)
- revert [`4433872`](https://github.com/ImageMagick/ImageMagick/commit/443387288bb40a7e56de5bcb87bba630a16f736f)
- eliminate Coverity defects [`6b15959`](https://github.com/ImageMagick/ImageMagick/commit/6b15959d781808e3b6e8f1f3c4acbb73e6e0a1c9)
- eliminate leak in Freetype streaming interface [`e0a9b4d`](https://github.com/ImageMagick/ImageMagick/commit/e0a9b4dbae2f99d0d5efdce8e240cca7215e9460)
- prevent double free in Freetype streaming interface [`f12746c`](https://github.com/ImageMagick/ImageMagick/commit/f12746c6ad365311b5c1d7ce3ee755b31f24de7d)
- eliminate Coverity defects [`3a256ce`](https://github.com/ImageMagick/ImageMagick/commit/3a256ce9002ebfb88da77f415869f9f81f4d4187)
- fix fill-opacity special case where the fill color alpha is fully transparent [`1835ba8`](https://github.com/ImageMagick/ImageMagick/commit/1835ba84863b088f50db5e074835bca84868c9c4)
- eliminate Coverity defect [`0ef3f01`](https://github.com/ImageMagick/ImageMagick/commit/0ef3f0122fcb538392f0fad352480b336c65bc4d)
- eliminate Coverity defects [`781a886`](https://github.com/ImageMagick/ImageMagick/commit/781a8861e443b028477793d50406557bbee0451f)
- Always use IsGrayColorspace. [`c154ffe`](https://github.com/ImageMagick/ImageMagick/commit/c154ffef2f360efd56712212a85208f39f11a0b7)
- release [`8e8a7ce`](https://github.com/ImageMagick/ImageMagick/commit/8e8a7ceba8ba57f6867947a16bfab319ca47c993)

## [7.1.0-29](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-28...7.1.0-29) - 2022-03-27

### Merged

- Remove unused EXPLICIT_TEMPLATE_INSTANTIATION [`#4982`](https://github.com/ImageMagick/ImageMagick/pull/4982)
- Fixes #4985: 4e+26 is outside the range of representable values of type 'unsigned long' at coders/pcl.c:299 [`#4986`](https://github.com/ImageMagick/ImageMagick/pull/4986)

### Fixed

- Fixes #4985: 4e+26 is outside the range of representable values of type 'unsigned long' at coders/pcl.c:299 (#4986) [`#4985`](https://github.com/ImageMagick/ImageMagick/issues/4985)

### Commits

- ... [`280e7e6`](https://github.com/ImageMagick/ImageMagick/commit/280e7e6c2183a534efdf08db225dfa21350f0403)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=45887 [`96ae906`](https://github.com/ImageMagick/ImageMagick/commit/96ae9066b001ff951c6a3c936081bacfaa69935f)
- https://github.com/ImageMagick/ImageMagick/issues/4972 [`ffc2aaa`](https://github.com/ImageMagick/ImageMagick/commit/ffc2aaae543dcd60c6cc7e5a426f66dbc51df560)
- https://github.com/ImageMagick/ImageMagick/issues/4974 [`c871830`](https://github.com/ImageMagick/ImageMagick/commit/c8718305f120293d8bf13724f12eed885d830b09)
- https://github.com/ImageMagick/ImageMagick/issues/4975 [`44cb819`](https://github.com/ImageMagick/ImageMagick/commit/44cb81933777a199b9209d89a72fd2acf202d5de)
- latest changes [`2bfd2be`](https://github.com/ImageMagick/ImageMagick/commit/2bfd2beb581bbfd242ff7dd20a15dc602a154014)
- https://github.com/ImageMagick/ImageMagick/issues/4936 [`83b114f`](https://github.com/ImageMagick/ImageMagick/commit/83b114f7ae99561d9c6abc67ab11c50f9d547655)
- https://github.com/ImageMagick/ImageMagick/issues/4936 [`000557d`](https://github.com/ImageMagick/ImageMagick/commit/000557da249fa36ad8111c312cb43f179a1f7070)
- enforce one `id` per MIFF image [`966a769`](https://github.com/ImageMagick/ImageMagick/commit/966a769a646aaaeff127862b8e475297bf5058d3)
- revert [`96162eb`](https://github.com/ImageMagick/ImageMagick/commit/96162ebad2f05140a0d899b46a3e5dec9d4005f2)
- latest changelog [`d1d344b`](https://github.com/ImageMagick/ImageMagick/commit/d1d344b0ac1b5e98955009d57ed7f6954b54afcf)
- reset id [`83de35d`](https://github.com/ImageMagick/ImageMagick/commit/83de35d0ab6e5100450d604bf300670af7e1b3e8)
- reset id [`a4736b4`](https://github.com/ImageMagick/ImageMagick/commit/a4736b4577b45def91148a4e5e71d8d4151ff96f)
- over allocate quantum pixel buffer [`219d19f`](https://github.com/ImageMagick/ImageMagick/commit/219d19f96e6a87b17ab26dfa6eadc7ad3169092a)
- https://github.com/ImageMagick/ImageMagick/issues/4987 [`25309b9`](https://github.com/ImageMagick/ImageMagick/commit/25309b9772d72072f8574352968aeca7134ba433)
- no suitable delegate utility for CGM or FIG formats [`004fc5d`](https://github.com/ImageMagick/ImageMagick/commit/004fc5d725fa2dc395391d1ac65f815823595189)
- https://github.com/ImageMagick/ImageMagick/issues/4988 [`ca3654e`](https://github.com/ImageMagick/ImageMagick/commit/ca3654ebf7a439dc736f56f083c9aa98e4464b7f)
- cosmetic [`e36bd84`](https://github.com/ImageMagick/ImageMagick/commit/e36bd84b0935b204a27a05aa041dfea6faf25099)
- cosmetic [`2c35b9a`](https://github.com/ImageMagick/ImageMagick/commit/2c35b9a24bd6abf17b1f135ced20611f4ad7fa17)
- account for case where gray image is imported as RGBA [`22cfaf3`](https://github.com/ImageMagick/ImageMagick/commit/22cfaf35dcea6d07e5353660794edca16b363c6b)
- speculative allocation since we don't yet know the quantum type [`bd77531`](https://github.com/ImageMagick/ImageMagick/commit/bd77531ae8dd24adb583f87e7c0b73c306ac64cc)
- pending release [`8be1086`](https://github.com/ImageMagick/ImageMagick/commit/8be1086bee313dfcfe014e3c60197bf0b636776f)
- revert [`ab39cc4`](https://github.com/ImageMagick/ImageMagick/commit/ab39cc4abe3510b31d9e3dafe8a3b898ce627605)
- set quantum extent [`c909df1`](https://github.com/ImageMagick/ImageMagick/commit/c909df15fc9e55b99c9d4480d4ed48a141fb943b)
- revert [`cb65691`](https://github.com/ImageMagick/ImageMagick/commit/cb656913eb12c67f3d8a3098635e239c3d94bf18)
- pending release [`a6551b2`](https://github.com/ImageMagick/ImageMagick/commit/a6551b2514ecf294c7ee11841d1e0b665fbbc7a8)
- release [`4c0b7d2`](https://github.com/ImageMagick/ImageMagick/commit/4c0b7d25daf11131af48820b2aa6cc0b1cf11a9e)

## [7.1.0-28](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-27...7.1.0-28) - 2022-03-20

### Merged

- Fix setting the pixel intensity method with SetImageProperty [`#4969`](https://github.com/ImageMagick/ImageMagick/pull/4969)
- fix issue: outside the range of representable values of type 'unsigned int' at coders/psd.c:1025 [`#4963`](https://github.com/ImageMagick/ImageMagick/pull/4963)

### Commits

- ... [`daef664`](https://github.com/ImageMagick/ImageMagick/commit/daef66469b28411755b42f000daa5c1dceec8697)
- export libjxl version # [`4f15721`](https://github.com/ImageMagick/ImageMagick/commit/4f15721bb54adf029a3e6d2b44ec674a4ccbbcbf)
- support grayscale and linear colorspaces [`298ac0b`](https://github.com/ImageMagick/ImageMagick/commit/298ac0bf3b2a00a4eda82934b6aae48e564ee7c5)
- Restore dds:compression=dxt5 behavior [`7dcb23a`](https://github.com/ImageMagick/ImageMagick/commit/7dcb23a29c6b1110c2c29f9862cf39b502a98982)
- set pixel format in image out block [`e709dbf`](https://github.com/ImageMagick/ImageMagick/commit/e709dbf20aa1d025bfcf9bbe463ece3aa2f02125)
- improve checking for conditional function arguments [`a1d46a8`](https://github.com/ImageMagick/ImageMagick/commit/a1d46a8566c5fb79583e82fec3a561402ff9cec1)
- https://github.com/ImageMagick/ImageMagick/issues/4927 [`d8624b4`](https://github.com/ImageMagick/ImageMagick/commit/d8624b4611882b4e15be6c22d306d56f1914056f)
- https://github.com/ImageMagick/ImageMagick/issues/4927 [`7441e31`](https://github.com/ImageMagick/ImageMagick/commit/7441e318c500975be5d55378e37c2f4695f0b864)
- no need to check for &lt; 0 [`69f805b`](https://github.com/ImageMagick/ImageMagick/commit/69f805b22c8c24fcd7c75587a0ad2fd53740dbb8)
- coders: sync JXL output [`9ca56be`](https://github.com/ImageMagick/ImageMagick/commit/9ca56be04a4229105e9cd20ccde47528a048f80f)
- Changed the format of MAGICK_GIT_REVISION and use this in -version. [`a7c4ca3`](https://github.com/ImageMagick/ImageMagick/commit/a7c4ca34d4e6670b3741027c2ad6dde931c92871)
- Corrected name of the define. [`dfaeb2e`](https://github.com/ImageMagick/ImageMagick/commit/dfaeb2e05707f9bd4cff0cbdc4778b3bdb2b001f)
- Corrected date format. [`a6f7e16`](https://github.com/ImageMagick/ImageMagick/commit/a6f7e1627f54cf08c883ec83988db424ff914fe0)
- regenerate compare docs [`f9d988b`](https://github.com/ImageMagick/ImageMagick/commit/f9d988b415174751c3efd7acb4d8b3231d465572)
- correct date format [`301a801`](https://github.com/ImageMagick/ImageMagick/commit/301a8014ffe901739e20ef08098bb54120243cdc)
- Coders: https://github.com/ImageMagick/ImageMagick/issues/4947 [`8043433`](https://github.com/ImageMagick/ImageMagick/commit/8043433ba9ce0c550e09f2b3b6a3f5f62d802e6d)
- Coders: proper check for out of bounds per https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=45640 [`ea43d4b`](https://github.com/ImageMagick/ImageMagick/commit/ea43d4b023e7b2fdbf8ff6d6fb23e7dd91add4c3)
- Coders: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=42549 [`a81927b`](https://github.com/ImageMagick/ImageMagick/commit/a81927b4801ffe7b2168c39588a3043d26d70df2)
- Coders: eliminate compiler warnings [`8ed4f9a`](https://github.com/ImageMagick/ImageMagick/commit/8ed4f9a8d722e70d6072c374d4dccc9b5da50057)
- Coders: cosmetic [`0dadfa7`](https://github.com/ImageMagick/ImageMagick/commit/0dadfa75c7fa54f57d771f6c6f97b969863d2601)
- Coders: PS and EPS %%BoundingBox not being parsed #4961 [`35fdd9f`](https://github.com/ImageMagick/ImageMagick/commit/35fdd9f89aca2f8ec6c7b770641e0c5c2853eb47)
- Coders: support 10-bit AVIF per https://github.com/ImageMagick/ImageMagick/discussions/4932 [`418e3f4`](https://github.com/ImageMagick/ImageMagick/commit/418e3f40dc7302dae664eaaf0ea4cd4b7b59f852)
- MagickCore: cosmetic [`08e77d2`](https://github.com/ImageMagick/ImageMagick/commit/08e77d21968bd9c7374692b46af51cd7a1ff1e3b)
- MagickCore: support getentropy() [`b1027c8`](https://github.com/ImageMagick/ImageMagick/commit/b1027c855af1c8c29e07217b9216b1743d8004e0)
- build: release [`1627727`](https://github.com/ImageMagick/ImageMagick/commit/16277279886c57325d874e1acce04d979172a304)
- getentropy() requires sys/random.h include [`b62bc9d`](https://github.com/ImageMagick/ImageMagick/commit/b62bc9dc24e6c59db3a3185b87def27ff02789d3)
- pending release [`b83772f`](https://github.com/ImageMagick/ImageMagick/commit/b83772f8cdc35f27aa669c9e15eb6b8ad0f98786)

## [7.1.0-27](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-26...7.1.0-27) - 2022-03-04

### Commits

- ... [`fe3a627`](https://github.com/ImageMagick/ImageMagick/commit/fe3a627b4a9f9c15ef8d34daefc08f5471681f4a)
- cosmetic [`c1fe09e`](https://github.com/ImageMagick/ImageMagick/commit/c1fe09e3533d2b778f45d49f243e210dcb915cc7)
- https://github.com/ImageMagick/ImageMagick/issues/4870 [`eb08826`](https://github.com/ImageMagick/ImageMagick/commit/eb0882667cddc4ea71b61a583a782c430220faf4)
- https://github.com/ImageMagick/ImageMagick/issues/4876 [`17b8572`](https://github.com/ImageMagick/ImageMagick/commit/17b85720f0685d83797c3925a866f42971c23713)
- ... [`d2ad523`](https://github.com/ImageMagick/ImageMagick/commit/d2ad523daad137e04a148e0ab15fe044393206aa)
- canonical copyright notice [`cd32501`](https://github.com/ImageMagick/ImageMagick/commit/cd32501e861b3755c116baa47fa879323e11cffd)
- https://github.com/ImageMagick/ImageMagick/issues/966 [`f6db6e0`](https://github.com/ImageMagick/ImageMagick/commit/f6db6e06dfabe0412d61b433b89efe5ad58d9b21)
- escape \n character [`624e514`](https://github.com/ImageMagick/ImageMagick/commit/624e5144d9b76789b51c8c24e002ea2c854bc406)
- https://github.com/ImageMagick/ImageMagick/issues/966 [`5c23779`](https://github.com/ImageMagick/ImageMagick/commit/5c2377996445ce1c3be00e78a08afde131fb813d)
- https://github.com/ImageMagick/ImageMagick/issues/4888 [`5512240`](https://github.com/ImageMagick/ImageMagick/commit/5512240ff88749d9450d51aa977969a9ad321d6c)
- https://github.com/ImageMagick/ImageMagick/issues/4888 [`2fa2184`](https://github.com/ImageMagick/ImageMagick/commit/2fa218431d622f33da90a79c1a2f5f5750710fdc)
- https://github.com/ImageMagick/ImageMagick/issues/966 [`62a3cd5`](https://github.com/ImageMagick/ImageMagick/commit/62a3cd54416c067da75be895a27362a01aaebdc8)
- throw exception on reserved filename character (\xff) [`ee80bac`](https://github.com/ImageMagick/ImageMagick/commit/ee80bacc9d4c36c0405a46cd555e953a40fd129e)
- https://github.com/ImageMagick/ImageMagick/issues/4896 [`14a8a35`](https://github.com/ImageMagick/ImageMagick/commit/14a8a358452405e99dfa52e799ed37c02db316e6)
- auto-generate the change log from git commits [`67bc403`](https://github.com/ImageMagick/ImageMagick/commit/67bc40387b9270e28f911199bac2de577f828b42)
- ... [`165327a`](https://github.com/ImageMagick/ImageMagick/commit/165327a5247525ccd0bea04b88114df86896cfee)
- Changed trigger for release. [`ccff96d`](https://github.com/ImageMagick/ImageMagick/commit/ccff96dfb318c906a396681a0dbfa12b08e1e90f)
- ChangeLog =&gt; ChangeLog.md [`0b5cb6e`](https://github.com/ImageMagick/ImageMagick/commit/0b5cb6edef00d63af0904dbd955cb57f186f7e9f)
- improve "geometry does not contain image" exception message [`28be54d`](https://github.com/ImageMagick/ImageMagick/commit/28be54df1dbf9726ff9dd257955a1a78470e76f4)
- https://github.com/ImageMagick/ImageMagick/discussions/4533 [`4b1dc4c`](https://github.com/ImageMagick/ImageMagick/commit/4b1dc4cb1e91af85f5cf05da92588da7696ce3ed)
- https://github.com/ImageMagick/ImageMagick/discussions/4862 [`9d74db9`](https://github.com/ImageMagick/ImageMagick/commit/9d74db9c45eb207c6c9d3f1ac762d05f0ae3bf86)
- proper check for libjxl minimum version [`ccf788b`](https://github.com/ImageMagick/ImageMagick/commit/ccf788bd768a2ff75bb529d39bdcdfbeadeede23)
- include reference to JXL coder source module [`18f7a0a`](https://github.com/ImageMagick/ImageMagick/commit/18f7a0afba8374f6b52053a383101d36aef0dab6)
- https://github.com/ImageMagick/ImageMagick/issues/4874 [`3630e5c`](https://github.com/ImageMagick/ImageMagick/commit/3630e5c63e6188d037fd225d4073b001275dc830)
- Fixed memory leak in ThumbnailImage. [`47fed11`](https://github.com/ImageMagick/ImageMagick/commit/47fed11f7bae354cb40f1805aa9707faf593438c)
- Code style changes. [`161b2bd`](https://github.com/ImageMagick/ImageMagick/commit/161b2bdc8221078fb84119fd64be9376979d5819)
- More code style changes. [`0d2723e`](https://github.com/ImageMagick/ImageMagick/commit/0d2723e796313a72aceb73784d6d203c1bdfb477)
- Use RegEnumValueW instead. [`bfad2a3`](https://github.com/ImageMagick/ImageMagick/commit/bfad2a34d6fdcabda36cff83e49fe5320804dc9d)
- Code style changes. [`fbb2bad`](https://github.com/ImageMagick/ImageMagick/commit/fbb2bad1388403d617fc87d72254ad86534de4a7)
- Only set system_root_length once. [`6fe9a5f`](https://github.com/ImageMagick/ImageMagick/commit/6fe9a5fe6e2ce2c8faccd6f2e609222ade42ac75)
- Removed one of the buffers. [`3be14c7`](https://github.com/ImageMagick/ImageMagick/commit/3be14c7f5b2ac83e078471e96a8fc393869f8c3e)
- The value is also utf8 when RegEnumValueW is used. [`9954343`](https://github.com/ImageMagick/ImageMagick/commit/995434350c3ac84cfeaaad0eeeb00483a0030110)
- pending release [`b7174d2`](https://github.com/ImageMagick/ImageMagick/commit/b7174d211065e5b794cdb5ebc72f317124b2cd47)
- Corrected adjoin check. [`ffaf35e`](https://github.com/ImageMagick/ImageMagick/commit/ffaf35e7dce75cf5492308ff90b1a38228e5c0bf)
- pending release [`dc2b955`](https://github.com/ImageMagick/ImageMagick/commit/dc2b9553e9b1e73ce264f41e5820a236db7403fd)

## [7.1.0-26](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-25...7.1.0-26) - 2022-02-21

### Merged

- Appropriate default kmin, kmax values for lossy and lossless into webp encoder [`#4846`](https://github.com/ImageMagick/ImageMagick/pull/4846)

### Commits

- ... [`702d55a`](https://github.com/ImageMagick/ImageMagick/commit/702d55a87c2b6dc5052a9a71bbbeba2b0b2fc619)
- https://github.com/ImageMagick/ImageMagick/issues/4761 [`35b2e14`](https://github.com/ImageMagick/ImageMagick/commit/35b2e14d82ae87fe97b2a0e3f49cdd19d82c8f06)
- https://github.com/ImageMagick/ImageMagick/discussions/4755 [`0101c29`](https://github.com/ImageMagick/ImageMagick/commit/0101c2901a8c0922ef0dba06dca446efe38d8dd1)
- Added option to allow specifying -dShowAnnots=false. [`60e8f2c`](https://github.com/ImageMagick/ImageMagick/commit/60e8f2ce8bdf0822cd59e1f898a984d79ef50690)
- https://github.com/ImageMagick/ImageMagick/issues/4843 [`17eaebd`](https://github.com/ImageMagick/ImageMagick/commit/17eaebd2c1ffb42c1b1b5b17c2db12e19ec69d30)
- ... [`31720fe`](https://github.com/ImageMagick/ImageMagick/commit/31720fee01114d59f6122ae2251f1452e0e9b67f)
- Removed the xtrn coder. [`6a863cc`](https://github.com/ImageMagick/ImageMagick/commit/6a863ccebb6d777739fb8d9b5b3b78c868dafb82)
- Removed xtrn coder. [`0d1b03d`](https://github.com/ImageMagick/ImageMagick/commit/0d1b03d3176d47e6f2e512bdc7968a9fa153189a)
- ... [`c2617e9`](https://github.com/ImageMagick/ImageMagick/commit/c2617e9a8de9e4a3c481956d647e12f09cec97f0)
- fix compiler exception under Cygwin [`ee54f8d`](https://github.com/ImageMagick/ImageMagick/commit/ee54f8dcf76a6c82b741cfdf8e0a7b4558671c9d)
- remove reference to ImageMagickObject [`a7141eb`](https://github.com/ImageMagick/ImageMagick/commit/a7141eb10579909e1bf5070ebaf700182cbcf25a)
- remove references to ImageMagickObject [`ccb6b35`](https://github.com/ImageMagick/ImageMagick/commit/ccb6b35068bfc9bdc7da309d8985cfd6644f8e71)
- ... [`f43aa87`](https://github.com/ImageMagick/ImageMagick/commit/f43aa87b45ac36dae42a33457603f2d67e5c4fbd)
- pending release [`aa668b2`](https://github.com/ImageMagick/ImageMagick/commit/aa668b23d9f4804fe47761bb4ed65b6877cc0914)
- Raise exception when image could not be read but no exception was raised. [`f939c22`](https://github.com/ImageMagick/ImageMagick/commit/f939c225f2a62e4ba2d8d449f7ffa514a9aac500)
- Changed copyright. [`05b88b4`](https://github.com/ImageMagick/ImageMagick/commit/05b88b46eac5f8929e3461e86748474d98c2e7ab)
- Changed copyright. [`0efff06`](https://github.com/ImageMagick/ImageMagick/commit/0efff06599dc6d08c30ec19a79c494d2a6607846)
- Removed NTGhostscriptDLL and NTGhostscriptLoadDLL from the private header. [`c27d494`](https://github.com/ImageMagick/ImageMagick/commit/c27d494351fcb8e5f1f69cceff27824122c4d0a2)
- Fixes for installation in a folder that contains non ASCII characters (#4382). [`9928afc`](https://github.com/ImageMagick/ImageMagick/commit/9928afc2c123f2be6720f5aaa5931978e6ca2e2e)
- off-by-one fix [`352a9ab`](https://github.com/ImageMagick/ImageMagick/commit/352a9ab54ef228553d793c148c717d9f0beac864)
- don't over-allocate thread-specific data [`7ff4ae1`](https://github.com/ImageMagick/ImageMagick/commit/7ff4ae104a9710407786c14223001ad4176d1331)
- pending release [`893aea3`](https://github.com/ImageMagick/ImageMagick/commit/893aea3e3d8a102036e67cc0d97e351d69e5b6f6)
- no need for conditional compile [`57be678`](https://github.com/ImageMagick/ImageMagick/commit/57be6784c1bea811aa35199f56e5cec9777946f0)
- rename method to TLS-moniker, thread local storage [`5775664`](https://github.com/ImageMagick/ImageMagick/commit/5775664a028c8fdd9fe9d99a4628d08ec57f424c)
- Use MagickBooleanType instead. [`fc3c6fb`](https://github.com/ImageMagick/ImageMagick/commit/fc3c6fbed9ba036bc3227b80a8ac36d30abbbedf)
- Removed unnecessary initialization. [`51cbb7d`](https://github.com/ImageMagick/ImageMagick/commit/51cbb7d8d8ceb70b111dee0a8d1cfe58a7914233)
- cosmetic [`f3a4813`](https://github.com/ImageMagick/ImageMagick/commit/f3a48131fad4067240698714eba044ca78236c8c)
- cosmetic [`6f6caf2`](https://github.com/ImageMagick/ImageMagick/commit/6f6caf214b9cbfd008a8712a501a1e3e6a83b832)
- https://github.com/ImageMagick/ImageMagick/discussions/4859 [`c1304c0`](https://github.com/ImageMagick/ImageMagick/commit/c1304c02317ba992dde535314c459ced1a463848)
- https://github.com/ImageMagick/ImageMagick/discussions/4856 [`717546e`](https://github.com/ImageMagick/ImageMagick/commit/717546e1e02660f471bd53bf6a5f83e62ff08f8c)
- pending release [`1363b1e`](https://github.com/ImageMagick/ImageMagick/commit/1363b1e1e27aac515305f0979541e23c0716932b)
- adjust -extent geometry support for &lt; && &gt; [`3db22d0`](https://github.com/ImageMagick/ImageMagick/commit/3db22d038089abfdd3bff3ca4f0edc9158ac57e5)
- https://github.com/ImageMagick/ImageMagick/discussions/4856 [`66cb4f9`](https://github.com/ImageMagick/ImageMagick/commit/66cb4f91bc09b645f0ce3824a8469718d0cbc761)
- pending release [`50b7ec5`](https://github.com/ImageMagick/ImageMagick/commit/50b7ec519c4f07ffd8eb80fdd0aaa00d0e82b6d6)
- add strimg image format [`86b1eb4`](https://github.com/ImageMagick/ImageMagick/commit/86b1eb465afe7be1de3a6baf16c535118855a22c)
- pending release [`0c5784d`](https://github.com/ImageMagick/ImageMagick/commit/0c5784d96b39e3ea78105b595dab1342bb963799)
- https://github.com/ImageMagick/ImageMagick/issues/4865 [`63a25b5`](https://github.com/ImageMagick/ImageMagick/commit/63a25b5f4f5c70a00b330c6fc36133903774752c)
- pending release [`a6458f9`](https://github.com/ImageMagick/ImageMagick/commit/a6458f9b8b5805bab5ff781c3ae22baa05cd8494)
- https://github.com/ImageMagick/ImageMagick/issues/4864 [`3663328`](https://github.com/ImageMagick/ImageMagick/commit/3663328cd031976250bb06cdcd78c1bdffbfe8b8)
- pending release [`4dfd217`](https://github.com/ImageMagick/ImageMagick/commit/4dfd21705173d2a6e3ca4b0a6723a6e1f48ef885)
- https://github.com/ImageMagick/ImageMagick/issues/4867 [`da3971c`](https://github.com/ImageMagick/ImageMagick/commit/da3971cb2ecde8856358e2221aec5b924467ef85)
- pending release [`78680f5`](https://github.com/ImageMagick/ImageMagick/commit/78680f51e98d6aecf25b0d9951de3d8122d3b871)

## [7.1.0-25](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-24...7.1.0-25) - 2022-02-15

### Commits

- ... [`191fd98`](https://github.com/ImageMagick/ImageMagick/commit/191fd9864aa54bde02bf1863bc306fbe24843f64)
- Corrected copyright header. [`678fb88`](https://github.com/ImageMagick/ImageMagick/commit/678fb8880e29819d30e5e35b73eafddc9cd9b461)
- Corrected length check. [`a563804`](https://github.com/ImageMagick/ImageMagick/commit/a5638045db7c13d2e8a86e51a4b339080f03d5cc)
- Added missing copyright and header. [`de8c61d`](https://github.com/ImageMagick/ImageMagick/commit/de8c61dc8d2492219397c312653128109d3c7c1f)
- Corrected header style. [`18f5a8f`](https://github.com/ImageMagick/ImageMagick/commit/18f5a8fca87fb6dbb204e1c62a426df61842e055)
- Removed unused binary. [`a83ebfc`](https://github.com/ImageMagick/ImageMagick/commit/a83ebfcaf3eb79fa846718af70df6b978c8ed946)
- Corrected header. [`8960f4d`](https://github.com/ImageMagick/ImageMagick/commit/8960f4d9433627848550f86cecedbad6f5bd4a34)
- Changed copyright headers. [`3ddbe16`](https://github.com/ImageMagick/ImageMagick/commit/3ddbe16bbe136160f4bbff3804a8423816974e57)
- https://github.com/ImageMagick/ImageMagick/issues/4822 [`111d4e4`](https://github.com/ImageMagick/ImageMagick/commit/111d4e4aae5b27bff8a9028b2ad230bc89a57039)
- one off when debugging [`869315d`](https://github.com/ImageMagick/ImageMagick/commit/869315df81a6c70f339e58e55eccef7c4fb19cc7)
- display last debugging character [`7fd967e`](https://github.com/ImageMagick/ImageMagick/commit/7fd967ef5e60ac3a814a3b34fc87c48c59dae3a9)
- alpha is never zero [`8d33dd8`](https://github.com/ImageMagick/ImageMagick/commit/8d33dd8dd63729d0cb9ceb7432cadeca69beab17)
- Removed unnecessary variable. [`6b246ff`](https://github.com/ImageMagick/ImageMagick/commit/6b246ffd6e4c92076c44a75c77d535f861368074)
- https://github.com/ImageMagick/ImageMagick/issues/4837 [`a833062`](https://github.com/ImageMagick/ImageMagick/commit/a8330620ca1695f35bd8a8b07245b78cbe21880b)
- revert [`7d5e159`](https://github.com/ImageMagick/ImageMagick/commit/7d5e159ed8872c1ce51f1b89b4027689fb80e3a0)
- cosmetic [`0e22666`](https://github.com/ImageMagick/ImageMagick/commit/0e2266611121c1eab597a5051fd4cb37d5300e2d)
- off-by-one fix [`56f1643`](https://github.com/ImageMagick/ImageMagick/commit/56f1643600448447dbdb6c03716ec9474153c43b)
- fix unitialized value [`1931a77`](https://github.com/ImageMagick/ImageMagick/commit/1931a7732fb7488d1c7d992ccdb1dffd026aeb5d)
- https://github.com/ImageMagick/ImageMagick/issues/4841 [`0fec6dc`](https://github.com/ImageMagick/ImageMagick/commit/0fec6dca6c990038c7f275f04b3e6829c9aea95a)
- off-by-one fix [`7f7c905`](https://github.com/ImageMagick/ImageMagick/commit/7f7c90526187ddd560d2a511cde2d9b9acef4fb1)
- Removed ImageMagickObject because we no longer support this. [`61dcc55`](https://github.com/ImageMagick/ImageMagick/commit/61dcc55d596e8e241841cb3b9088fd9f55a154e7)
- pending release [`14e94c3`](https://github.com/ImageMagick/ImageMagick/commit/14e94c311502613805a8973de2dc1d6958858d80)

## [7.1.0-24](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-23...7.1.0-24) - 2022-02-12

### Commits

- ... [`8c52d6f`](https://github.com/ImageMagick/ImageMagick/commit/8c52d6fa50d7c39ea4446d416640e29dada61996)
- eliminate compiler warning [`0595255`](https://github.com/ImageMagick/ImageMagick/commit/0595255bde9edab97da3331f90b7489bc92ca6dc)
- Changed copyright headers. [`2056a1f`](https://github.com/ImageMagick/ImageMagick/commit/2056a1f77255bd551926f18ec321063d5c2ee195)
- Changed copyright headers. [`67beeff`](https://github.com/ImageMagick/ImageMagick/commit/67beeff5d03c194d0c846632c124905a56324625)
- Added copyright headers. [`78e4a56`](https://github.com/ImageMagick/ImageMagick/commit/78e4a56a833cd64f1676bf54847409cae1debaf4)
- Removed reverences to travis. [`aa1806d`](https://github.com/ImageMagick/ImageMagick/commit/aa1806d1f437958cd847692d3c781bdd4c9a22e2)
- possible performance optimization [`4a8a0d4`](https://github.com/ImageMagick/ImageMagick/commit/4a8a0d4f26b828532f266143d9dd3b8ca6fb52ac)
- cosmetic [`68eb33f`](https://github.com/ImageMagick/ImageMagick/commit/68eb33f7660a78ff22daec7a60265db15e3e46fe)
- Fixed build error. [`15f9463`](https://github.com/ImageMagick/ImageMagick/commit/15f9463eed4b4affd9dd3031d00e86c8f6b4753d)
- Removed unused flags. [`73b1d1d`](https://github.com/ImageMagick/ImageMagick/commit/73b1d1d2d45566f69697e0402508d73946c45359)
- optimize reading of XPM properties [`f578dad`](https://github.com/ImageMagick/ImageMagick/commit/f578dad6151beb51747e7928770975ccddf064b6)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=44457 [`a9bd4c0`](https://github.com/ImageMagick/ImageMagick/commit/a9bd4c0e16d034f733c93d5d1b022f9e5f78e70e)
- revert [`503333f`](https://github.com/ImageMagick/ImageMagick/commit/503333f87ae676f5e327d83e10def04b3ecee5ab)
- https://github.com/ImageMagick/ImageMagick/discussions/4813 [`cadfcdd`](https://github.com/ImageMagick/ImageMagick/commit/cadfcdd11829197ed415177ef00a61921add7345)
- Removed empty header file. [`f5f9030`](https://github.com/ImageMagick/ImageMagick/commit/f5f90302c9d3fd9a987fda8f8cddbd6ede4cf697)
- Removed method that has been renamed. [`f8a1cf9`](https://github.com/ImageMagick/ImageMagick/commit/f8a1cf9eae09a52a63609bcacfa3c36bbf6cd4ac)
- Removed RIFF header to avoid issues with WEBP images (#4819). [`4c156f2`](https://github.com/ImageMagick/ImageMagick/commit/4c156f21b3f6ece862b85bdef6062b6bfd1d7c71)
- Removed IsAVI check (#4819). [`a1c342c`](https://github.com/ImageMagick/ImageMagick/commit/a1c342c04916670b4a1f161a29d24e9c04c4108d)
- prefer performance over quality [`75d1dbf`](https://github.com/ImageMagick/ImageMagick/commit/75d1dbf70f63ae365e3359d4b8c473a546d68bca)
- Changed copyright headers. [`8891ec1`](https://github.com/ImageMagick/ImageMagick/commit/8891ec1db10a70558deef45f61941b4fe0576b66)
- cosmetic [`4f923a8`](https://github.com/ImageMagick/ImageMagick/commit/4f923a83f2acf86eb56399442223513dcd2aa503)
- invalid free memory on NULL pointer [`4b03774`](https://github.com/ImageMagick/ImageMagick/commit/4b0377467fb3e1864ccd91c54393ca5d9bdeb3db)
- https://github.com/ImageMagick/ImageMagick/issues/4822 [`acc0934`](https://github.com/ImageMagick/ImageMagick/commit/acc0934a25ca392823d3d90febeb093c4ce9f2f0)
- remove debugging statement [`e69f2b1`](https://github.com/ImageMagick/ImageMagick/commit/e69f2b1413f1a9f2d5518aad13debacbe5b32195)
- https://github.com/ImageMagick/ImageMagick/issues/4828 [`3e2b04a`](https://github.com/ImageMagick/ImageMagick/commit/3e2b04a63c564aa4f2ce1da45a7346a59d15c0a2)
- prevent integer overflow [`32ce1ca`](https://github.com/ImageMagick/ImageMagick/commit/32ce1ca9b0746a592461e2cafc134d7a3eecbe54)
- Corrected UTF-16 big endian encoding (#4771). [`1d8b675`](https://github.com/ImageMagick/ImageMagick/commit/1d8b67552892fd3f1342a31f189305fb6b073165)
- Code style changes. [`1b9c0c9`](https://github.com/ImageMagick/ImageMagick/commit/1b9c0c96e41e48dd26ed2ebbaac36382d249ae96)
- Set the alpha_trait of the pixel in the colormap. [`07559b5`](https://github.com/ImageMagick/ImageMagick/commit/07559b540a0c3311bebe8a6948492fcf0101f06b)
- Also set the colorspace in the colormap. [`2ec7d4c`](https://github.com/ImageMagick/ImageMagick/commit/2ec7d4cbf8b7d13a2a0afe12e1af3df8cb59b51a)
- Use GetPixelInfo instead. [`3eb643b`](https://github.com/ImageMagick/ImageMagick/commit/3eb643b7fe36d4a5200afe1e11e79dab48ddc5c4)
- https://github.com/ImageMagick/ImageMagick/issues/4830 [`b3fc034`](https://github.com/ImageMagick/ImageMagick/commit/b3fc034f37ffe46c8314fae42acbd6c6a11b9da5)
- remove debugging statement [`38a2625`](https://github.com/ImageMagick/ImageMagick/commit/38a2625f094c42ac1c62ace34b5c560b8dbfd026)
- update copyright year [`80629df`](https://github.com/ImageMagick/ImageMagick/commit/80629dfb3fea55eefa2dd8bdd9ca1be341502e16)
- correct copyright year [`2652397`](https://github.com/ImageMagick/ImageMagick/commit/26523979fc9cb29e586b3e668e1fc6e075fc235e)
- pending release [`e5eed1c`](https://github.com/ImageMagick/ImageMagick/commit/e5eed1ca1a43df880c8a851a1c49b3cbb31510b1)

## [7.1.0-23](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-22...7.1.0-23) - 2022-02-05

### Merged

- Make MagickSet/GetSamplingFactors() use ':' instead of ',' [`#4794`](https://github.com/ImageMagick/ImageMagick/pull/4794)

### Commits

- check if image extent is NaN [`94650bc`](https://github.com/ImageMagick/ImageMagick/commit/94650bc4f10a5bb49e16c0f766adcb0db5f04a41)
- ... [`419dd8d`](https://github.com/ImageMagick/ImageMagick/commit/419dd8de4432beafd827339ca0595895db8ce032)
- apply the Fx expression to each image in the sequence [`c516ca8`](https://github.com/ImageMagick/ImageMagick/commit/c516ca8d21c1c2b6b0223b259cfc1f572d343e99)
- exit MVG parser realy if clipping path fails to render [`a628a09`](https://github.com/ImageMagick/ImageMagick/commit/a628a0918de7fa4c54fb84c036775ed6d92d84a8)
- ... [`4b4f4c3`](https://github.com/ImageMagick/ImageMagick/commit/4b4f4c381367a83f03959493be622b77abd9117c)
- avoid deep recursion [`a42870a`](https://github.com/ImageMagick/ImageMagick/commit/a42870a846d9471ac696475cc3aaabea8c76d6d5)
- cosmetic [`3fbdf95`](https://github.com/ImageMagick/ImageMagick/commit/3fbdf95d043aed30d7a6aa4fd9b3f68519f3c49f)
- ... [`51f487a`](https://github.com/ImageMagick/ImageMagick/commit/51f487aaab80518d5f601002bd818e8588b6b439)
- small memory leak if images exceed list length [`ce5c2b1`](https://github.com/ImageMagick/ImageMagick/commit/ce5c2b1847cbc90df68b0985cb99e3cf5f852813)
- https://github.com/ImageMagick/ImageMagick/issues/4790 [`b51707c`](https://github.com/ImageMagick/ImageMagick/commit/b51707c08f3dee192d464d38fc507c86051e62e6)
- https://github.com/ImageMagick/ImageMagick/issues/4793 [`6d69fce`](https://github.com/ImageMagick/ImageMagick/commit/6d69fceff3d6a30d8c7a1b7fd6702d9febcf9bd7)
- Use read_info instead of image_info. [`b38ab1e`](https://github.com/ImageMagick/ImageMagick/commit/b38ab1e28668bbfb7f39373f05b4906ae66b93ef)
- Corrected setting delay instead. [`2adce17`](https://github.com/ImageMagick/ImageMagick/commit/2adce170469980ba2b0d4f33947fa6be3495e732)
- Parse the image info once for all the frames. [`2488fc5`](https://github.com/ImageMagick/ImageMagick/commit/2488fc552ea38f34d7b5463cc81769f50dabff71)
- Corrected copy paste mistake. [`c9e20a4`](https://github.com/ImageMagick/ImageMagick/commit/c9e20a4623da788cc2f3f3c316e9456fb7aec41d)
- Renamed struct. [`49edbf0`](https://github.com/ImageMagick/ImageMagick/commit/49edbf034d00512a5e2022cf12d46ff1baf13586)
- Moved sync of orientation to a separate method. [`c3839eb`](https://github.com/ImageMagick/ImageMagick/commit/c3839ebf2fa4d75d8899e68acab892953f8cf553)
- Added extra option to also disable syncing from tiff. [`59ccfd7`](https://github.com/ImageMagick/ImageMagick/commit/59ccfd7425f367c53e9aeb0c7cfbde820086f2f7)
- Moved setting the resolution info from the exif/tiff properties to a separate method. [`7df7426`](https://github.com/ImageMagick/ImageMagick/commit/7df7426ad3a5f7753198fded7d22603370987c03)
- Moved declaration of variables. [`1980a3b`](https://github.com/ImageMagick/ImageMagick/commit/1980a3b0faa63159b19a3ba769dbc5f94a886d38)
- Code style change. [`a6c2928`](https://github.com/ImageMagick/ImageMagick/commit/a6c292867872458731a827dc42aaeb4006a086fd)
- The properties can only be deleted after they have been used. [`715cf34`](https://github.com/ImageMagick/ImageMagick/commit/715cf341e699bf928d06e23c2964c3d5b5122471)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=44401 [`a987a8a`](https://github.com/ImageMagick/ImageMagick/commit/a987a8ae4b7e7a1c0f3fc14f53ebbce86230ca47)
- https://github.com/ImageMagick/ImageMagick/issues/4807 [`d61dd34`](https://github.com/ImageMagick/ImageMagick/commit/d61dd34fe01ee2c48d81932124e1a913ed477c89)
- https://github.com/ImageMagick/ImageMagick/issues/4807 [`9492d1f`](https://github.com/ImageMagick/ImageMagick/commit/9492d1faaee3adeaa270428814844bc72f16f200)
- pending release [`48edb6a`](https://github.com/ImageMagick/ImageMagick/commit/48edb6a2b5e6771354284870667ce0d9c379e6c5)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=44424 [`7069862`](https://github.com/ImageMagick/ImageMagick/commit/70698622896fc9b045527740952b4627a352e119)
- release [`038f317`](https://github.com/ImageMagick/ImageMagick/commit/038f31702e52b5c87254e96b10cb1490d92152a0)

## [7.1.0-22](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-21...7.1.0-22) - 2022-01-29

### Commits

- bump patch level version [`d2ce572`](https://github.com/ImageMagick/ImageMagick/commit/d2ce5721f36572fb80c7a4df8ccec83a399f15ee)
- check for excessive color name length [`d3b7cdb`](https://github.com/ImageMagick/ImageMagick/commit/d3b7cdbecc0bca9a4eba59e7837830e8acd0b0e9)
- restore MPRI URI [`9651500`](https://github.com/ImageMagick/ImageMagick/commit/9651500e10cb2f7dcf014b2d244753988817ad0b)
- pending release [`3eb8a9b`](https://github.com/ImageMagick/ImageMagick/commit/3eb8a9b78e03510542f7d8a7e4d77fd7055d12da)
- Corrected MPRI fix. [`2c2d1d8`](https://github.com/ImageMagick/ImageMagick/commit/2c2d1d842845a85933c5bbd8b269e305cabdc130)
- Only check the path when filename is specified. [`417f4fb`](https://github.com/ImageMagick/ImageMagick/commit/417f4fb9cef7b37aafccd686efd3635202b33d9a)
- permit compositing MPRI images [`5aaf162`](https://github.com/ImageMagick/ImageMagick/commit/5aaf16278f79d2c4e51fd9b75cbe198b8949c407)
- permit compositing MPRI images [`cb0ac90`](https://github.com/ImageMagick/ImageMagick/commit/cb0ac90228fdc388cbb724ca68f9afc3619a3d05)
- pending release [`c10371d`](https://github.com/ImageMagick/ImageMagick/commit/c10371db6c8363d76f204877110d1d0980502ce8)

## [7.1.0-21](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-20...7.1.0-21) - 2022-01-28

### Merged

- msl coder: add support for autoorient [`#4745`](https://github.com/ImageMagick/ImageMagick/pull/4745)

### Commits

- It's a new dawn; It's a new day; It's a new life; For ImageMagick [`03ddd19`](https://github.com/ImageMagick/ImageMagick/commit/03ddd19cfd5a3937aecef34e2173f47c9f2f4825)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=43967 [`2df3d01`](https://github.com/ImageMagick/ImageMagick/commit/2df3d0124b6e1b12c01421c1d5ed60143125af5f)
- https://github.com/ImageMagick/ImageMagick/discussions/4533#discussioncomment-20 [`ae90a62`](https://github.com/ImageMagick/ImageMagick/commit/ae90a6229bc6216a728879b18d11c01e34bdbf0a)
- Cleanup file to use our coding style. [`9b3f50f`](https://github.com/ImageMagick/ImageMagick/commit/9b3f50f6664be6568e47a83a6ac1e5f9b487332b)
- Added missing version check. [`7cc55cc`](https://github.com/ImageMagick/ImageMagick/commit/7cc55cc5e5a666e17287c81e2f40d1b79be410f4)
- https://github.com/ImageMagick/ImageMagick/discussions/4533 [`4c96061`](https://github.com/ImageMagick/ImageMagick/commit/4c960619700ed551d92bc137df4c60c83699866c)
- ... [`7ba9959`](https://github.com/ImageMagick/ImageMagick/commit/7ba995934e985d22340fddcfc79767d95291c93b)
- eliminate compiler warning [`03470b4`](https://github.com/ImageMagick/ImageMagick/commit/03470b4bf61f4805668812d78df83fdfb8c53bc5)
- Silenced warning. [`df88116`](https://github.com/ImageMagick/ImageMagick/commit/df88116c3eea2f7e3ba073570cb5573c57186ad7)
- https://github.com/ImageMagick/ImageMagick/discussions/4533 [`a0b049f`](https://github.com/ImageMagick/ImageMagick/commit/a0b049ff449a3b2f8a673b97d77ea7458b580df6)
- check for excessive memory request when drawing [`1496901`](https://github.com/ImageMagick/ImageMagick/commit/1496901aea4d6de5bc5c1051a423e95a80d77995)
- for debug(), print channels in array style, e.g. [1] [`2cee06e`](https://github.com/ImageMagick/ImageMagick/commit/2cee06e61fd6a104c7a386775e769c79f2176169)
- https://github.com/ImageMagick/ImageMagick/issues/4766 [`62845d5`](https://github.com/ImageMagick/ImageMagick/commit/62845d5672eca4446b952dd0ab2e3e0dab0309d4)
- https://github.com/ImageMagick/ImageMagick/issues/4761 [`cdb8e3f`](https://github.com/ImageMagick/ImageMagick/commit/cdb8e3f6e5b2268621ae1317addc7941676a9aab)
- promote blocksize from int to ssize_t [`7347fb3`](https://github.com/ImageMagick/ImageMagick/commit/7347fb36cafe764d9d67c66adf3d80a6c784d22e)
- pending release [`2b1d06d`](https://github.com/ImageMagick/ImageMagick/commit/2b1d06d650782c55263ff5bbb8aad65b45775b97)
- https://github.com/ImageMagick/ImageMagick/issues/4771 [`e035b46`](https://github.com/ImageMagick/ImageMagick/commit/e035b46ae5802754075b9abd7aa577d1006ab545)
- pending release [`622ed89`](https://github.com/ImageMagick/ImageMagick/commit/622ed89edc6d1e38025a72df388f0845fa5e8da6)
- PDF unicode title [`f084a86`](https://github.com/ImageMagick/ImageMagick/commit/f084a86ecaf9737af86f242d68d5e9cf25a61144)
- pending release [`ddc7540`](https://github.com/ImageMagick/ImageMagick/commit/ddc75409693fa681446d39e2cf9929780631e848)

## [7.1.0-20](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-19...7.1.0-20) - 2022-01-22

### Merged

- Fix wrong logic when compare two float values with '==" directly [`#4723`](https://github.com/ImageMagick/ImageMagick/pull/4723)
- Support 'msf1' support in heic.c [`#4701`](https://github.com/ImageMagick/ImageMagick/pull/4701)
- QOI fixes [`#4665`](https://github.com/ImageMagick/ImageMagick/pull/4665)
- Added support for QOI format [`#4653`](https://github.com/ImageMagick/ImageMagick/pull/4653)

### Commits

- ... [`bc39ec6`](https://github.com/ImageMagick/ImageMagick/commit/bc39ec6f0c977dfd2a6aacc334e4143f56e97dd3)
- improved fix for possible DoS for certain SVG constructs [`f460242`](https://github.com/ImageMagick/ImageMagick/commit/f4602423ad9dc1f1b70f3b851c867925cab7d17c)
- cosmetic [`1b697c4`](https://github.com/ImageMagick/ImageMagick/commit/1b697c46834bf3ca227161f1001e763a5f5c5419)
- Fixed Windows build. [`966d7ca`](https://github.com/ImageMagick/ImageMagick/commit/966d7cafa9e17750511de1f372de044be0cc987b)
- Silenced warning. [`29bb2fb`](https://github.com/ImageMagick/ImageMagick/commit/29bb2fb0917d7b72dc3b62d4fe6d716d96fc496e)
- Added checks for invalid PSD channel size. [`7adbd99`](https://github.com/ImageMagick/ImageMagick/commit/7adbd9998130d5d3014bd6a3ed58d93f24b06987)
- ... [`d63614b`](https://github.com/ImageMagick/ImageMagick/commit/d63614b163aba55e2cc8edd738cbc63df473bb39)
- permit 4GB blocks [`c05a26d`](https://github.com/ImageMagick/ImageMagick/commit/c05a26d41177de18191ce595f78d0d64e573a9d3)
- https://github.com/ImageMagick/ImageMagick/issues/4629 [`6221134`](https://github.com/ImageMagick/ImageMagick/commit/62211342165a1179af752818764944c917c7de26)
- ... [`ebfd707`](https://github.com/ImageMagick/ImageMagick/commit/ebfd707c2a442fbe3b1c4aa15fbf4e8a73af742b)
- Silenced warnings. [`075565e`](https://github.com/ImageMagick/ImageMagick/commit/075565e93c71bcaaabf0ce70b7d1060bccdf0020)
- https://github.com/ImageMagick/ImageMagick/issues/4639 [`de0e304`](https://github.com/ImageMagick/ImageMagick/commit/de0e304d9ca8c6d0365692e26ea0cef4d4f7d02c)
- support seamless blending of a foreground and background image [`104fede`](https://github.com/ImageMagick/ImageMagick/commit/104fede6e66a2af7ff45ee07d318cd49ca073e0c)
- Added missing SeamlessBlendCompositeOp. [`45f37ad`](https://github.com/ImageMagick/ImageMagick/commit/45f37ad1ae7eaf3a1fd12306c7b87c0bbcb8735a)
- cosmetic [`3d8da65`](https://github.com/ImageMagick/ImageMagick/commit/3d8da65b5ac16d730fdd3f6ebbfbce91262e8026)
- ... [`17c52a2`](https://github.com/ImageMagick/ImageMagick/commit/17c52a2e28d702c5d0aa1b3d90c9d2f7511e7a53)
- change default iterations and residual threshold [`f24cbc8`](https://github.com/ImageMagick/ImageMagick/commit/f24cbc8017c4a79f18c701f708b1c391ebe1be31)
- Silenced warnings. [`27c7eed`](https://github.com/ImageMagick/ImageMagick/commit/27c7eedcb0f287d6cbeea20969e78227954d54c9)
- Fixed build. [`6888325`](https://github.com/ImageMagick/ImageMagick/commit/6888325d8673aa33b312d2f4dff3146ada1b6ed6)
- Added method to make it more clear why we have a quantum depth check. [`555ed1d`](https://github.com/ImageMagick/ImageMagick/commit/555ed1d6e0cc50e6c2fa697e7796a807bd27a2c7)
- Removed unnecessary backslash. [`ddda61c`](https://github.com/ImageMagick/ImageMagick/commit/ddda61cd9d5af6a54566db3ceb827af61016a97b)
- seamless blending requires the HDRI feature [`12db194`](https://github.com/ImageMagick/ImageMagick/commit/12db1942902aa2ec3c59e252806bb61623ed02df)
- support mask image for seamless blending [`d90a154`](https://github.com/ImageMagick/ImageMagick/commit/d90a154e9a6e557a8c211ece8ee60b9d8f2099b1)
- respect -verbose for seamless blending [`c6de626`](https://github.com/ImageMagick/ImageMagick/commit/c6de626f2c2ed6c829a3a87fb961838458c787d7)
- only print select iterations [`d307949`](https://github.com/ImageMagick/ImageMagick/commit/d3079499851338ad7c6b5f6365f90421d3840754)
- print last iteration residual [`9ef6c1c`](https://github.com/ImageMagick/ImageMagick/commit/9ef6c1cc35bfa2d53b5ccce37f5866ea5b866623)
- declaration hides previous local declaration [`22c7591`](https://github.com/ImageMagick/ImageMagick/commit/22c75910e8951328de801b2875b70b37ce5e6731)
- Fixed possible memory leak. [`19feb22`](https://github.com/ImageMagick/ImageMagick/commit/19feb22358570919e6fb5e28acd20c4dee19ad19)
- Removed unused variable. [`4048fd6`](https://github.com/ImageMagick/ImageMagick/commit/4048fd670ce5e5f3bef5a7bf6d2e16a22cefe266)
- don't blur the foreground object [`4719503`](https://github.com/ImageMagick/ImageMagick/commit/471950301a62ef7ac4a0de85817b238dd9beb9d1)
- ensure tick is at least 1 [`6dd4736`](https://github.com/ImageMagick/ImageMagick/commit/6dd4736658ca49b5195bfe22b9a6f6622d041d77)
- account for floating point when comparing alpha values [`8a4791c`](https://github.com/ImageMagick/ImageMagick/commit/8a4791c9840d1926c3ae7cbb81e8b996ee1d1e8c)
- seamless blending works for non-HRDI but is less effective [`04fe3b0`](https://github.com/ImageMagick/ImageMagick/commit/04fe3b0c862d3739193527042df6e9d6862551c2)
- Added missing typecast. [`e11ced0`](https://github.com/ImageMagick/ImageMagick/commit/e11ced0bdf1e3c9336394243e50c552e3b8ffb74)
- distinquish foreground object with read mask [`8940d00`](https://github.com/ImageMagick/ImageMagick/commit/8940d001988c0b92243411092a3d298c7438bb88)
- make const [`d914d77`](https://github.com/ImageMagick/ImageMagick/commit/d914d779f7ad3bc5db2533c6e103925dd933626e)
- thread seamless blending [`5eb6905`](https://github.com/ImageMagick/ImageMagick/commit/5eb6905d1b4e03c92e65bf22886ccc145f21c037)
- remove read mask [`88393c2`](https://github.com/ImageMagick/ImageMagick/commit/88393c22a3b17234fd76c0fe281d95e8a33f5f3e)
- sums require a double type [`b6d4849`](https://github.com/ImageMagick/ImageMagick/commit/b6d484960b84e0c31ba56bbd589c02b753086026)
- Set depth and colorspace before the width and height are checked. [`e67a3e2`](https://github.com/ImageMagick/ImageMagick/commit/e67a3e24f8f8c76f74af0ac539878c83a72f7265)
- Revert useless patch because the image will get destroyed. [`9de7a82`](https://github.com/ImageMagick/ImageMagick/commit/9de7a828e6a945a08fb1acbd3d40f4649aad0fa7)
- only mask portions of alpha channel [`7d87b21`](https://github.com/ImageMagick/ImageMagick/commit/7d87b215eca34dc4ce9ec6a0f1127f5885322eb7)
- https://github.com/ImageMagick/ImageMagick/issues/4654 [`e1cf544`](https://github.com/ImageMagick/ImageMagick/commit/e1cf544ecc7d34122f2a0d44f4eb4368dc37f3ae)
- https://github.com/ImageMagick/ImageMagick/issues/4649 [`9e492fa`](https://github.com/ImageMagick/ImageMagick/commit/9e492fa37cff83e9bb178633e84b1b49638b101a)
- https://github.com/ImageMagick/ImageMagick/pull/4653 [`57bc254`](https://github.com/ImageMagick/ImageMagick/commit/57bc2540bc42f4a05747a8bbf57c41609b091765)
- set proper type [`332418d`](https://github.com/ImageMagick/ImageMagick/commit/332418dd242c30ace1067bb977ceda999819e780)
- Fixed Windows build. [`566a4ca`](https://github.com/ImageMagick/ImageMagick/commit/566a4ca03c2353739deb75c9d3c20cbc336e658b)
- Update qoi header file. [`b7cec57`](https://github.com/ImageMagick/ImageMagick/commit/b7cec57ef3a11adf041073464f65a40a9b0f5061)
- Added missing comments and fixed the IsQOI implementation. [`98994d0`](https://github.com/ImageMagick/ImageMagick/commit/98994d0fd74014e81839b08f832c795d8532a0c9)
- Build ImageMagick on Windows with VisualStudio 2022 instead. [`7a16ce0`](https://github.com/ImageMagick/ImageMagick/commit/7a16ce07b57ddda9fc7643860069fe104e6a0f75)
- Try without the move. [`966be37`](https://github.com/ImageMagick/ImageMagick/commit/966be3715b1bea8194c9604cad4696bf9715c7c0)
- Added step to install InnoSetup. [`d4de816`](https://github.com/ImageMagick/ImageMagick/commit/d4de816bc1ba88a2dea9ba6beb9345b67da37c98)
- Updated link to ffmpeg version. [`e790aef`](https://github.com/ImageMagick/ImageMagick/commit/e790aef43efce1709559bf2f572b5155bdab8649)
- framework for saliency blending composite op [`e137239`](https://github.com/ImageMagick/ImageMagick/commit/e13723901f184a8cf1df8dc3c5859e8f4a901fc6)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=43390 [`fbbf013`](https://github.com/ImageMagick/ImageMagick/commit/fbbf013a252376e2afe4eaff6f00c5b3803fb505)
- Changed the build of configure to 64-bit. [`5f99f02`](https://github.com/ImageMagick/ImageMagick/commit/5f99f02fef37e8d04f90c30aab9c59c128d0fe46)
- infrastructure for saliency blending [`1b2ad4d`](https://github.com/ImageMagick/ImageMagick/commit/1b2ad4dee2a1c656b0dd1906f00e043e66c2edd8)
- https://github.com/ImageMagick/ImageMagick/issues/4679 [`50780da`](https://github.com/ImageMagick/ImageMagick/commit/50780da98acdb8b427bc589a6e3637308d7f9fd9)
- Style changes. [`d8aa7be`](https://github.com/ImageMagick/ImageMagick/commit/d8aa7be021d7700539e4f7528f417ed45bc2922a)
- revert composite masking change [`0c02614`](https://github.com/ImageMagick/ImageMagick/commit/0c026146f2de66641919976bafd02641592dba03)
- support saliency blend composite op [`ed1b215`](https://github.com/ImageMagick/ImageMagick/commit/ed1b215781d5a1202bfe3e068357a60e70e1974c)
- Silenced warning. [`26d792a`](https://github.com/ImageMagick/ImageMagick/commit/26d792a4de80a3a33ca1398b4ffb75e923efcd04)
- https://github.com/ImageMagick/ImageMagick/issues/4681 [`dc2f71d`](https://github.com/ImageMagick/ImageMagick/commit/dc2f71d3672c7fc8eaf22c6ca0a182a2dbed773a)
- ... [`11f1e07`](https://github.com/ImageMagick/ImageMagick/commit/11f1e07c09f68d678830a5fa09ec345f667825b6)
- https://github.com/ImageMagick/ImageMagick/issues/4689 [`4ff42a4`](https://github.com/ImageMagick/ImageMagick/commit/4ff42a4ca11b7cdfef58c25bc12e6b58b84a9c16)
- cosmetic [`6253a76`](https://github.com/ImageMagick/ImageMagick/commit/6253a76ab0bda5d5c1544ecda9db2b6f2726cb8e)
- support writing gray and colormapped images [`6fee782`](https://github.com/ImageMagick/ImageMagick/commit/6fee7820d3959196fe683112b075bd8da36b3df6)
- eliminate rare memory leak [`647d129`](https://github.com/ImageMagick/ImageMagick/commit/647d1294b47f6b79a5369b39a91a7e188e598445)
- revert [`86aa371`](https://github.com/ImageMagick/ImageMagick/commit/86aa371142b4c6b110acf88cbabb146513279a5c)
- set image type to linear or non-linear RGB before checking quantum type [`f718d82`](https://github.com/ImageMagick/ImageMagick/commit/f718d82aa82c623cbd4826c72308a35557efa6c9)
- ... [`64be892`](https://github.com/ImageMagick/ImageMagick/commit/64be8922ecae95888846dca0ec828e67aca46714)
- revert [`6bc980f`](https://github.com/ImageMagick/ImageMagick/commit/6bc980fece71145a001f5dc325a045f0de5736bc)
- style [`f7e6b23`](https://github.com/ImageMagick/ImageMagick/commit/f7e6b23f33320ccfb26a4da739fdf2349b6a7fe3)
- semaless blending requires we disable composite clamping [`a5aadc5`](https://github.com/ImageMagick/ImageMagick/commit/a5aadc523de40ea77f722747151a4e92d99f6c6d)
- check for runlength overrun [`4149bcd`](https://github.com/ImageMagick/ImageMagick/commit/4149bcde427b331fdfc2cb16c6ded991cd8315cc)
- ... [`20dbaa2`](https://github.com/ImageMagick/ImageMagick/commit/20dbaa2405fa184a818df70312838cfd52fb75fb)
- Added arm64 to the daily build on Windows. [`ce81f99`](https://github.com/ImageMagick/ImageMagick/commit/ce81f9963795802b9a730edd519ca4d67886fabe)
- Updated ChangeLog. [`d1131e6`](https://github.com/ImageMagick/ImageMagick/commit/d1131e6585c60a75f5c7c18273f5eb6e188453e6)
- Code style changes. [`a819f8e`](https://github.com/ImageMagick/ImageMagick/commit/a819f8efbe1a2b57eab3baee1171e11200e118dc)
- Moved ping exit. [`cb62455`](https://github.com/ImageMagick/ImageMagick/commit/cb62455a1d86b7cd13bb6fd3df29583f314caaef)
- composite crop with relaxed [`b119ff5`](https://github.com/ImageMagick/ImageMagick/commit/b119ff59ffcacb5480f97cd08f1ebf596324401f)
- destroy relaxed image [`5b645b6`](https://github.com/ImageMagick/ImageMagick/commit/5b645b61f8bd0c1e9301b250d87f714127636f77)
- https://github.com/ImageMagick/ImageMagick/issues/4704 [`14ee325`](https://github.com/ImageMagick/ImageMagick/commit/14ee32548b8f9143317ebc30436f7adfa7e42c78)
- ... [`ae109d4`](https://github.com/ImageMagick/ImageMagick/commit/ae109d4b44a2ddda160b1131a8e301f4a770a3a6)
- https://github.com/ImageMagick/ImageMagick/issues/4660 [`7fc7c5c`](https://github.com/ImageMagick/ImageMagick/commit/7fc7c5cb5461cb7588a9ce120b5da32f2af4a6fc)
- https://github.com/ImageMagick/ImageMagick/issues/4704 [`f524d98`](https://github.com/ImageMagick/ImageMagick/commit/f524d98a7693602d671af2d80be5a352d2e08f2d)
- https://github.com/ImageMagick/ImageMagick/discussions/4533 [`1c5e6e1`](https://github.com/ImageMagick/ImageMagick/commit/1c5e6e1b80dacc6c7410ae464da440e6ed3ca5bc)
- cosmetic [`86142bd`](https://github.com/ImageMagick/ImageMagick/commit/86142bdc2932550ec121081ff0f3359a34cd15cc)
- https://github.com/ImageMagick/ImageMagick/discussions/4515 [`444045d`](https://github.com/ImageMagick/ImageMagick/commit/444045d683bc7fb26c9f912f67917c8149fa769b)
- ... [`69efcf8`](https://github.com/ImageMagick/ImageMagick/commit/69efcf81adc31bc52ff72f917586bd6313233502)
- Fixed build errors. [`67b7057`](https://github.com/ImageMagick/ImageMagick/commit/67b70572c269db276a04300145773063e41ccb67)
- revert for now [`57e0828`](https://github.com/ImageMagick/ImageMagick/commit/57e08283fb2f0498366f1c5fa01e9aeed3833af8)
- eliminate compiler warnings [`457ad2f`](https://github.com/ImageMagick/ImageMagick/commit/457ad2f58daf38a177ea6d08eff89afb17e27e01)
- the FLIF library is no longer being maintained, change to opt-in [`b31cab4`](https://github.com/ImageMagick/ImageMagick/commit/b31cab4783aa9c90124e04f4fd7b326335ff0447)
- https://github.com/ImageMagick/ImageMagick/discussions/4533 [`9420e11`](https://github.com/ImageMagick/ImageMagick/commit/9420e11f33e7c5d4c64567b1c192bab14b5864a1)
- eliminate compiler warnings [`4f37566`](https://github.com/ImageMagick/ImageMagick/commit/4f37566212b7cd0dab0cd64df5b2666b2462e5a0)
- eliminate Windows compiler warnings [`72043e9`](https://github.com/ImageMagick/ImageMagick/commit/72043e927b891e301f447298802c5462f0b43904)
- Silenced warnings on Windows. [`31bf1f2`](https://github.com/ImageMagick/ImageMagick/commit/31bf1f23534892244c94c13cd7e3ed23091c5073)
- Raise exception instead of printing to stderr. [`58d1336`](https://github.com/ImageMagick/ImageMagick/commit/58d1336cce69f3202ca41e8889c59c9455afb3df)
- Removed printf to sderr. [`ded93a9`](https://github.com/ImageMagick/ImageMagick/commit/ded93a9e88b8b446abe4d9970fd672fcc80a5e04)
- Silenced warnings. [`3c3fa17`](https://github.com/ImageMagick/ImageMagick/commit/3c3fa171517119825ac65edc54db3f8df9bcf009)
- Removed unused call. [`6986984`](https://github.com/ImageMagick/ImageMagick/commit/698698484aed96d56a053f68106672d7eeb4dcbc)
- Added missing call to DestroyImageList. [`71e8cc6`](https://github.com/ImageMagick/ImageMagick/commit/71e8cc68420a9a4d236c9b3364eb8291ac5f3ce8)
- update built-in delegates [`91b5044`](https://github.com/ImageMagick/ImageMagick/commit/91b504436ea48f362137242dfb9ec90098fab04a)
- precedence bug, now fixed [`0d9b7a6`](https://github.com/ImageMagick/ImageMagick/commit/0d9b7a60617849f55014d619306dc34ae77eb062)
- https://github.com/ImageMagick/ImageMagick/security/code-scanning/38? [`0a0e0e4`](https://github.com/ImageMagick/ImageMagick/commit/0a0e0e44bd7e43c767ef594b9059a8c09c8a4943)
- eliminate "declaration of 'p' hides previous local declaration" warning [`def69fd`](https://github.com/ImageMagick/ImageMagick/commit/def69fd7bee47398269378be88d16e8be4328c7a)
- fix memory leak for empty Fx expression [`db160de`](https://github.com/ImageMagick/ImageMagick/commit/db160dea48c932241b084efe6421e07700066a34)
- Removed ImageMagickObject from the Windows installer. [`36ceca1`](https://github.com/ImageMagick/ImageMagick/commit/36ceca115c4042f1779db127f86f88b7e81b0d5d)
- https://github.com/ImageMagick/ImageMagick/discussions/4533 [`f54aa4e`](https://github.com/ImageMagick/ImageMagick/commit/f54aa4e7ba8a8fb82d200844dc59804f5f6c8cbf)
- fix for divide by zero until snibgo settles on a solution [`bf5fccd`](https://github.com/ImageMagick/ImageMagick/commit/bf5fccd54a350da3b76826b42e3664adbb7e0926)
- add cast to avoid overflow [`40fd5db`](https://github.com/ImageMagick/ImageMagick/commit/40fd5dbf305e4d7b8ee268bb6f715e27843a0d2f)
- https://github.com/ImageMagick/ImageMagick/issues/4729 [`e50f19f`](https://github.com/ImageMagick/ImageMagick/commit/e50f19fd73c792ebe912df8ab83aa51a243a3da7)
- https://github.com/ImageMagick/ImageMagick/discussions/4533 [`8d9268b`](https://github.com/ImageMagick/ImageMagick/commit/8d9268b8daf19842f62f5aa367efe7fba9f5afb5)
- zero papersize geometry [`a6e081b`](https://github.com/ImageMagick/ImageMagick/commit/a6e081bf73c54035e8aa7b08481ea5db446eeb47)
- AVIF is supported by the HEIC coder [`1b89b2b`](https://github.com/ImageMagick/ImageMagick/commit/1b89b2b729238758a98c596c256a1d5753fa5670)
- cosmetic [`f7c813e`](https://github.com/ImageMagick/ImageMagick/commit/f7c813e801a855b27c35bb956e6af5a2dad8dc27)
- https://github.com/ImageMagick/ImageMagick/discussions/4533#discussioncomment-2001819 [`2606211`](https://github.com/ImageMagick/ImageMagick/commit/260621179f340cd8be4c0251004061c2e861d26f)
- https://github.com/ImageMagick/ImageMagick/discussions/4533 [`08cc32b`](https://github.com/ImageMagick/ImageMagick/commit/08cc32b451fb151bb41d026bffe39c9721a83657)
- https://github.com/ImageMagick/ImageMagick/discussions/4533 [`12dc47a`](https://github.com/ImageMagick/ImageMagick/commit/12dc47a56b402472e018ca6710705132566c1dcc)
- eliminate warnings [`7399756`](https://github.com/ImageMagick/ImageMagick/commit/7399756302dedfcfdfc45d3f81edabc61658ee45)
- Added option to force using pam as the intermediate video format. [`4a0226a`](https://github.com/ImageMagick/ImageMagick/commit/4a0226a0b05795da1b9f018d4322c7aaf314e41b)
- https://github.com/ImageMagick/ImageMagick/discussions/4533#discussioncomment-2012423 [`d6b1d74`](https://github.com/ImageMagick/ImageMagick/commit/d6b1d74cbd6967e070ee5a614cc0b37dbfb4a662)
- add cast to eliminate splint warning [`2cd8407`](https://github.com/ImageMagick/ImageMagick/commit/2cd8407760811bf4e219a467a19b56f889416a5d)
- pending release [`9fe6b78`](https://github.com/ImageMagick/ImageMagick/commit/9fe6b787854b576a6502c0e103a686503d71d58b)
- Added move to use the installed version of Strawberry Perl instead. [`8d5921b`](https://github.com/ImageMagick/ImageMagick/commit/8d5921b11e7b4ba633a2d630d2bad6e8f3322dab)
- https://github.com/ImageMagick/ImageMagick/discussions/4533 [`10ef22c`](https://github.com/ImageMagick/ImageMagick/commit/10ef22c64a1e7789fc03fa323823ed331d076de3)
- pending release [`660e30f`](https://github.com/ImageMagick/ImageMagick/commit/660e30fd68a24d677adfa0d462962298d6b9fe34)

## [7.1.0-19](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-18...7.1.0-19) - 2021-12-22

### Commits

- ... [`8a24e36`](https://github.com/ImageMagick/ImageMagick/commit/8a24e363687b2e9221eb06c90cf236a882f1ff82)
- support -integral option [`4928887`](https://github.com/ImageMagick/ImageMagick/commit/49288871f6f12d3f42ac32cc42835e24501740c7)
- ... [`95e02e5`](https://github.com/ImageMagick/ImageMagick/commit/95e02e562d728e23bdb058e38c6e2282f08e64d3)
- optimize [`a22aff9`](https://github.com/ImageMagick/ImageMagick/commit/a22aff94916cfcbf8f26c75096dcff2901b907df)
- pointer is const [`449bba2`](https://github.com/ImageMagick/ImageMagick/commit/449bba22b048ecdc91d7ea51df2dd0254ca63102)
- Set the colorspace after the width and height of the image have been checked. [`661eafd`](https://github.com/ImageMagick/ImageMagick/commit/661eafd82e0666dc983d0fcb26e9b6eda71fc695)
- check for unbalanced parenthesis [`e2ce775`](https://github.com/ImageMagick/ImageMagick/commit/e2ce77517df3cbe7e53cca5cb63125846646096a)
- https://github.com/ImageMagick/ImageMagick/issues/4626 [`d7f1b2b`](https://github.com/ImageMagick/ImageMagick/commit/d7f1b2b9b816baaa956381ff80c3b120e83faa95)
- pending release [`fe8039f`](https://github.com/ImageMagick/ImageMagick/commit/fe8039f5b40f8dde11a6524dc0530bfb785c5ee7)

## [7.1.0-18](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-17...7.1.0-18) - 2021-12-18

### Commits

- Add note to avoid confusion. [`2ee9473`](https://github.com/ImageMagick/ImageMagick/commit/2ee9473f35bbf5d42dd8e47e4d0d683eb5c7eda7)
- ... [`28c8f05`](https://github.com/ImageMagick/ImageMagick/commit/28c8f0508984cb3515bf74d6227097a9331d9ab7)
- https://github.com/ImageMagick/ImageMagick/security/code-scanning/31 [`e4c5667`](https://github.com/ImageMagick/ImageMagick/commit/e4c566742265eaa4f677dba53443e35a41ee7045)
- revert [`d173288`](https://github.com/ImageMagick/ImageMagick/commit/d173288bf5b8a3a466d2cd412090ebe569da53f8)
- Removed last line from the note. [`ff55679`](https://github.com/ImageMagick/ImageMagick/commit/ff55679c06a44c0e588d758e34ee0cd495f04a4c)
- Corrected the built-in video encoder and decoder. [`c51be1d`](https://github.com/ImageMagick/ImageMagick/commit/c51be1d973437666da9705d159d8d0aaa8c4ae61)
- Improved adjustment of page offset when resizing an image. [`0c4bc88`](https://github.com/ImageMagick/ImageMagick/commit/0c4bc88231fd1dc5eaa3861dbe3f3821497faf0a)
- improved adjustment of page offset when resizing an image [`ecb4ffa`](https://github.com/ImageMagick/ImageMagick/commit/ecb4ffaefbce69112097ecafef8f0e714dc0c3da)
- https://github.com/ImageMagick/ImageMagick/issues/4558 [`54c3203`](https://github.com/ImageMagick/ImageMagick/commit/54c32036e238d23197812fc93471f2886b72e27d)
- https://github.com/ImageMagick/ImageMagick/discussions/4580 [`86b8264`](https://github.com/ImageMagick/ImageMagick/commit/86b8264127054186cd38514d8e986bf848f2e9cd)
- Corrected method name. [`62001c3`](https://github.com/ImageMagick/ImageMagick/commit/62001c33f1f1568fa78fd422ca47399a4413e2f7)
- Swapped the Sync8BimProfile and the SyncExifProfile methods. [`dd26314`](https://github.com/ImageMagick/ImageMagick/commit/dd263149f709f1a8fe4e17e23fe6eb17f15dac04)
- Corrected typecast [`123b157`](https://github.com/ImageMagick/ImageMagick/commit/123b15740896247379d4202cfefa700f5f065fb1)
- Also sync the exif profile inside the 8bim profile. [`6ce6671`](https://github.com/ImageMagick/ImageMagick/commit/6ce66717d9e976ed947eeae7639d2a2e625a4c10)
- Added option to disabling synchronization of the image with the data from the exif profile. [`0d20e11`](https://github.com/ImageMagick/ImageMagick/commit/0d20e11dfb3776f099368b7bee84107b90a40e63)
- Removed typecast. [`5e25ac4`](https://github.com/ImageMagick/ImageMagick/commit/5e25ac4536df6603fe6ed57fa6a7497b3a8fb401)
- Don't use SetImageGray inside a coder but use a method for the coders only instead. [`98a14e0`](https://github.com/ImageMagick/ImageMagick/commit/98a14e0603299b83138dd4e5c1cdec8e89ce1b33)
- Restored debug message. [`6c7d62f`](https://github.com/ImageMagick/ImageMagick/commit/6c7d62f7dc40862730c2acc2fe9d2772573bf501)
- https://github.com/ImageMagick/ImageMagick/issues/4587 [`bd62b31`](https://github.com/ImageMagick/ImageMagick/commit/bd62b31c436a37f85458fc149b4867486ce147b2)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=42504 [`f74fefd`](https://github.com/ImageMagick/ImageMagick/commit/f74fefdb120cfe5c4357c5792fd716c95a1adbe0)
- ... [`53fb13e`](https://github.com/ImageMagick/ImageMagick/commit/53fb13e21b41877a2f1b5a9039e06c989fbc7995)
- pending release [`085d991`](https://github.com/ImageMagick/ImageMagick/commit/085d9911160ea304e4661fdd158f9933981d30f8)

## [7.1.0-17](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-16...7.1.0-17) - 2021-12-04

### Commits

- ... [`40189c3`](https://github.com/ImageMagick/ImageMagick/commit/40189c37f33b77df5970ddbba7560c596a61c877)
- Corrected the patch made in #4497. [`44cf75f`](https://github.com/ImageMagick/ImageMagick/commit/44cf75ff01a9c8f4accfbd630297a1aae1512ea9)
- https://github.com/ImageMagick/ImageMagick/issues/4501 [`f4375d0`](https://github.com/ImageMagick/ImageMagick/commit/f4375d0a48b89a5c7696d487bf12f363dae9dfa6)
- eliminate compiler exception [`90de0c0`](https://github.com/ImageMagick/ImageMagick/commit/90de0c000b08ee4618429221ab73caf8dfb83fe2)
- Corrected the check. [`0e417f4`](https://github.com/ImageMagick/ImageMagick/commit/0e417f477b5914308ce7e8de13a5c6e787a133d1)
- Corrected reading the next image. [`2b6531d`](https://github.com/ImageMagick/ImageMagick/commit/2b6531d36c68316211dfe89b1f99fe2dd07b0371)
- revert memory leak patch [`34266d6`](https://github.com/ImageMagick/ImageMagick/commit/34266d6acf9cd9a0f94175d39e92472fbd894c22)
- https://github.com/ImageMagick/ImageMagick/issues/4501 [`1e40102`](https://github.com/ImageMagick/ImageMagick/commit/1e40102cee6bea0a4252d5d44551129f59d991f2)
- Corrected argument. [`775c1bd`](https://github.com/ImageMagick/ImageMagick/commit/775c1bd2aef0bfee8c71f97dbaaab4472ca83250)
- https://github.com/ImageMagick/ImageMagick/issues/4501 [`9b817fb`](https://github.com/ImageMagick/ImageMagick/commit/9b817fbed41712afca743e78d7f1faedff1b6939)
- Use magick_unreferenced instead. [`264d486`](https://github.com/ImageMagick/ImageMagick/commit/264d48677caeda69e306434d153fc1e77b80d9f9)
- Removed unused define. [`5f8ace2`](https://github.com/ImageMagick/ImageMagick/commit/5f8ace2080b644376ea1b4e3e2be83f73b1d75b0)
- Moved check for the define to the methods itself. [`23402d5`](https://github.com/ImageMagick/ImageMagick/commit/23402d5ca69f33a351b026aa1efbff824a995a5f)
- pending release [`abded9a`](https://github.com/ImageMagick/ImageMagick/commit/abded9a381edea209c5ab7c3924abe0155831a36)
- ASAN returns false positives for OMP [`63062af`](https://github.com/ImageMagick/ImageMagick/commit/63062afee01f2db250016a2c7c526324dd0060a5)
- pending release [`1c66ab8`](https://github.com/ImageMagick/ImageMagick/commit/1c66ab80705174cd729449fdeebdf64c3d9d9025)
- https://github.com/ImageMagick/ImageMagick/issues/4512 [`a400176`](https://github.com/ImageMagick/ImageMagick/commit/a40017631a00a823470cfac376b1277c0a73466d)
- pending release [`79af0b3`](https://github.com/ImageMagick/ImageMagick/commit/79af0b3fae0015e9474d9be88e5d1a5d012f5cd4)
- Added check for invalid size (#4522). [`285c84a`](https://github.com/ImageMagick/ImageMagick/commit/285c84a86dacdc4ebee2ce3e88e642dbf174d3dc)
- Added extra check to make sure that the index is already set. [`79eec91`](https://github.com/ImageMagick/ImageMagick/commit/79eec9112cd5f5a0d356b0989229422070c294f4)
- Reduce number of typecasts. [`bb38559`](https://github.com/ImageMagick/ImageMagick/commit/bb38559758dedfb70a318c1b8c1ecffead52d636)
- Fixed memory leak. [`eaf0aa4`](https://github.com/ImageMagick/ImageMagick/commit/eaf0aa4a717672d18a1f239faa6d7301ea658b0b)
- Whitespace. [`979856a`](https://github.com/ImageMagick/ImageMagick/commit/979856ae5e08d97a26790e4a2999824b64342ce4)
- Added missing checks for the return value of the exr methods. [`3aa48d3`](https://github.com/ImageMagick/ImageMagick/commit/3aa48d31f03d2b08999480890f69b53c554afc79)
- close input file if early exit on exception [`5394e32`](https://github.com/ImageMagick/ImageMagick/commit/5394e32bdd509195f8ac41752853e7b325d609ed)
- https://github.com/ImageMagick/ImageMagick/discussions/4529 [`e66261f`](https://github.com/ImageMagick/ImageMagick/commit/e66261ffe76e9b2c2e4f0257023952acd8b30017)
- pending release [`1d5c2e5`](https://github.com/ImageMagick/ImageMagick/commit/1d5c2e55adc8bcdf0d93ebf8f30ab098bb9e5303)

## [7.1.0-16](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-15...7.1.0-16) - 2021-11-21

### Commits

- eliminate possible device by zero [`cdf8735`](https://github.com/ImageMagick/ImageMagick/commit/cdf8735e35ad9df344b99a2ae1255cd0f2f0ccea)
- ... [`0446e05`](https://github.com/ImageMagick/ImageMagick/commit/0446e0544e2e9b6deb2614397dadb993503d5e5b)
- Added flag for unsupported channels and skip them instead. [`39a9ab7`](https://github.com/ImageMagick/ImageMagick/commit/39a9ab792c997be4c722ea998d2af6e0470341a0)
- Renamed variable. [`12431a3`](https://github.com/ImageMagick/ImageMagick/commit/12431a37363724d32b8419fb62a730a898890956)
- Set the channel earlier to get rid of the switch when setting the pixel value. [`f219611`](https://github.com/ImageMagick/ImageMagick/commit/f21961130656ccc3ae1e91ba5b653e0b27778028)
- Also check for other modes in the GetPixelChannelFromPsdIndex method. [`9c9b65e`](https://github.com/ImageMagick/ImageMagick/commit/9c9b65e53859f422f890c38ca85ab1a46ea2b64f)
- DuotoneMode does not support alpha. [`927796d`](https://github.com/ImageMagick/ImageMagick/commit/927796d9340a1591c8ed9ea4a26f21cdf59b6282)
- Corrected initial channel type. [`dd26030`](https://github.com/ImageMagick/ImageMagick/commit/dd26030975e827fe9af9c5d10b5ff69c429a2961)
- Minor refactoring. [`9b562c2`](https://github.com/ImageMagick/ImageMagick/commit/9b562c258e638e725dc078ef0a73337d8444441f)
- Code style change. [`0a4e402`](https://github.com/ImageMagick/ImageMagick/commit/0a4e4026f01be479fa3f92f349f3da29912eea86)
- Make sure the other channels of the pixel are also set when setting the index of the pixel. [`c43c03c`](https://github.com/ImageMagick/ImageMagick/commit/c43c03cf02d4e94d2df03dd6913f34b8a6db8cc0)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=41268 [`b434f8c`](https://github.com/ImageMagick/ImageMagick/commit/b434f8cf9d7ec472fdfa8214d9ad07216c39f2b1)
- Corrected the type. [`63cfa54`](https://github.com/ImageMagick/ImageMagick/commit/63cfa542ab3d2d15eb067b12ef9160d6eebd9845)
- Corrected comments. [`bad0b1c`](https://github.com/ImageMagick/ImageMagick/commit/bad0b1c4929745544547fd1efc9f77071965d641)
- Moved define. [`a839c2a`](https://github.com/ImageMagick/ImageMagick/commit/a839c2a1751cd48bb19b9951d5b450f7b54938c8)
- Removed unnecessary define. [`3afb075`](https://github.com/ImageMagick/ImageMagick/commit/3afb075b42014ab86fbe4c2ffcecc9d33150326b)
- Corrected OpenCL define checks (#4450). [`7dc99d8`](https://github.com/ImageMagick/ImageMagick/commit/7dc99d829fe73df68911e32d8b72cf355586123d)
- pending release [`03b1a2e`](https://github.com/ImageMagick/ImageMagick/commit/03b1a2ecb4a14f5ea3f1f073418008109bdffb55)

## [7.1.0-15](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-14...7.1.0-15) - 2021-11-20

### Merged

- Make exported name be same as in C file. [`#4430`](https://github.com/ImageMagick/ImageMagick/pull/4430)

### Commits

- ... [`cd9d52c`](https://github.com/ImageMagick/ImageMagick/commit/cd9d52cb636d8bb7d996cd7e5017515d34d09bf4)
- https://github.com/ImageMagick/ImageMagick6/issues/168 [`55fc1ab`](https://github.com/ImageMagick/ImageMagick/commit/55fc1abb3422a00a94b66f4cf6a560a36eb2624c)
- mitigate UBSAN alerts [`9458e3d`](https://github.com/ImageMagick/ImageMagick/commit/9458e3dd3fb96ff599c3b71568de98c9f88208b2)
- mitigate UBSAN alerts [`3dc9db6`](https://github.com/ImageMagick/ImageMagick/commit/3dc9db61aca5f45e479cbd8ce4747edf5e870551)
- mitigate UBSAN alerts [`128c05a`](https://github.com/ImageMagick/ImageMagick/commit/128c05aab27b5f950c79f0d542cc15e4d17e7e2c)
- eliminate compiler warning [`4eb5f9a`](https://github.com/ImageMagick/ImageMagick/commit/4eb5f9a940f96de1e69657b129a472264c1004b1)
- ... [`db57cff`](https://github.com/ImageMagick/ImageMagick/commit/db57cffb9c170f60d86066a761b37e34f670dfc5)
- Corrected type cast. [`d221c6f`](https://github.com/ImageMagick/ImageMagick/commit/d221c6ff23d5a1fb5acb13a7ae7bda9c517bb940)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=41172 [`9c171c8`](https://github.com/ImageMagick/ImageMagick/commit/9c171c8af6420bdf6c953a8db0c8a654b1f7f74d)
- https://github.com/ImageMagick/ImageMagick/issues/4495 [`79da16f`](https://github.com/ImageMagick/ImageMagick/commit/79da16f30ca9085bbefcd9903155ea7d75ade21b)
- https://github.com/ImageMagick/ImageMagick/issues/4497 [`9bf7dfc`](https://github.com/ImageMagick/ImageMagick/commit/9bf7dfc372c55095f767e1f3ed0bbc077e88382d)
- eliminate compiler warning [`5adddc2`](https://github.com/ImageMagick/ImageMagick/commit/5adddc2efa20b5670dde30545c344cba1086f6f5)
- Move indexes of the meta channels to the end of the channel_map of the image. [`9239f3b`](https://github.com/ImageMagick/ImageMagick/commit/9239f3bdbcdf83e98957c2cbed7374ba62a5dc05)
- Added extra check to make sure number_meta_channels won't exceed the size of channel_map. [`4fb50e2`](https://github.com/ImageMagick/ImageMagick/commit/4fb50e2e8bc2cff0057ab9af8f40715e8ae7eda1)
- Changed type of the type field. [`7ff1303`](https://github.com/ImageMagick/ImageMagick/commit/7ff13033d0982e4f1d8095acfc07df948a8eef20)
- No longer support reading type -4 that does not exist according to the PSD file format specification. [`186e62a`](https://github.com/ImageMagick/ImageMagick/commit/186e62abf45b692086e8f6355ce8f49826f02ab2)
- We no longer support -4 and -3 will be skipped [`c07194a`](https://github.com/ImageMagick/ImageMagick/commit/c07194a63d417c92e2e9e07deb1781027037e121)
- Make sure the alpha channel is always -1 in the merged image. [`b3a8c52`](https://github.com/ImageMagick/ImageMagick/commit/b3a8c527e0df0c49854f5f32012f3c1e36eb52c7)
- Removed unused pixel-private includes. [`d6da28b`](https://github.com/ImageMagick/ImageMagick/commit/d6da28b0e03c15d1290ed17c94ff35d85b7ac5a5)
- Moved StartMetaChannel to the private header. [`3f2d061`](https://github.com/ImageMagick/ImageMagick/commit/3f2d06172752e489df5ee1a1b8002423f8c04a03)
- Removed unused pixel-private includes. [`07a87b2`](https://github.com/ImageMagick/ImageMagick/commit/07a87b29a9e16878be6392a415f6736192cf6443)
- Renamed define. [`b80d247`](https://github.com/ImageMagick/ImageMagick/commit/b80d2471da61c56e9f3571805332d0fc5da04f06)
- pending release [`fdd9410`](https://github.com/ImageMagick/ImageMagick/commit/fdd9410fcfb365ed3d92b75dbfdf817ccc152f3d)
- fix overly aggressive sanity check [`c836221`](https://github.com/ImageMagick/ImageMagick/commit/c8362214aca7af3d7af410a2c6fd87fa41cbf0f0)
- pending release [`c7fed90`](https://github.com/ImageMagick/ImageMagick/commit/c7fed9006739151f43803acf82646fac48b5bb61)
- Added support for reading the extra channels in the merged image of a PSD file (#4499). [`3b265d7`](https://github.com/ImageMagick/ImageMagick/commit/3b265d7066c36e08e6b619fa2d3b8ac80fe7eac9)
- pending release [`6a57c70`](https://github.com/ImageMagick/ImageMagick/commit/6a57c7014b5f2af01284da3c2169cf9e61895d21)
- Also added support for reading extra channels in the layers of a PSD file (#4499). [`f8373be`](https://github.com/ImageMagick/ImageMagick/commit/f8373be7636aa975a4ff63e0299e6f9f67d8aa01)
- MaximumValue should have the highest value instead of reordering the other values. [`8098f33`](https://github.com/ImageMagick/ImageMagick/commit/8098f3335cfdcf5ed1de6f284b9aabb4786808d0)
- pending release [`7030880`](https://github.com/ImageMagick/ImageMagick/commit/7030880c6da1c382f3b1251f0fe2a805fdab3ba5)

## [7.1.0-14](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-13...7.1.0-14) - 2021-11-14

### Merged

- Typo in magick color threshold image [`#4431`](https://github.com/ImageMagick/ImageMagick/pull/4431)

### Fixed

- Moved the free to the correct position to fix #4446. [`#4446`](https://github.com/ImageMagick/ImageMagick/issues/4446)

### Commits

- Fix stripes in output when resizing with OpenCL acceleration enabled [`0c660f2`](https://github.com/ImageMagick/ImageMagick/commit/0c660f2ff8899401be4acf0ce539f0441ebc370e)
- ... [`661c7a1`](https://github.com/ImageMagick/ImageMagick/commit/661c7a194bf8f621245f5ea5d0a0147decdab584)
- latest docs [`8a9b071`](https://github.com/ImageMagick/ImageMagick/commit/8a9b07155b7bb6e9c4768b117e9e6fb1c21e0306)
- typo in houghline comments. [`157b21d`](https://github.com/ImageMagick/ImageMagick/commit/157b21d508b8a3662c922b762aa92e524e67e57c)
- ... [`bb886ff`](https://github.com/ImageMagick/ImageMagick/commit/bb886ff398ae0dd6111ff011382dd84d4b6633e5)
- pending release [`fab9aae`](https://github.com/ImageMagick/ImageMagick/commit/fab9aaeafc5954d45cc4c5d8edd1503fcc1dadc9)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=40454 [`b93521f`](https://github.com/ImageMagick/ImageMagick/commit/b93521f5087ea92d3564862046422a0dc0ce8692)
- ... [`4ade863`](https://github.com/ImageMagick/ImageMagick/commit/4ade8632d14c349d0a6eef3ba0f9c09aa24ab76b)
- ... [`9f7884c`](https://github.com/ImageMagick/ImageMagick/commit/9f7884ca8864a6a7d99d9618abae263ce8b5a4a5)
- ... [`08dec75`](https://github.com/ImageMagick/ImageMagick/commit/08dec75b2fc1dcb913eec2d7ffd8810b00cc9a2f)
- Removed unnecessary semicolons. [`7fef3c3`](https://github.com/ImageMagick/ImageMagick/commit/7fef3c3ac8ef5397f8a7f318a5316f09a2c999c7)
- Corrected detection of the CMYK colorspace (#4106). [`e6a45aa`](https://github.com/ImageMagick/ImageMagick/commit/e6a45aa7b61bb217a8a66b5a6799d365c5ba0187)
- Improved detection of %%. [`8ff9f59`](https://github.com/ImageMagick/ImageMagick/commit/8ff9f59fcc7aa581ab6a1d53688bf94094ebe347)
- early exit on exception [`4cca191`](https://github.com/ImageMagick/ImageMagick/commit/4cca19105ccdd0991a79e138ce202ee30ebf9f64)
- The profile of a PSD file will no longer be copied to all the images. To old behavior can be re-enabled with the define psd:replicate-profile. [`50e2f07`](https://github.com/ImageMagick/ImageMagick/commit/50e2f07b37414dec19fd470d78fb2750428b2bed)
- https://github.com/ImageMagick/ImageMagick/discussions/4447 [`9a3756d`](https://github.com/ImageMagick/ImageMagick/commit/9a3756d8e54996c95b2f3880c0803c87a23b7036)
- ... [`7a608d6`](https://github.com/ImageMagick/ImageMagick/commit/7a608d6686258d6534cf948c61ad68356b91cd9c)
- https://github.com/ImageMagick/ImageMagick/issues/4452 [`b4ece92`](https://github.com/ImageMagick/ImageMagick/commit/b4ece92cdf03be8308d4eac86444f5b0be0935aa)
- https://github.com/ImageMagick/ImageMagick/issues/4448 [`5d3bc2a`](https://github.com/ImageMagick/ImageMagick/commit/5d3bc2abc650c16eff55c7d89f3d49b819f733c1)
- https://github.com/ImageMagick/ImageMagick/issues/4465 [`2a0dd59`](https://github.com/ImageMagick/ImageMagick/commit/2a0dd59371cb64bbfc4604451cec88477260e766)
- https://github.com/ImageMagick/ImageMagick/issues/4448 [`2ba5cdf`](https://github.com/ImageMagick/ImageMagick/commit/2ba5cdf4255cdf5d9349a15b7adfff13558397aa)
- pending release [`e4182c9`](https://github.com/ImageMagick/ImageMagick/commit/e4182c967a9434f180cbb748b24ed437c287381b)

## [7.1.0-13](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-12...7.1.0-13) - 2021-10-28

### Commits

- ... [`d988cbf`](https://github.com/ImageMagick/ImageMagick/commit/d988cbfa42a0cbe1bb3c90a0aad5fa0b5221f85f)
- ... [`366946d`](https://github.com/ImageMagick/ImageMagick/commit/366946defe55a8ea03dbbf87319a0f7cd6d0e324)
- Fix stack overflow when parsing malicious ps image file (#4415). [`c5fad5e`](https://github.com/ImageMagick/ImageMagick/commit/c5fad5e9446c23ff651f2655980877a0c81ec956)
- cosmetic [`ddae967`](https://github.com/ImageMagick/ImageMagick/commit/ddae9678fb137ab41ee6c09d9a1c91e4d014b8e4)
- pending release [`ab9bcad`](https://github.com/ImageMagick/ImageMagick/commit/ab9bcade8cf99b1ba2c42573d6ac080907374518)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=40451 [`987f36b`](https://github.com/ImageMagick/ImageMagick/commit/987f36b509139818c969a5474fee150e3f4034b4)
- pending release [`7ab72fa`](https://github.com/ImageMagick/ImageMagick/commit/7ab72fa00a9bf0c2c95d2beb55feb888f6629dbc)

## [7.1.0-12](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-11...7.1.0-12) - 2021-10-25

### Commits

- ... [`1b0f475`](https://github.com/ImageMagick/ImageMagick/commit/1b0f475ea77b71891df97ac0ca4a6c58e7f62b35)
- Removed unused define. [`b89ecbc`](https://github.com/ImageMagick/ImageMagick/commit/b89ecbc2d163ec1cc3184cb6a611ee0c5cff8bbb)
- Corrected writing the user mask data. [`53e9540`](https://github.com/ImageMagick/ImageMagick/commit/53e954000034cac934a07e88da0c87b1cff13775)
- Cosmetic. [`113f8f9`](https://github.com/ImageMagick/ImageMagick/commit/113f8f901efa88c63779d393340872c443ecfa3b)
- pending release [`02476ce`](https://github.com/ImageMagick/ImageMagick/commit/02476ce3ca19f2f0a267a036525182b626c9d24d)

## [7.1.0-11](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-10...7.1.0-11) - 2021-10-24

### Commits

- ... [`46c028b`](https://github.com/ImageMagick/ImageMagick/commit/46c028b5b76f590f38fe9c25039a560d848cd888)
- ... [`a3a2cc7`](https://github.com/ImageMagick/ImageMagick/commit/a3a2cc75063e372b50d804e5b04fa9dff4d9a47c)
- Whitespace. [`c191d5d`](https://github.com/ImageMagick/ImageMagick/commit/c191d5d0da3489fd0ab0640bd4450f4cee122471)
- Also include zero configuration build in the daily build. [`46b6677`](https://github.com/ImageMagick/ImageMagick/commit/46b66778bf4d9801a38164bf1022b84812ff15ab)
- Silenced warnings. [`1b04b83`](https://github.com/ImageMagick/ImageMagick/commit/1b04b8317378589d1c3a2fddecf30ef1f7cf2c80)
- https://github.com/ImageMagick/ImageMagick/issues/4372 [`f178d56`](https://github.com/ImageMagick/ImageMagick/commit/f178d564e761469158e2311db453a949184ea333)
- Renamed variable to silence warning. [`7eba68f`](https://github.com/ImageMagick/ImageMagick/commit/7eba68fd23e68f48911291e6e6ccda90c0b16548)
- Moved variable declaration. [`8391e04`](https://github.com/ImageMagick/ImageMagick/commit/8391e04b1a8f9000472c61e001420b9a9996c022)
- Use IsImageGray instead. [`2ad55fa`](https://github.com/ImageMagick/ImageMagick/commit/2ad55fa3497655604ac03666342c7cc04e14a36f)
- Added missing check. [`6c90dd8`](https://github.com/ImageMagick/ImageMagick/commit/6c90dd8ee5fe292714c6ac6b1d8046e7e48b2244)
- Corrected debug logging. [`40aa490`](https://github.com/ImageMagick/ImageMagick/commit/40aa4901db52e2d98077b5f81558b9c0d17fac84)
- Introduce new method that only checks if the image is grayscale. [`f10a8a1`](https://github.com/ImageMagick/ImageMagick/commit/f10a8a16f45ac7b5f061b7d8e4dfd1c9c84e0d6b)
- Renamed method. [`b492aba`](https://github.com/ImageMagick/ImageMagick/commit/b492aba5ba52daa811347408a6d589b500805e6b)
- Use new methods to check if the image is gray or monochrome. [`06e4331`](https://github.com/ImageMagick/ImageMagick/commit/06e4331e198718fe644f1f9e80be43161962b941)
- Renamed method. [`cb8d9ed`](https://github.com/ImageMagick/ImageMagick/commit/cb8d9ed1e5058a52e958df9e2bcea5dede3788db)
- https://github.com/ImageMagick/ImageMagick/issues/4378 [`42ddb98`](https://github.com/ImageMagick/ImageMagick/commit/42ddb98ee68ac63f2df5f80bc631ec3c289b2a5c)
- https://github.com/ImageMagick/ImageMagick/issues/4379 [`4bd86b0`](https://github.com/ImageMagick/ImageMagick/commit/4bd86b05421e998c95491e2bf9d1f987c2f517eb)
- ... [`dd7df11`](https://github.com/ImageMagick/ImageMagick/commit/dd7df1148c8140b21c2cb6e49e4554044e6b3297)
- Silenced warning. [`3bb4253`](https://github.com/ImageMagick/ImageMagick/commit/3bb4253e7c343c9b5f94e3d763a12f762f11a646)
- Use IsGrayImageType when possible [`ef939ef`](https://github.com/ImageMagick/ImageMagick/commit/ef939ef74c996b91e5dbd1cc73bc40030c0c8ae0)
- Removed IdentifyImageCoderMonochrome. [`d934c9a`](https://github.com/ImageMagick/ImageMagick/commit/d934c9a945a7a9528ba78f836ffecc188219a4d2)
- Only check the image type once. [`ba95a78`](https://github.com/ImageMagick/ImageMagick/commit/ba95a784116406f60ad98ee1133e1ee79f331eb0)
- Use IdentifyImageCoderGrayType instead. [`b95b4b1`](https://github.com/ImageMagick/ImageMagick/commit/b95b4b1b43de79fbdf81e9654f6599a43dc4f552)
- Use IdentifyImageCoderGray instead. [`b1d4280`](https://github.com/ImageMagick/ImageMagick/commit/b1d42802bb46e86aa2d45fb9b3e31fc70cae1e8c)
- Removed unnecessary statement. [`43ee149`](https://github.com/ImageMagick/ImageMagick/commit/43ee149af2ba600ffc4cf4a688d8e57a4b408596)
- The check for auto-grayscale should be done earlier. [`36febfd`](https://github.com/ImageMagick/ImageMagick/commit/36febfdd03cd2f546aa4c014b4ad0df7910c07c2)
- eliminate compiler error [`1b855b7`](https://github.com/ImageMagick/ImageMagick/commit/1b855b7b12edf9ddac2810ae604bbf3764343a12)
- Fix grammar in AUTHORS.txt [`c115616`](https://github.com/ImageMagick/ImageMagick/commit/c115616ff115cf1009d3560468bccf1a21ff43e6)
- Optimization for the low point size when the width and height of the image are fixed. [`f8cb770`](https://github.com/ImageMagick/ImageMagick/commit/f8cb770e502906c8888386402c6393d6efb4683c)
- Added new option called caption:start-pointsize that will allow setting the starting pointsize when trying to find the best font size. [`031a853`](https://github.com/ImageMagick/ImageMagick/commit/031a8533ddaffceeb31925d59c7bd80516e53d60)
- Use while instead. [`c2207f9`](https://github.com/ImageMagick/ImageMagick/commit/c2207f9012e32cb0ae0a7330f4736cc47f49b516)
- Removed else statement. [`4c8c7c6`](https://github.com/ImageMagick/ImageMagick/commit/4c8c7c689623b4c7071308492785e9364112ae0f)
- Fixed check of the boundaries when both the with and height of the image are defined. [`5a3371f`](https://github.com/ImageMagick/ImageMagick/commit/5a3371fe6f50b45d9e5a1a9271400d6166703ca9)
- Optimization for the low point size when the width and height of the image are fixed. [`74af638`](https://github.com/ImageMagick/ImageMagick/commit/74af638e37801da5a156c0634dc3e4bcf4ed2681)
- Removed gravity check. [`e90b163`](https://github.com/ImageMagick/ImageMagick/commit/e90b163f2f71ce78487560009a05127628cafab3)
- test release [`4c62b10`](https://github.com/ImageMagick/ImageMagick/commit/4c62b10ebf3c45de5724cbeabf2f0ac455e58686)
- Stop writing the icc profile to the output image because this changes the colors of the image and switch back to JxlColorEncodingSetToSRGB (#4385). [`b2cc365`](https://github.com/ImageMagick/ImageMagick/commit/b2cc365614f734c1cac39b8343c5c1f6033ee92f)
- Change to lowercase. [`18e15da`](https://github.com/ImageMagick/ImageMagick/commit/18e15da2dc6ceae05e95077f85e9d67dac31c5d8)
- fix stack overflow when parsing malicious tiff image [`f620340`](https://github.com/ImageMagick/ImageMagick/commit/f620340935777b28fa3f7b0ed7ed6bd86946934c)
- Also allow setting the max and start pointsize in the label coder. [`3990e66`](https://github.com/ImageMagick/ImageMagick/commit/3990e661655540843da53964576395abca80dd27)
- pending release [`a0291e9`](https://github.com/ImageMagick/ImageMagick/commit/a0291e944baf076f1036ca120aa115b7f46878c7)
- Added mime type for bmp (#4395). [`45febac`](https://github.com/ImageMagick/ImageMagick/commit/45febac063c24d54ff4f348129c677447a210336)
- pending release [`5ac355f`](https://github.com/ImageMagick/ImageMagick/commit/5ac355fe99f9aaed48d05715256b7a54ccf87b12)
- ... [`af76674`](https://github.com/ImageMagick/ImageMagick/commit/af766745f92967970b69091bdd52c1610722a489)
- Added missing (void). [`6e2983b`](https://github.com/ImageMagick/ImageMagick/commit/6e2983b9389b0494e44e75f78cf2a50526a481ca)
- Argument can be const. [`c4cf2ac`](https://github.com/ImageMagick/ImageMagick/commit/c4cf2ac655820d028f228cfc8ae69e44d979e70b)
- Reduce stack size. [`1bcee60`](https://github.com/ImageMagick/ImageMagick/commit/1bcee608550c8fb850c6e20970e20e8a53b4986c)
- Changed argument to blob_info. [`c7a767c`](https://github.com/ImageMagick/ImageMagick/commit/c7a767c55cded4e9fb7721388c7e2898f0227808)
- Corrected indentation. [`a864d83`](https://github.com/ImageMagick/ImageMagick/commit/a864d835725ccf4e6ba09112e1cb04f7a7f662a9)
- Added missing typecast. [`61a9889`](https://github.com/ImageMagick/ImageMagick/commit/61a9889dcc33437f48ec3637b247a4c81f07b38c)
- Create separate for the conversion of the wchar mode. [`72ffc83`](https://github.com/ImageMagick/ImageMagick/commit/72ffc835deeab2231b7c3f4ccc857396da219fca)
- Added flag that the handle is not inheritable by the child process. [`7241ee3`](https://github.com/ImageMagick/ImageMagick/commit/7241ee31f2e3b323e93830cd8482dc45794d8422)
- Corrected indentation. [`8c85ce0`](https://github.com/ImageMagick/ImageMagick/commit/8c85ce001ebb8c32986f0378dcaca3173ddd09b9)
- Added O_NOINHERIT flag. [`d8d087e`](https://github.com/ImageMagick/ImageMagick/commit/d8d087ec94092b2fc7afd9778b92d24604a78cc8)
- Also allow disabling the interpolation. [`b464cd2`](https://github.com/ImageMagick/ImageMagick/commit/b464cd2dbf8eaa9abde3a1b231906038ee873336)
- Removed checks for the macintosh define. [`f18599b`](https://github.com/ImageMagick/ImageMagick/commit/f18599b05e2ee0c54ecdc7dbd7527227973822e9)
- pending release [`baa6c1d`](https://github.com/ImageMagick/ImageMagick/commit/baa6c1d2a756c99d8590c1bd58887e9a0080af17)
- Use IdentifyImageGray instead. [`10df973`](https://github.com/ImageMagick/ImageMagick/commit/10df973b796da6d351911e8a6cc8ca96b15f60d4)
- ThrowDCMException should be used instead. [`a4a2ee6`](https://github.com/ImageMagick/ImageMagick/commit/a4a2ee6593b06e430fd3565d858a3fbab63cb876)
- slight performance optimization [`753f39f`](https://github.com/ImageMagick/ImageMagick/commit/753f39fef6c5f8aff18b793ef1d363ce08244c1b)
- Revert adjustment of the y1 value (#4405). [`f5c3396`](https://github.com/ImageMagick/ImageMagick/commit/f5c3396e2644cdd9b4350e537c9c0550c05f960c)
- Added additional boundary checks. [`be3c7dc`](https://github.com/ImageMagick/ImageMagick/commit/be3c7dc182ca88690083929ef550a9cb01d5860d)
- Create new struct for refactoring. [`7c8d19b`](https://github.com/ImageMagick/ImageMagick/commit/7c8d19b19d7f97a6e1d58ad05c3bd93c8d753757)
- revert optimization [`22694f6`](https://github.com/ImageMagick/ImageMagick/commit/22694f60aee3d6dc3a725605b2b39cda58dca2c9)
- Added RelinquishDCMMemory. [`9a301fa`](https://github.com/ImageMagick/ImageMagick/commit/9a301fa41f3bb299194d122e60d04380d4571e35)
- pending release [`9523594`](https://github.com/ImageMagick/ImageMagick/commit/95235946925dd5d3153d30f5e3673e7c0b1200ee)
- Copy scale to avoid duplicate free (https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=36990). [`7e2565b`](https://github.com/ImageMagick/ImageMagick/commit/7e2565b79a2268bc89a1b83bd30ed19fe8881add)
- Whitespace. [`c47f0e3`](https://github.com/ImageMagick/ImageMagick/commit/c47f0e34dcf05cfe8762b378c8b32065c600e5ed)
- Whitespace. [`4c04fad`](https://github.com/ImageMagick/ImageMagick/commit/4c04fade3b86f0f2277791bfdb121c19231d296a)
- cosmetic [`dadd444`](https://github.com/ImageMagick/ImageMagick/commit/dadd44478bf62d6033ecb6b822a8e38f09b5235d)
- https://oss-fuzz.com/testcase-detail/6308942275805184 [`5e99821`](https://github.com/ImageMagick/ImageMagick/commit/5e998214b84b69437a7cd93474b6dab9f82b4088)
- https://oss-fuzz.com/testcase-detail/6308942275805184 [`fab0e18`](https://github.com/ImageMagick/ImageMagick/commit/fab0e185965332958bfdd16020b6b1675e8d1bb2)
- Corrected calls to heif_image_handle_release. [`7b9b7c6`](https://github.com/ImageMagick/ImageMagick/commit/7b9b7c6a2a9c370b27d48d2da760600342881e5b)
- pending release [`97e5cdf`](https://github.com/ImageMagick/ImageMagick/commit/97e5cdfc8f4a318882ee41e62da1ba82a8c0a294)
- Fixed copy paste mistake. [`44179b2`](https://github.com/ImageMagick/ImageMagick/commit/44179b21d11e7edfceb194be9a966f47d5cfb314)
- Fixed possible memory leak. [`fbf76f2`](https://github.com/ImageMagick/ImageMagick/commit/fbf76f2efa62b644d41a6075c7d9bb598dfb3bbf)
- pending release [`e16d679`](https://github.com/ImageMagick/ImageMagick/commit/e16d67915d7ca440701f934f97cb9e0a75ea77f3)

## [7.1.0-10](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-9...7.1.0-10) - 2021-10-10

### Commits

- ... [`78efee9`](https://github.com/ImageMagick/ImageMagick/commit/78efee93db2217a8ad2ff622921e51465de64eb4)
- https://github.com/ImageMagick/ImageMagick/issues/4312 [`bc2f658`](https://github.com/ImageMagick/ImageMagick/commit/bc2f658a6c3d260d086aac795d9502035ae246d7)
- https://github.com/ImageMagick/ImageMagick/discussions/4311 [`494c960`](https://github.com/ImageMagick/ImageMagick/commit/494c960c815577d1ce4adfd663f75c9466b4bc72)
- ... [`c5afe90`](https://github.com/ImageMagick/ImageMagick/commit/c5afe90f2cb98e7874318581ca446170ce3ff716)
- Added missing call to SetImageProfile. [`4dca4a7`](https://github.com/ImageMagick/ImageMagick/commit/4dca4a7b3e719216a481b592683fb93c506dfda5)
- https://github.com/ImageMagick/ImageMagick/issues/4314 [`9c8b025`](https://github.com/ImageMagick/ImageMagick/commit/9c8b025640bffb45e5caedf27f10cec222c38290)
- Update configure with latest changes [`7df9e19`](https://github.com/ImageMagick/ImageMagick/commit/7df9e19ff93984991b768f763aaeb661ed07c43a)
- Update libjxl to use a .pc [`c82a9aa`](https://github.com/ImageMagick/ImageMagick/commit/c82a9aa538007d2d397e3c106493d4637e9b3900)
- don't adjust metrics if gravity is undefined [`3fc5106`](https://github.com/ImageMagick/ImageMagick/commit/3fc51062618127a8b683bb06344ca6152d9791fe)
- determine configuration with the `magick` utility [`6422663`](https://github.com/ImageMagick/ImageMagick/commit/6422663885abc973f74c3a5f0bdfa0afbc3202ca)
- ... [`a3c0680`](https://github.com/ImageMagick/ImageMagick/commit/a3c068017b549cc29ccea9f545af6c079d94c3bd)
- ... [`c1e67e9`](https://github.com/ImageMagick/ImageMagick/commit/c1e67e9a606247f5cc51fa079f242c93a9aaaa60)
- Moved using namespace std after ImageMagick header files to fix issues when enabling ISO C++ 17 and ISO C17 [`f7ff309`](https://github.com/ImageMagick/ImageMagick/commit/f7ff309b0b64fb0b478b3af1531ce5e6f179eea3)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=39708 [`524edfe`](https://github.com/ImageMagick/ImageMagick/commit/524edfed7587623a24ce7b7bb16af049b8b5e920)
- ... [`07ebe6b`](https://github.com/ImageMagick/ImageMagick/commit/07ebe6b6e47bbeadd84287c7395888df460677f8)
- pending release [`32bf14a`](https://github.com/ImageMagick/ImageMagick/commit/32bf14aa2ddb63cc919cf2fcb88a47998622cb69)

## [7.1.0-9](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-8...7.1.0-9) - 2021-10-03

### Commits

- ... [`a14c4cd`](https://github.com/ImageMagick/ImageMagick/commit/a14c4cd8dddfa9fbb431aa55913914ba7f6efd02)
- ... [`dd922fe`](https://github.com/ImageMagick/ImageMagick/commit/dd922fe9467bc6bf3cae41ce6a08c14c4d41abcf)
- https://github.com/ImageMagick/ImageMagick/discussions/4227 [`633618c`](https://github.com/ImageMagick/ImageMagick/commit/633618c249b97bf5ac9d85fbeb5b6654757d809f)
- check return status [`b213e5f`](https://github.com/ImageMagick/ImageMagick/commit/b213e5f2c02a81f9ee328f6ba1d1a4db80c2450b)
- continue parsing for warning [`8fd90c7`](https://github.com/ImageMagick/ImageMagick/commit/8fd90c7a92a487661ade6316444a8e6abe8d3c8e)
- use ANSI comments rather than C++ [`f76e974`](https://github.com/ImageMagick/ImageMagick/commit/f76e9743c33b04364b6c3ee1f5234bb0ee1695eb)
- ignore zero-length profiles [`071274b`](https://github.com/ImageMagick/ImageMagick/commit/071274b98aa4f12844595d8f14d667406069ef22)
- Corrected comments and changed argument order. [`f64d4e0`](https://github.com/ImageMagick/ImageMagick/commit/f64d4e043a1fe05d4905e09c4836ad40fd6cf279)
- Silenced warnings. [`36a5fa7`](https://github.com/ImageMagick/ImageMagick/commit/36a5fa73c78600cbd0308e36440d84d4a84585b2)
- Silence warning. [`bfe17f8`](https://github.com/ImageMagick/ImageMagick/commit/bfe17f8d308825079b886b11ed9b2e32ab50b576)
- Silenced warnings. [`0a9a6a8`](https://github.com/ImageMagick/ImageMagick/commit/0a9a6a8458d1b12a5ea5d16a0bda49fde6fd973e)
- Silenced warnings. [`9755ee2`](https://github.com/ImageMagick/ImageMagick/commit/9755ee291f559471eb400b9dd1729a648eedbb54)
- Corrected typecast. [`e0e829a`](https://github.com/ImageMagick/ImageMagick/commit/e0e829a84377110b5b35598726d6dcd5696b8dad)
- Silenced warnings. [`c89ec48`](https://github.com/ImageMagick/ImageMagick/commit/c89ec48fed14278b965a203e1d4723b438d74d03)
- cosmetic [`7c50d57`](https://github.com/ImageMagick/ImageMagick/commit/7c50d57e4814cd66c1a943fefd9e5ed97c38ce85)
- https://github.com/ImageMagick/ImageMagick/pull/4270 [`3037b2f`](https://github.com/ImageMagick/ImageMagick/commit/3037b2f32923df3da91949f0d39129b7da4f0674)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=39091 [`d9cb7ae`](https://github.com/ImageMagick/ImageMagick/commit/d9cb7ae93cb29b4a0624805cf4a40ef2d3824ee2)
- Silenced warnings. [`30e4e15`](https://github.com/ImageMagick/ImageMagick/commit/30e4e15b7a54408bec7075d61ffe829e96b81c8f)
- Corrected typecast. [`33cbae2`](https://github.com/ImageMagick/ImageMagick/commit/33cbae2c6fdb2dae77621e06204cfc571b1dda7b)
- Silenced warnings. [`3156587`](https://github.com/ImageMagick/ImageMagick/commit/31565876329d4813de0f1e4330a7a84f9a7b5dac)
- Cosmetic [`2322da9`](https://github.com/ImageMagick/ImageMagick/commit/2322da9e21f1b2290dea74f5b1973d29466374a7)
- Silenced warnings. [`9e336f1`](https://github.com/ImageMagick/ImageMagick/commit/9e336f1f3c9511f2e848eb4ee80324b64a7d4c9d)
- Silenced warning. [`4df253e`](https://github.com/ImageMagick/ImageMagick/commit/4df253e17e8b224866088ef396eed2c760cb2753)
- Removed unused variable. [`dfa9f1a`](https://github.com/ImageMagick/ImageMagick/commit/dfa9f1a3b4d270ecf9dcd4c507e128d65241a574)
- Silenced warnings. [`8cc5ffd`](https://github.com/ImageMagick/ImageMagick/commit/8cc5ffdf20195e2a854915f5c6039f7fafe281e6)
- Silenced warnings. [`a26b4b7`](https://github.com/ImageMagick/ImageMagick/commit/a26b4b78e2b45e36fb62aa046ae7d6b8f00dc26c)
- Silenced warnings. [`a40c341`](https://github.com/ImageMagick/ImageMagick/commit/a40c34116fffaaf77dc0eb3fa426f4c637a90aad)
- Corrected typecast. [`f440be7`](https://github.com/ImageMagick/ImageMagick/commit/f440be70190edd7e6bf07616a27a9bed37d98292)
- Silenced warnings. [`8bdd2e5`](https://github.com/ImageMagick/ImageMagick/commit/8bdd2e5ef0afbfc5ed858d5466d251a414137869)
- Cosmetic. [`04643cd`](https://github.com/ImageMagick/ImageMagick/commit/04643cdd916553b19e4b7ec61b60a45ad22217f8)
- Silenced warnings. [`8a1f456`](https://github.com/ImageMagick/ImageMagick/commit/8a1f456ed3b23bd4334854b152a7756dceeac8e1)
- Silenced warnings. [`a5ef57a`](https://github.com/ImageMagick/ImageMagick/commit/a5ef57ae24656e18405052e62313f58bfc3209bb)
- Removed unnecessary include. [`f7bce58`](https://github.com/ImageMagick/ImageMagick/commit/f7bce58427ccb4d48d3c42e2648dfdcc6fe87474)
- Silenced warnings. [`927966d`](https://github.com/ImageMagick/ImageMagick/commit/927966d480bc9b81f19a4d1124b9e3845cae78be)
- Cosmetic. [`1a2c0fa`](https://github.com/ImageMagick/ImageMagick/commit/1a2c0fa9e1c56928acaac2b0c16afeaa3e8df9eb)
- Silenced warnings. [`ba74500`](https://github.com/ImageMagick/ImageMagick/commit/ba74500b196220fa01d1cfc2632bba4721bfa56a)
- Silenced warning. [`d61c9a0`](https://github.com/ImageMagick/ImageMagick/commit/d61c9a0fd30b3352ce8d6514e80471f6d2c85178)
- Removed unused variable. [`db286e6`](https://github.com/ImageMagick/ImageMagick/commit/db286e608e075d6d67cae77afe2c839eda3cb7ee)
- Silenced warnings. [`5023814`](https://github.com/ImageMagick/ImageMagick/commit/5023814b5a23065f77edddb97c79eed1a810905f)
- Moved CircularityThreshold to a separate method. [`563de1c`](https://github.com/ImageMagick/ImageMagick/commit/563de1ce718e7c2cc9ed954bf3f1da7bc44ad301)
- Moved MajorAxisThreshold to a separate method. [`7ae012a`](https://github.com/ImageMagick/ImageMagick/commit/7ae012ab99a969603aa570d1ec0460390ab517b5)
- Moved MinorAxisThreshold to a separate method. [`c7035c3`](https://github.com/ImageMagick/ImageMagick/commit/c7035c377f5734ddecf3665e92bdabcc8e90d93e)
- Moved EccentricityThreshold to a separate method. [`0886f20`](https://github.com/ImageMagick/ImageMagick/commit/0886f209b8e350e23725fd50f69877932aa19aba)
- Moved AngleThreshold to a separate method. [`64b48fc`](https://github.com/ImageMagick/ImageMagick/commit/64b48fc3dcf8cacf3334adcd236ae5eead1cef2e)
- Moved PerimeterThreshold to a separate method. [`7052540`](https://github.com/ImageMagick/ImageMagick/commit/7052540aff4ab22021f06cdd539c987fd8a587c4)
- Silenced warnings. [`5131213`](https://github.com/ImageMagick/ImageMagick/commit/51312133557621ac14fab5771360c8e953ac12e9)
- Silenced warnings. [`5405b78`](https://github.com/ImageMagick/ImageMagick/commit/5405b780821cd45845506e6c6afb409d01691a3e)
- Silenced warnings. [`a0eac20`](https://github.com/ImageMagick/ImageMagick/commit/a0eac20ff7a8c0d8143eac41f8efa9047b002ce9)
- Corrected typecast. [`5940040`](https://github.com/ImageMagick/ImageMagick/commit/5940040706509a2f9fe5d93825c472b4207134cf)
- Silenced warnings. [`8098135`](https://github.com/ImageMagick/ImageMagick/commit/8098135f9e2db5a70aad466cfa32e7abbdc20d59)
- Silenced warnings. [`ef8d0d7`](https://github.com/ImageMagick/ImageMagick/commit/ef8d0d76df6cfc20e1138eec0d4910e8142a7da5)
- Silenced warnings. [`cbe2ee3`](https://github.com/ImageMagick/ImageMagick/commit/cbe2ee36bc291658d3b2e5a260d68991149af0fd)
- Silenced warnings. [`688b19a`](https://github.com/ImageMagick/ImageMagick/commit/688b19a560a3d4fa213bb07cdd15de00eb846576)
- Silenced warnings. [`ab616d3`](https://github.com/ImageMagick/ImageMagick/commit/ab616d398b342995edc55ccf6cc8b3c560b222e4)
- Silenced warnings. [`db0911b`](https://github.com/ImageMagick/ImageMagick/commit/db0911bd69133c72a0fb2de06f8f10841e01d0ab)
- Silenced warning. [`df0b207`](https://github.com/ImageMagick/ImageMagick/commit/df0b2071554a87a4c1a2b4a97965787aeb3ee793)
- Silenced warnings. [`26380ba`](https://github.com/ImageMagick/ImageMagick/commit/26380ba9cf89464da86d690d9ba0bf7ce1687b06)
- Silenced warnings. [`083ac80`](https://github.com/ImageMagick/ImageMagick/commit/083ac80d33d0274ab7915751edaf8eed7b306672)
- Silenced warnings. [`fa6182e`](https://github.com/ImageMagick/ImageMagick/commit/fa6182e1e5d6924976d662456e49666ed905ba8f)
- Silenced warning. [`cbf73b0`](https://github.com/ImageMagick/ImageMagick/commit/cbf73b0d97a1033d883091d3661eea002d2cf332)
- Silenced warning. [`49015df`](https://github.com/ImageMagick/ImageMagick/commit/49015df6081a0496a531251e3995c268252da2a1)
- Silenced warning. [`66ee0f7`](https://github.com/ImageMagick/ImageMagick/commit/66ee0f77b6a47c2d313e3f62fde5ff34cea5900e)
- Corrected return type. [`7530cc8`](https://github.com/ImageMagick/ImageMagick/commit/7530cc8f3225be7b821fedfeb8aa49e06164f68a)
- Silenced warnings. [`3ab1ec4`](https://github.com/ImageMagick/ImageMagick/commit/3ab1ec4c4bb49d1ac49911c88d8d5101799f1e46)
- Silenced warning. [`071352e`](https://github.com/ImageMagick/ImageMagick/commit/071352e56d35d187ebff342acace3891aea9560c)
- Removed unused arguments. [`7b3b3c7`](https://github.com/ImageMagick/ImageMagick/commit/7b3b3c76c7bf6b755fb11b496c64eb38f444ec54)
- Removed assert. [`a70f43f`](https://github.com/ImageMagick/ImageMagick/commit/a70f43f5586ab3d8496f28e6833eb38bd273b534)
- Added missing statement. [`aa493c1`](https://github.com/ImageMagick/ImageMagick/commit/aa493c105f3b6f496f26f60735fb0d0848ba9b5b)
- Add another missing statement. [`fd03a8f`](https://github.com/ImageMagick/ImageMagick/commit/fd03a8fc9308f12a98ad8375d5ad16a3b8906c0a)
- Silenced warning. [`e50d7d3`](https://github.com/ImageMagick/ImageMagick/commit/e50d7d37b3402734157b74b40a2f56ff1d38bf89)
- Use SIZE_MAX instead. [`2f442f7`](https://github.com/ImageMagick/ImageMagick/commit/2f442f7f05d02dc4d0a0399c32c07c1f47fc3841)
- Added missing semicolon. [`7f8d3bc`](https://github.com/ImageMagick/ImageMagick/commit/7f8d3bcd04c44242d448ae9fbd7a9d37f5f6b183)
- Use MAGICK_SSIZE_MAX instead because of the MagickMin. [`6ccb83b`](https://github.com/ImageMagick/ImageMagick/commit/6ccb83b8ad7e4532547ca738774a1aa74ff3b076)
- Build both 32 and 64 bit version on Windows. [`4703bc1`](https://github.com/ImageMagick/ImageMagick/commit/4703bc125a353ce4701ffee8836249bf4d242eb4)
- Removed unused variables. [`6d12d96`](https://github.com/ImageMagick/ImageMagick/commit/6d12d967a7c74a7830f4360172ff9a11518416f2)
- ... [`1829d08`](https://github.com/ImageMagick/ImageMagick/commit/1829d08946e761db88ec9504f7d4afbfe8d58dc8)
- Corrected solution configuration for the 32 bit build. [`f8c1f13`](https://github.com/ImageMagick/ImageMagick/commit/f8c1f138bd746a27b41aee6355a571f7fd89a2cb)
- https://github.com/ImageMagick/ImageMagick/issues/4278 [`fd26b54`](https://github.com/ImageMagick/ImageMagick/commit/fd26b54726415f89d412c9b7c31f9c9d9a8954c7)
- eliminate compiler warning [`69ea678`](https://github.com/ImageMagick/ImageMagick/commit/69ea678c1eb65755af1bb7753179da4f36f357fd)
- Fixed warning. [`c7c273f`](https://github.com/ImageMagick/ImageMagick/commit/c7c273fb89b7d14f7b2b56a6c4dda40eaf504759)
- Cosmetic. [`f910a2d`](https://github.com/ImageMagick/ImageMagick/commit/f910a2df14d7687cab2412aea64b1883d22aae05)
- Removed unnecessary check. [`45b1ad6`](https://github.com/ImageMagick/ImageMagick/commit/45b1ad6cc5e1c4a4a50ebc0f97ed17c83991c0db)
- Throw exception instead. [`b5d7d22`](https://github.com/ImageMagick/ImageMagick/commit/b5d7d22de2c63129f85483523a45761a60a5677b)
- eliminate compiler warning [`59dc862`](https://github.com/ImageMagick/ImageMagick/commit/59dc86278286f391dc6afe86145bd9ee9482a1d4)
- Corrected typecast. [`7366f26`](https://github.com/ImageMagick/ImageMagick/commit/7366f2608cbf893212024955a1851ede76449ddf)
- Corrected compare. [`a37c206`](https://github.com/ImageMagick/ImageMagick/commit/a37c2068cd6dc918c275fa20e09e3fd8e113f353)
- Added missing typecast. [`926e45f`](https://github.com/ImageMagick/ImageMagick/commit/926e45f87ba06e9adf168077988afea024982022)
- Revert patch because this breaks font rendering for other fonts. [`94721c6`](https://github.com/ImageMagick/ImageMagick/commit/94721c614080a605d911f1caf1bbd9f326827993)
- Adjust the x1 offset of the bounds to make sure a font is rendered inside the canvas (#4278). [`ed6f7d0`](https://github.com/ImageMagick/ImageMagick/commit/ed6f7d073f2de45f6c6f07385bcf63196ca53edd)
- Forgot to save the file before the commit. [`40384dd`](https://github.com/ImageMagick/ImageMagick/commit/40384dd6905598ce98d1fbf9e05432113ee9f174)
- Minor adjustment. [`ebaee9e`](https://github.com/ImageMagick/ImageMagick/commit/ebaee9ea620690dabdff3792e3c86a2c8de9325f)
- Correction of the bounds measurements. [`bafbac2`](https://github.com/ImageMagick/ImageMagick/commit/bafbac2ace6a4f8b61fd8fe58401582fa8614330)
- cosmetic [`8dbdb98`](https://github.com/ImageMagick/ImageMagick/commit/8dbdb9866e6522bf5ceea6b11b92a0d3370970eb)
- cosmetic [`75be18b`](https://github.com/ImageMagick/ImageMagick/commit/75be18b28a037f37aa0c58dd81a044ac113c98e4)
- Correct replacement of spaces that use more than one octet (#4305). [`f5ea8b0`](https://github.com/ImageMagick/ImageMagick/commit/f5ea8b08fe2dc607b15741b56ebe9553f080210f)
- cosmetic [`cc13ed5`](https://github.com/ImageMagick/ImageMagick/commit/cc13ed59273c2412ede5278abccbd418eeab5420)
- Minor optimization. [`a251f85`](https://github.com/ImageMagick/ImageMagick/commit/a251f85620fcb7f03654feb94265d850df48ca94)
- Cosmetic. [`7044df1`](https://github.com/ImageMagick/ImageMagick/commit/7044df16e5c834a66d650f293e6480a3026d46cc)
- Added extra check to prevent replacing a non-breaking space with a newline (#4305). [`de54d48`](https://github.com/ImageMagick/ImageMagick/commit/de54d48d716c833da3157f767233f25bd2e4d96f)
- Space pointer was still pointing to the old string. [`dbfb273`](https://github.com/ImageMagick/ImageMagick/commit/dbfb273e2a261b6e849614c6c510bbac515955a6)
- Cosmetic. [`536cc83`](https://github.com/ImageMagick/ImageMagick/commit/536cc83a975bfd1345582bd7a81eba64740f722b)
- argument is const [`442703a`](https://github.com/ImageMagick/ImageMagick/commit/442703a3eb2c6f738c703fb01ded2833d7493a1a)
- pending release [`7b5d247`](https://github.com/ImageMagick/ImageMagick/commit/7b5d247173533a7a29411f556cf548cf5d69b8de)
- Use SETJMP_IS_THREAD_SAFE instead of custom IMPNG_SETJMP_IS_THREAD_SAFE (#4123). [`7921bf0`](https://github.com/ImageMagick/ImageMagick/commit/7921bf068c25e876a1adf287313de47e20d86817)
- pending release [`85b3172`](https://github.com/ImageMagick/ImageMagick/commit/85b3172d179b96ff45d27565fbe70e8ff946b5ab)

## [7.1.0-8](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-7...7.1.0-8) - 2021-09-18

### Commits

- ... [`ffee953`](https://github.com/ImageMagick/ImageMagick/commit/ffee953296479c7cb6a27b08b3cd12b29a96ef48)
- Added link to advisory. [`600a8e5`](https://github.com/ImageMagick/ImageMagick/commit/600a8e54c1a6cf353cf9365a02b9ba52bda91ee5)
- Give the buffer a proper size instead of "over allocating". [`00bb801`](https://github.com/ImageMagick/ImageMagick/commit/00bb80173921219b213cc4808e13fc7733edc44b)
- Silenced warning. [`9419d6f`](https://github.com/ImageMagick/ImageMagick/commit/9419d6fd49f4944eef82c222e5e9c791be738444)
- Silenced warning. [`42ab885`](https://github.com/ImageMagick/ImageMagick/commit/42ab885b82356a810bf7d20a5169632ab883f45b)
- Silenced warning. [`30626f4`](https://github.com/ImageMagick/ImageMagick/commit/30626f44f3307a39d7a3addc47f31936e4ad043e)
- Silenced warning. [`e5e0a7d`](https://github.com/ImageMagick/ImageMagick/commit/e5e0a7dcaef08286e4e8066b42c415f8c73f4ead)
- Removed unused variable. [`3c4656a`](https://github.com/ImageMagick/ImageMagick/commit/3c4656a3f39071b7e7a35f6ddd9ec0d1333d68ff)
- Print date at the start of the build. [`021d3ce`](https://github.com/ImageMagick/ImageMagick/commit/021d3ce4805618ff46d18bbfd7a0db2542f53781)
- DDS: fixed a bug that caused artefacts in images [`c799d44`](https://github.com/ImageMagick/ImageMagick/commit/c799d44523506a5f58fa39307a3c6e5504a3b144)
- Add some more date prints to figure out what is taking so much time. [`739788f`](https://github.com/ImageMagick/ImageMagick/commit/739788fc60e50eb5140e83a280cae74858815cd9)
- Make it easier to find the dates [`fdb072f`](https://github.com/ImageMagick/ImageMagick/commit/fdb072f8273b1ca4bc66a3e026bb6508b5af6862)
- Added missing null check. [`9ccbd97`](https://github.com/ImageMagick/ImageMagick/commit/9ccbd97d788dd3a5b876a808dcfacf2311392f54)
- Added missing call to InitializeMagick. [`d6d5a7d`](https://github.com/ImageMagick/ImageMagick/commit/d6d5a7da72dc4d2ff73ad0f335e1c3c4b70735a0)
- Added missing null checks. [`ed9b3a1`](https://github.com/ImageMagick/ImageMagick/commit/ed9b3a1a403edce373912ad8862ffddb4a3125cc)
- https://github.com/ImageMagick/ImageMagick/issues/4235 [`772e98c`](https://github.com/ImageMagick/ImageMagick/commit/772e98c6431d9999830acfe67eb95857530317d5)
- ... [`d273f0f`](https://github.com/ImageMagick/ImageMagick/commit/d273f0fdd3e4b086959f10701b0cfbb27645344d)
- Added missing bom. [`ecb2d22`](https://github.com/ImageMagick/ImageMagick/commit/ecb2d22d33ae9b8324dc641d6ea1afcf1920d9f2)
- Removed date markers. [`428fe19`](https://github.com/ImageMagick/ImageMagick/commit/428fe19219b5bf7d84afa03109ee7c8c21a53b74)
- pending release [`881869e`](https://github.com/ImageMagick/ImageMagick/commit/881869ed01d35333c4184edc319b17006dda3ce3)

## [7.1.0-7](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-6...7.1.0-7) - 2021-09-12

### Merged

- Added decode support for DDS Dxt10 format [`#4126`](https://github.com/ImageMagick/ImageMagick/pull/4126)

### Commits

- ... [`f135b4c`](https://github.com/ImageMagick/ImageMagick/commit/f135b4cedfb418733d372ffc129eda5e0d1cb1d1)
- Update README.md [`5cfbef1`](https://github.com/ImageMagick/ImageMagick/commit/5cfbef1a171606738bbf85b7e830de368f1d2f52)
- Update README.md [`7f0e767`](https://github.com/ImageMagick/ImageMagick/commit/7f0e7673af0b63b76f27e13fb4c16ba5979c0d50)
- Update README.md [`e6077ba`](https://github.com/ImageMagick/ImageMagick/commit/e6077ba1f74cb26605f5561949c72e2bb80029eb)
- Update README.md [`029ff7d`](https://github.com/ImageMagick/ImageMagick/commit/029ff7d5ea6c5d19ee6c9d6154a6e4262943caa6)
- Update README.md [`1838dee`](https://github.com/ImageMagick/ImageMagick/commit/1838dee27e2907e0f16c252be0029f6ea00aec6d)
- Update README.md [`f5e052e`](https://github.com/ImageMagick/ImageMagick/commit/f5e052eb551452a9a0411c15e2d05c2fc705513c)
- Update README.md [`4606c0a`](https://github.com/ImageMagick/ImageMagick/commit/4606c0aa51e9512ed48fc0199ece6cf0caec850c)
- Update README.md [`bc29170`](https://github.com/ImageMagick/ImageMagick/commit/bc291701c358532dcdea350b3447b839cfc3043f)
- ... [`faa87f4`](https://github.com/ImageMagick/ImageMagick/commit/faa87f444450529de0d6dddd37baa992bd3460dc)
- Use yaml issue template instead. [`ecda000`](https://github.com/ImageMagick/ImageMagick/commit/ecda000b48679864cc03efd7ab14d56475f65feb)
- Added yml to the .editorconfig [`c5ae597`](https://github.com/ImageMagick/ImageMagick/commit/c5ae59784cd3942e2cb302f819e8911c4d431fa8)
- Removed travis CI link. [`15359c4`](https://github.com/ImageMagick/ImageMagick/commit/15359c48a90e7866d7b2599d3a572dd1b7190360)
- Changed build status link. [`1e1ab50`](https://github.com/ImageMagick/ImageMagick/commit/1e1ab508b1b5468fd9ae3a314d451e7da46f44de)
- Added donate badge. [`71e0b77`](https://github.com/ImageMagick/ImageMagick/commit/71e0b772dd1f3df1ac54e46d85909c955405420e)
- Changed file encoding. [`4ffb600`](https://github.com/ImageMagick/ImageMagick/commit/4ffb60019e0958ba02dd7252efad5f6c45e5d109)
- Added BC7_ prefix to the new variables. [`abed239`](https://github.com/ImageMagick/ImageMagick/commit/abed23939f5a05972bca3c70c9a265f20f5fe960)
- Added missing magick_unreferenced. [`647e477`](https://github.com/ImageMagick/ImageMagick/commit/647e47752ca6053d4ba060ac808c359f5ef2d4d4)
- Renamed variables. [`6d56ce1`](https://github.com/ImageMagick/ImageMagick/commit/6d56ce1c2776bbeb71146b00b226fefc7328c815)
- Initialize the arrays. [`8a41ce8`](https://github.com/ImageMagick/ImageMagick/commit/8a41ce827dfb1f499323ff20844e6c8ddf007c60)
- DDSInfo should be a const instead. [`c8bfe14`](https://github.com/ImageMagick/ImageMagick/commit/c8bfe144765bf91a200136054822badb1ea611b5)
- Renamed variable. [`99c26a8`](https://github.com/ImageMagick/ImageMagick/commit/99c26a87fabc827b9b6a00c6f34beff1a53db7eb)
- Corrected indentation. [`6d3a9fc`](https://github.com/ImageMagick/ImageMagick/commit/6d3a9fc09db05d8a4db6eae3af1c0586e22b1b77)
- Renamed variable. [`cc73c49`](https://github.com/ImageMagick/ImageMagick/commit/cc73c49654f15c11e8e8ce1d3810c78b0f8d6a1a)
- Renamed variable. [`b0cda46`](https://github.com/ImageMagick/ImageMagick/commit/b0cda462f3a8190fd1694087eb44b12866159f00)
- Whitespace. [`341249b`](https://github.com/ImageMagick/ImageMagick/commit/341249be9340fc3382c86045779b756dae43fe87)
- https://github.com/ImageMagick/ImageMagick/issues/4059 [`0ad86b1`](https://github.com/ImageMagick/ImageMagick/commit/0ad86b1de8de30a95f52e291f556836c7ce27701)
- Fixed typo. [`a538bea`](https://github.com/ImageMagick/ImageMagick/commit/a538beafd0c2edc9111663e62cff4e8127b07a29)
- Added missing typecast. [`affcc88`](https://github.com/ImageMagick/ImageMagick/commit/affcc8804ab94d0d6dc0ee5afe8089517a1050ce)
- Minor optimization when nothing will change. [`0b295fb`](https://github.com/ImageMagick/ImageMagick/commit/0b295fbcf5d69a4388f67df55a7dbd468f5786e8)
- Removed define that breaks with the Windows 10 SDK version 2104. [`ae0bf44`](https://github.com/ImageMagick/ImageMagick/commit/ae0bf4469b4546914e1cd3767d560e665876e92a)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=38401 [`c5d3358`](https://github.com/ImageMagick/ImageMagick/commit/c5d3358acc7cb76b9321004ff3fe6342e7c630e7)
- Added separate method for MSVG rendering. [`5bc6089`](https://github.com/ImageMagick/ImageMagick/commit/5bc608983b3d1b364e91d927cb0fdca037b44b8e)
- Code style change. [`67bafc4`](https://github.com/ImageMagick/ImageMagick/commit/67bafc4db482d5d90fa4455293c982713b11dee0)
- Added extra policy check. [`faad5a3`](https://github.com/ImageMagick/ImageMagick/commit/faad5a3caa24d7d0b34a7d8fe3f2b214a626293a)
- Code style changes. [`325f1f1`](https://github.com/ImageMagick/ImageMagick/commit/325f1f12643ed86f893b347c21f0811ff2a1dfee)
- Fixed incorrect check when module is used as the domain in policy.xml that would allow the use of a disabled module. [`816a070`](https://github.com/ImageMagick/ImageMagick/commit/816a070b8039102d1ead418c5101761cd7505836)
- Use InheritException instead. [`d2a2f1c`](https://github.com/ImageMagick/ImageMagick/commit/d2a2f1ca5917cfbdfa188b0a8a534061659db2cb)
- Added missing policy checks in RegisterStaticModules. [`35893e7`](https://github.com/ImageMagick/ImageMagick/commit/35893e7cad78ce461fcaffa56076c11700ba5e4e)
- Added early exits. [`b344d1f`](https://github.com/ImageMagick/ImageMagick/commit/b344d1f1090e73ce488938d6e5f5ac96a792356b)
- Use AllPolicyRights instead. [`6920157`](https://github.com/ImageMagick/ImageMagick/commit/6920157d93973bc8f75bc60fa2f22da5127f1f4b)
- Revert break to make it possible to use and allow list. [`8fa0697`](https://github.com/ImageMagick/ImageMagick/commit/8fa069797945f7b6e64b33cad4780311ff1b4ad5)
- Use the correct rights. [`01faddb`](https://github.com/ImageMagick/ImageMagick/commit/01faddbe2711a4156180c4a92837e2f23683cc68)
- Added missing call to CloseBlob. [`225b51d`](https://github.com/ImageMagick/ImageMagick/commit/225b51d7f2e86b8c8588022fe1e391249d023904)
- Fixed memory leak. [`f9c35c9`](https://github.com/ImageMagick/ImageMagick/commit/f9c35c91bac4d6380edeaaad8e536a7ef1fdb489)
- Clean up the remaining PDF files if reading one of the files fails. [`51d10c0`](https://github.com/ImageMagick/ImageMagick/commit/51d10c05d5a4a409a80d90826dd3fbdd2b765c5f)
- Update comment about availbale ImageTypes [`59b288d`](https://github.com/ImageMagick/ImageMagick/commit/59b288da691c30adf330334898261eff868bd13d)
- pending release [`9d3fc1a`](https://github.com/ImageMagick/ImageMagick/commit/9d3fc1a6142ee1180692d5a79f8c4367527d6843)
- Added missing calls to clean up the tile_image. [`a0232bf`](https://github.com/ImageMagick/ImageMagick/commit/a0232bf812f419c97eedde66e0a764f318eab7bd)
- Code style changes. [`86f886d`](https://github.com/ImageMagick/ImageMagick/commit/86f886daf4d48f966a47a70ab8e1bd6003565267)
- Code cleanup. [`2819152`](https://github.com/ImageMagick/ImageMagick/commit/28191523ff8650a3b4f28bbffcc60e02f593abc4)
- Also set RGB channels when reading the image. [`adbc185`](https://github.com/ImageMagick/ImageMagick/commit/adbc1855ec4768bd6069d7749185410ecef63a37)
- Added missing call to ConstrainColormapIndex. [`ea286be`](https://github.com/ImageMagick/ImageMagick/commit/ea286be7fdc95934b4773d3ef9d8eeb4efafd0b3)
- pending release [`bae7240`](https://github.com/ImageMagick/ImageMagick/commit/bae72403751eeaac75b87216ca34b59254c2af3e)
- Don't set the resolution when the cropbox is used. (#2657) [`ae08737`](https://github.com/ImageMagick/ImageMagick/commit/ae0873767ab7b862e3d50a852279150e2f692fb2)
- pending release [`9a01274`](https://github.com/ImageMagick/ImageMagick/commit/9a01274ab11088c8d59713748c0554bb4d534699)
- https://github.com/ImageMagick/ImageMagick/issues/2579 [`9108421`](https://github.com/ImageMagick/ImageMagick/commit/91084218c9a9d2fdcdb2f11d8af797acfc21d367)
- pending release [`720b86f`](https://github.com/ImageMagick/ImageMagick/commit/720b86f5d2c130b9dffb5e0e5a7b72f2c041b2a8)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=38573 [`6d00c96`](https://github.com/ImageMagick/ImageMagick/commit/6d00c96343ce0f5d3a91327c4ef2ed42fbcf86ad)
- https://github.com/ImageMagick/ImageMagick/issues/2576 [`d368d3c`](https://github.com/ImageMagick/ImageMagick/commit/d368d3c6bab35ad8857acaccc7b85d10c021c2c8)
- pending release [`957e478`](https://github.com/ImageMagick/ImageMagick/commit/957e47818ef0ae9ce73ade28a649ee7411a736e7)

## [7.1.0-6](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-5...7.1.0-6) - 2021-09-04

### Commits

- ... [`2d444c9`](https://github.com/ImageMagick/ImageMagick/commit/2d444c93b34f1a77c7d1d7570ba3e9350697af4e)
- ./configure --help no longer lists -disable-assert twice [`ac8fdfa`](https://github.com/ImageMagick/ImageMagick/commit/ac8fdfa944724cf5565b33d3f876d5ebdefded71)
- https://github.com/ImageMagick/ImageMagick/issues/4121 [`3c9c259`](https://github.com/ImageMagick/ImageMagick/commit/3c9c25927f6601dc778278de595b5cb0a4da6bd1)
- tweak the bilevel image type [`83fb8c8`](https://github.com/ImageMagick/ImageMagick/commit/83fb8c8644eeac8c667bbcb19b647c36830cc64f)
- Whitespace. [`70956aa`](https://github.com/ImageMagick/ImageMagick/commit/70956aa4058c556b5b3f0a28416951ba966d4419)
- Code style fixes. [`8447575`](https://github.com/ImageMagick/ImageMagick/commit/8447575dace7a606f73a8c3e2f374d907af382c1)
- Some optimizations when reading the exif profile. [`eb7cd80`](https://github.com/ImageMagick/ImageMagick/commit/eb7cd800ba6392ae6bd05f71a2c2718e59848af5)
- https://github.com/ImageMagick/ImageMagick/issues/4105 [`90914bd`](https://github.com/ImageMagick/ImageMagick/commit/90914bd1b924ef4b95c24a3ca1e579252d2fc5fc)
- Also prevent disabling highres for a quantum depth above 16 [`bc6d819`](https://github.com/ImageMagick/ImageMagick/commit/bc6d819af99d742bd6cdcc2f191af2a72600898e)
- Code style changes. [`3b90f52`](https://github.com/ImageMagick/ImageMagick/commit/3b90f52ce2fb342d26bf8e0c2cf60f9e312e2bd2)
- Some more code cleanup. [`99f677d`](https://github.com/ImageMagick/ImageMagick/commit/99f677d622fc946f4376aa18846fdd85cead9a28)
- Added support for reading the XMP profile from iTXt chunk (#4114). [`02fab91`](https://github.com/ImageMagick/ImageMagick/commit/02fab910d4043b5d6d0ab41676d53741aaea334c)
- Comment changes. [`ccb5555`](https://github.com/ImageMagick/ImageMagick/commit/ccb5555af3aa0bc1b1197cf5e3ba0c4049145c73)
- Minor changes to the formatting of the parentheses. [`827d30b`](https://github.com/ImageMagick/ImageMagick/commit/827d30b598bcd8e8ffdf1d80f4f468ce94a7ec72)
- Use different values per channel for scale and translate. [`4b9d95f`](https://github.com/ImageMagick/ImageMagick/commit/4b9d95fb1aa138cc75592f5331c5ce99faae94ba)
- https://github.com/ImageMagick/ImageMagick/issues/4128 [`37c9732`](https://github.com/ImageMagick/ImageMagick/commit/37c9732d4fd51f6868a7c005b6036a137cdccc8b)
- Add -dPrinted=false to the Ghostscript options (#4019) [`f9b8490`](https://github.com/ImageMagick/ImageMagick/commit/f9b8490463b7d98ffb795457ceb4cf6e09593619)
- Added missing define for the Windows build. [`6476508`](https://github.com/ImageMagick/ImageMagick/commit/6476508e5af1e6ad8be337fb526a4b955e5f98b5)
- Moved typecast to silence warnings. [`b069eb6`](https://github.com/ImageMagick/ImageMagick/commit/b069eb61b146e146c9583f72067c2426c3e1fe55)
- Minor refactoring. [`c2907ae`](https://github.com/ImageMagick/ImageMagick/commit/c2907ae9a2751ffd37981ea78e8b7b5d8495cdae)
- Updated .editorconfig. [`ffbe1ce`](https://github.com/ImageMagick/ImageMagick/commit/ffbe1cedd2aa83b365552bdadb44dc886fa0e792)
- Use link for the Windows build instructions instead. [`5ec7806`](https://github.com/ImageMagick/ImageMagick/commit/5ec78060a7a8a19066029f4eb32bee8eca4b585b)
- Removed extra endif that breaks the build. [`5992cba`](https://github.com/ImageMagick/ImageMagick/commit/5992cba82a8dc90ccdf39163189dc72408836df8)
- Add -HDRI to the quantum in the version string when HDRI is enabled. [`0e7233e`](https://github.com/ImageMagick/ImageMagick/commit/0e7233ef4256a7ac1a03bc726ca74f8228f192b9)
- https://oss-fuzz.com/testcase-detail/6502669439598592 [`1161978`](https://github.com/ImageMagick/ImageMagick/commit/1161978e8f3ff6607c5d0a34cd0e29150c4e29aa)
- pending release [`f500d17`](https://github.com/ImageMagick/ImageMagick/commit/f500d17454a43130ffb30bd4ca7836594eabb456)
- initialize buffer before calling TIFFGetField() [`428fa64`](https://github.com/ImageMagick/ImageMagick/commit/428fa64baa6075b93f09857aea77fdac74d16f86)
- Introduce new define for the visual studio version. [`94700f1`](https://github.com/ImageMagick/ImageMagick/commit/94700f1662e4ec293b0bea4e5d096d468988ebae)
- Removed checks for old Visual Studio versions. [`01ad6b3`](https://github.com/ImageMagick/ImageMagick/commit/01ad6b38b56cb3d1338eb959555e2eeffa986314)
- Include the compiler version in the output when it is known. [`cf472f4`](https://github.com/ImageMagick/ImageMagick/commit/cf472f4997caf053cd467ce10ae00c5fc696ed00)
- Fixed typo. [`e007d45`](https://github.com/ImageMagick/ImageMagick/commit/e007d45b069de531e763f369baeed10fb391c5c5)
- Revert local changes that should not have been committed yet. [`b9d8ebf`](https://github.com/ImageMagick/ImageMagick/commit/b9d8ebf930f22b375ffe09b59b33e6eb7e8ad44c)
- Use UTC date instead. [`7c589e7`](https://github.com/ImageMagick/ImageMagick/commit/7c589e7806142e6ee8d0afe68930ce7f501c214e)
- pending release [`a454b3a`](https://github.com/ImageMagick/ImageMagick/commit/a454b3a2aec75482aaaf040f072102b264e0fa35)

## [7.1.0-5](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-4...7.1.0-5) - 2021-08-22

### Merged

- fix #4097：Division by zero in ReadEnhMetaFile() of coders/emf.c [`#4098`](https://github.com/ImageMagick/ImageMagick/pull/4098)
- fix Division by zero in XMenuWidget() of MagickCore/widget.c [`#4041`](https://github.com/ImageMagick/ImageMagick/pull/4041)

### Fixed

- fix #4097：Division by zero in ReadEnhMetaFile() of coders/emf.c (#4098) [`#4097`](https://github.com/ImageMagick/ImageMagick/issues/4097)

### Commits

- Corrected remark to make it clear that this is for both reading and writing. [`5c09e3e`](https://github.com/ImageMagick/ImageMagick/commit/5c09e3e9cc6f904114e5c71cd1ff1a6df46cb9f8)
- ... [`085c116`](https://github.com/ImageMagick/ImageMagick/commit/085c1165f6158ebf968342d5a7d86690fdd7cf88)
- timeb.h is deprecated [`18e9f44`](https://github.com/ImageMagick/ImageMagick/commit/18e9f449af1847f650bab4d482d8e78b962748f8)
- eliminate compiler warning [`f0ed21d`](https://github.com/ImageMagick/ImageMagick/commit/f0ed21d134c26e5c2153c2910bf5b709553de393)
- reset image structure magick member [`7480434`](https://github.com/ImageMagick/ImageMagick/commit/748043424030bc4e01875812e199601c78739c72)
- optimize on grayscale detection [`11c49cd`](https://github.com/ImageMagick/ImageMagick/commit/11c49cde3c2b00cf5097d804f695762bc486ddc2)
- migrate colorspace:auto-grayscale from MagickCore to coders where it belongs [`2af2970`](https://github.com/ImageMagick/ImageMagick/commit/2af297015b3752df59794ae554f8df33103caff3)
- slight grayscale optimization [`b3f2cc6`](https://github.com/ImageMagick/ImageMagick/commit/b3f2cc6adf6f3b108958944eb4a7f58c96dd5ffc)
- fix compiler exception [`84d7493`](https://github.com/ImageMagick/ImageMagick/commit/84d7493233fdbc60ad979bd97071c9bca121ce0a)
- optimizing grayscale images, a work in progress [`e265516`](https://github.com/ImageMagick/ImageMagick/commit/e26551682dd93331b6f3ef78a2ac366226df4915)
- additional grayscale optimizations [`acbf6a8`](https://github.com/ImageMagick/ImageMagick/commit/acbf6a87adc8b6a86628e006b8582a43c4ac4fc0)
- ensure we set image gamma to 1 for linear grayscale image types [`4dac01e`](https://github.com/ImageMagick/ImageMagick/commit/4dac01ec2f038b75316c99c64a3c0dbaed717cd5)
- identify grayscale images lurking in the PPM image format [`e4b53d0`](https://github.com/ImageMagick/ImageMagick/commit/e4b53d0f17962641e0502a93ec9c7a13b7086c98)
- cosmetic [`2c2545d`](https://github.com/ImageMagick/ImageMagick/commit/2c2545d439c43bc2f5c1ebc2c6a9ad8511ecc359)
- set proper colormap index channel [`3ca9d29`](https://github.com/ImageMagick/ImageMagick/commit/3ca9d2972527b867f2c96b4997ddbd2ffc68d535)
- grayscale images were not being written properly [`944a910`](https://github.com/ImageMagick/ImageMagick/commit/944a910a82f654e2eb2dc28d3081594d18b6a393)
- Whitespace changes. [`85e440a`](https://github.com/ImageMagick/ImageMagick/commit/85e440a514fc24e78f51c7611538a02a44f812ac)
- slight optimization [`3aee329`](https://github.com/ImageMagick/ImageMagick/commit/3aee329e309398b1e830a7293b15ab6cb9a48c9c)
- revert [`fcbce07`](https://github.com/ImageMagick/ImageMagick/commit/fcbce07c69505662575c09069802fe894c6a8dd2)
- check is colorspace is incompatible before transforming it to sRGB [`f9e7a09`](https://github.com/ImageMagick/ImageMagick/commit/f9e7a09d8c2a1f24cfab503ac80cf2426b9c289d)
- revert and revisit [`386f933`](https://github.com/ImageMagick/ImageMagick/commit/386f933f4197446ced4873b184b966885c52229b)
- reduce memory moves [`316adb6`](https://github.com/ImageMagick/ImageMagick/commit/316adb6d5f257c51dd47bf9f47f20d141f1e57ec)
- revert [`5ee49d6`](https://github.com/ImageMagick/ImageMagick/commit/5ee49d66e6534ab7d145dce89e502a6d0b9f18fa)
- heap-based buffer overflow in TIFF coder (alert from Hunter Mitchell) [`1fa6e59`](https://github.com/ImageMagick/ImageMagick/commit/1fa6e59b0a8ae937cd04893ab3c6cdbdca0b5433)
- heap-based buffer overflow in TIFF coder (alert from Hunter Mitchell) [`1ef7420`](https://github.com/ImageMagick/ImageMagick/commit/1ef7420842ae912a746350605b016b928ab0004d)
- heap-based buffer overflow in TIFF coder (alert from Hunter Mitchell) [`005f7b9`](https://github.com/ImageMagick/ImageMagick/commit/005f7b9b4faba4a218befdae0d109fdfce0e8496)
- revert grayscale optimization for now [`a8416bd`](https://github.com/ImageMagick/ImageMagick/commit/a8416bdc2a2a4bc04a9c0e9acf53cb4d070c9ab3)
- check for grayscale with alpha channel [`6eea084`](https://github.com/ImageMagick/ImageMagick/commit/6eea084fd9f9f1be258376547344ca199ddc4625)
- revert [`b6800c8`](https://github.com/ImageMagick/ImageMagick/commit/b6800c8f2aed871845b70462a70c8155abec1419)
- Add support for writing the alpha channel (#1361) [`9da8d9c`](https://github.com/ImageMagick/ImageMagick/commit/9da8d9ccef4eaf37b3c765aae1399d8d2d83f0c6)
- Removed incorrect assert. [`a365542`](https://github.com/ImageMagick/ImageMagick/commit/a36554278729ca2ab6dc9e84a220528380ec06a9)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=36990 [`d137050`](https://github.com/ImageMagick/ImageMagick/commit/d137050dbe63cf1dcc815d6ecb5dfd1d56624335)
- https://github.com/ImageMagick/ImageMagick/issues/4059 [`b93a6a2`](https://github.com/ImageMagick/ImageMagick/commit/b93a6a2be891f1dbc761bdf4774b2e25b9109ff2)
- Corrected indentation. [`1b25f37`](https://github.com/ImageMagick/ImageMagick/commit/1b25f37fb374cb371d78e6ba139ad9bf7a9bf6fe)
- Added support for reading the embedded thumbnail. [`06b50d3`](https://github.com/ImageMagick/ImageMagick/commit/06b50d3e60a23d23d11114f32fb128df86109033)
- https://github.com/ImageMagick/ImageMagick/issues/4059 [`c14022a`](https://github.com/ImageMagick/ImageMagick/commit/c14022ab5b8593cc5c4c3f6936af93d2f9fb58b7)
- Added the new option to the ChangeLog. [`7f4edad`](https://github.com/ImageMagick/ImageMagick/commit/7f4edad9ae80cccfa0250656f1df1ba85997f744)
- Fix typo - ellipical to elliptical [`346218b`](https://github.com/ImageMagick/ImageMagick/commit/346218b2d2d14466521d993e8c56c23fb9c8df76)
- Set the color encoding to fix writing JXL images with libjxl 0.5 (#4064) [`7fb6eda`](https://github.com/ImageMagick/ImageMagick/commit/7fb6eda2c0ce209bacdc38d1c88c4a7d26125322)
- Renamed the method. [`e28d7c5`](https://github.com/ImageMagick/ImageMagick/commit/e28d7c54773706b02c65045d3c4a1d9e8b589f4a)
- Use JxlColorEncodingSetToLinearSRGB instead. [`970724d`](https://github.com/ImageMagick/ImageMagick/commit/970724dfdbabb5476e314ec66723cbd93885fa3d)
- Use &amp; instead. [`c37514a`](https://github.com/ImageMagick/ImageMagick/commit/c37514ac3a08eece93ba23670529745026551c1f)
- Use a single buffer instead. [`c4367bc`](https://github.com/ImageMagick/ImageMagick/commit/c4367bc3ce261a03f74b66ff0c97cb7720b70725)
- Correct order. [`fff99c1`](https://github.com/ImageMagick/ImageMagick/commit/fff99c14b1eaa7d0d11865d8ac2199689679bd9b)
- Whitespace [`c79cf71`](https://github.com/ImageMagick/ImageMagick/commit/c79cf71e91bbdfff81ec0353f31671c2116c5dc1)
- The DDSD_CAPS flags should also always be set. [`357ec61`](https://github.com/ImageMagick/ImageMagick/commit/357ec616c7a0a7247bd861619f2b32028af7cd2f)
- stop parsing after exception [`21a99da`](https://github.com/ImageMagick/ImageMagick/commit/21a99da0c4da80453fa442998ffd92aa3f1716e8)
- stop parsing on exception [`f0af490`](https://github.com/ImageMagick/ImageMagick/commit/f0af49097aafef2fcd391ee48ca02fb8ec99277c)
- Added new method to also preserve the creation of a file on Windows. This also fixes setting the timestamps on utf8 file names. [`df0b5ac`](https://github.com/ImageMagick/ImageMagick/commit/df0b5ac3eab808c0b39c497dcad41321dd8b4de6)
- Fixed build on non-Windows platform. [`86812bb`](https://github.com/ImageMagick/ImageMagick/commit/86812bb015dc8963d5bc006ce0b92207a12c7bac)
- Removed unused include. [`8334a7e`](https://github.com/ImageMagick/ImageMagick/commit/8334a7efba0571dc6a1561295eb1a309c5da65eb)
- prefer utimensat() over utime() [`481c8a4`](https://github.com/ImageMagick/ImageMagick/commit/481c8a4d165374a4e1262e75480147e3996f1072)
- Make sure a value is returned. [`1e59b57`](https://github.com/ImageMagick/ImageMagick/commit/1e59b5794eb74d1ff33138a79813fd23b36ad847)
- cosmetic [`19cadba`](https://github.com/ImageMagick/ImageMagick/commit/19cadba2492ebb41dddbaea6c4219d2593f90129)
- st_atim is st_atimespec under Apple/NetBSD [`fa64172`](https://github.com/ImageMagick/ImageMagick/commit/fa64172595cece87878e7b0b6439fca0e900b118)
- Fix memory leak in AnimateImageCommand() of MagickWand/animate.c and DisplayImageCommand() of MagickWand/display.c [`1630cbb`](https://github.com/ImageMagick/ImageMagick/commit/1630cbb8a5065aa769466baedac91f87e5c5bc89)
- pending release [`007c888`](https://github.com/ImageMagick/ImageMagick/commit/007c8882eb8b72878ae7a0209f1e2d225e533889)
- Added missing call to DestroyDisplay. [`b38b91d`](https://github.com/ImageMagick/ImageMagick/commit/b38b91d035cd5524431563d91983dd803d1c7d2f)
- Added .editorconfig. [`558ff49`](https://github.com/ImageMagick/ImageMagick/commit/558ff49afbde4c208cf380682772a09cd9ee6746)
- Upgrade solution instead. [`a225f4c`](https://github.com/ImageMagick/ImageMagick/commit/a225f4c065bb9ed031777ea8f4893f991f01e37d)
- Fix typo - Rodidoux to Robidoux [`f03ee36`](https://github.com/ImageMagick/ImageMagick/commit/f03ee363ed5a541383ee9f9dcda67a90c8aa7a24)
- Update reference to ImageMagick-6 [`4d65ee5`](https://github.com/ImageMagick/ImageMagick/commit/4d65ee597fd05151a9e7d8467c1e17f87baaa273)
- cosmetic [`8c6e77e`](https://github.com/ImageMagick/ImageMagick/commit/8c6e77e03928ece193767f7ad9a1485b79578099)
- cosmetic [`8dd4859`](https://github.com/ImageMagick/ImageMagick/commit/8dd4859aac64ca758e15ba20c9f9f2fc0c1e58f0)
- pending release [`69ba0c4`](https://github.com/ImageMagick/ImageMagick/commit/69ba0c45f657e7b7bf5171099de24c5c57898684)
- Use new solution that is already upgrade to VS2019. [`8f77c3c`](https://github.com/ImageMagick/ImageMagick/commit/8f77c3c9caeb586f4a77e5aa09ade19320b67fe0)
- pending release [`6e11e59`](https://github.com/ImageMagick/ImageMagick/commit/6e11e59b8a8111c3052dfea99312d802254ebe95)
- https://github.com/ImageMagick/ImageMagick/discussions/4096 [`dc1df68`](https://github.com/ImageMagick/ImageMagick/commit/dc1df68764b537d90be3311f6413c4271ef1ad22)
- Corrected return type to fix emscripten build error. [`bdeb549`](https://github.com/ImageMagick/ImageMagick/commit/bdeb549c28e130a02fdf90791acf7a7d5e10a66a)
- Corrected return type to fix emscripten build error. [`9916dc4`](https://github.com/ImageMagick/ImageMagick/commit/9916dc45d319d0810882fd8d659246bcec041fff)
- pending release [`74f8154`](https://github.com/ImageMagick/ImageMagick/commit/74f8154136d2f631ca3e0421e6cf6c8dccd548f7)

## [7.1.0-4](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-3...7.1.0-4) - 2021-07-18

### Commits

- ... [`433d174`](https://github.com/ImageMagick/ImageMagick/commit/433d17474d91aa37c5d933062b9c0a12fcbe9cf3)
- https://github.com/ImageMagick/ImageMagick/issues/3896 [`73ef506`](https://github.com/ImageMagick/ImageMagick/commit/73ef50686e69dbc2ea709f87435b1fd7cd3e4f8b)
- ... [`3497eb4`](https://github.com/ImageMagick/ImageMagick/commit/3497eb45819651fc3f16a4ee2e0e6c4f3c5c56cb)
- remove virtual canvas offset from similarity image [`e87b9ea`](https://github.com/ImageMagick/ImageMagick/commit/e87b9ea62438e2f679548bb2e50a3a64892b001d)
- ... [`418102d`](https://github.com/ImageMagick/ImageMagick/commit/418102ddffba555a18480b79de8713e69bdebe16)
- ... [`5bd18b5`](https://github.com/ImageMagick/ImageMagick/commit/5bd18b5181671f534e9a01f366a19c7b6d902438)
- search for fftw delegate library by default [`7c082c3`](https://github.com/ImageMagick/ImageMagick/commit/7c082c32a622763b11644e05a16ea4ad717b09b8)
- ... [`d2a7a08`](https://github.com/ImageMagick/ImageMagick/commit/d2a7a083b6aa31232ecd90c28399059bbd747c77)
- Call MagickWandTerminus instead of MagickCoreTerminus to also destroy the wand id's. [`e80cbdf`](https://github.com/ImageMagick/ImageMagick/commit/e80cbdf3752eb5c8972f579ba9f88cfc235db524)
- Fixed writing the iptc information when it is not stored as long. [`9f44f1e`](https://github.com/ImageMagick/ImageMagick/commit/9f44f1eb60a7669a0fd07ffb3086ba2075b8dd11)
- revert, use -enable-fftw to include FFT support [`273b425`](https://github.com/ImageMagick/ImageMagick/commit/273b425df8f66dec898b3774b2ae24a8ea5d60ad)
- https://github.com/ImageMagick/ImageMagick/issues/3951 [`e7d3e18`](https://github.com/ImageMagick/ImageMagick/commit/e7d3e182b72ff9b2c3ea1c9aa0f14d69cc968ba7)
- make genesis/terminus calls symmetric [`eddd1d9`](https://github.com/ImageMagick/ImageMagick/commit/eddd1d9d55b1bbda1b1ddad5c775fe251c65b003)
- pending release [`fa6c65a`](https://github.com/ImageMagick/ImageMagick/commit/fa6c65a4c40e1fa63629cff9d847191b270378da)
- revert; keep CoreGenesis/CoreTerminus pairs; destroy wand ids [`d987d2d`](https://github.com/ImageMagick/ImageMagick/commit/d987d2d852bc55dd6d0895decf16d4d95bd5ba07)
- include header that defines DestroyWandIDs() [`2618a34`](https://github.com/ImageMagick/ImageMagick/commit/2618a34db049f68eea07d010de6961cc1ea63a1a)
- Added new video options to the ChangeLog. [`8930dae`](https://github.com/ImageMagick/ImageMagick/commit/8930dae0d126fff1ff3ccb76b12da895c7b2c89a)
- Use MagickWandGenesis and Terminus instead. [`2e262f3`](https://github.com/ImageMagick/ImageMagick/commit/2e262f3b1196b2ff8a43eaf454fc6fc52f805d91)
- pending release [`159d069`](https://github.com/ImageMagick/ImageMagick/commit/159d06999c78d620f07de749dea93137527114d6)
- revert mods [`bb96fe8`](https://github.com/ImageMagick/ImageMagick/commit/bb96fe8039793751e7815b1c7d0aad6cd98cff3f)
- pending release [`0c074c1`](https://github.com/ImageMagick/ImageMagick/commit/0c074c122501a5bc3831ff4f95a6bf2e323929ce)
- Corrected call to RelinquishUniqueFileResource. [`4c1f846`](https://github.com/ImageMagick/ImageMagick/commit/4c1f84677557e44ae7c1e1c698a9415993a9dbee)
- Set the file to null to make sure a new file is written. [`59c28ac`](https://github.com/ImageMagick/ImageMagick/commit/59c28ac750bfdb5c67ee72cbd5d9906e7227f50d)
- Corrected cleanup of temporary files. [`8eb9c6c`](https://github.com/ImageMagick/ImageMagick/commit/8eb9c6c4898ac774a4c97dcfb783d0c751e64736)
- pending release [`5369493`](https://github.com/ImageMagick/ImageMagick/commit/53694931e6abe01d86ecabd3b45dc60a0d7461df)

## [7.1.0-3](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-2...7.1.0-3) - 2021-07-17

### Merged

- magick.sh.in: Corrected sample command [`#3867`](https://github.com/ImageMagick/ImageMagick/pull/3867)

### Commits

- Test with mingw-w64 using MSYS2 CI [`6509eba`](https://github.com/ImageMagick/ImageMagick/commit/6509eba48ebb5fd8a398a3548389ddcec0b60836)
- ... [`20cee9e`](https://github.com/ImageMagick/ImageMagick/commit/20cee9ed101b9b57f3202f5e982a7621d3df7040)
- ... [`2f59f48`](https://github.com/ImageMagick/ImageMagick/commit/2f59f484faf87958830755d3b29bfa16de1e8091)
- system() is not supported under IOS [`43c4c09`](https://github.com/ImageMagick/ImageMagick/commit/43c4c099f349fba0d033b731064a1d021c1c80ad)
- Moved define to silence warning [`7107723`](https://github.com/ImageMagick/ImageMagick/commit/7107723e5c107f7f6146e5a42ae0d2f9c8f6b90f)
- Use markdown in the intro instead. [`48e729d`](https://github.com/ImageMagick/ImageMagick/commit/48e729dced01220ed5cf4f7035afaff4aab01a32)
- Try a different syntax instead. [`8c5a1af`](https://github.com/ImageMagick/ImageMagick/commit/8c5a1af2aadb054a086348ef87ab4ad6248a30ce)
- Remove newline [`1ebec54`](https://github.com/ImageMagick/ImageMagick/commit/1ebec5455d4783125cca25fdd6631b617ba99296)
- Try without markdown. [`b56a2f6`](https://github.com/ImageMagick/ImageMagick/commit/b56a2f62ef2ec44692490b654c6cfe6f1352efae)
- Set the pixel format to ARGB when reading an animated PNG file. [`95add9f`](https://github.com/ImageMagick/ImageMagick/commit/95add9f12b236e0bf51e4ad94fc3c4f7afdaa87e)
- Also allow specifying the pixel format when reading the image. [`81e4de3`](https://github.com/ImageMagick/ImageMagick/commit/81e4de31833026997edb9d85d540c623815afe55)
- Make it more clear that no memory is leaking. [`78228f0`](https://github.com/ImageMagick/ImageMagick/commit/78228f05b022912f368a3652da9937b135fe9311)
- The predictor tag should only be set for specific compression types. [`c55d9ac`](https://github.com/ImageMagick/ImageMagick/commit/c55d9ac269c1129230c82942820537acaab58261)
- Only get the number of channels once. [`d4ecdd3`](https://github.com/ImageMagick/ImageMagick/commit/d4ecdd329d067bafae6d59f91fcf65ed5ed57c71)
- Added typecast to silence warning. [`af8fc23`](https://github.com/ImageMagick/ImageMagick/commit/af8fc23d08bc770aade4fa807d254251f475062c)
- Only call GetImageChannels once. [`86ff043`](https://github.com/ImageMagick/ImageMagick/commit/86ff0435472a50877a83a26ccfccaa8365f08e08)
- support -evaluate:clamp setting [`85f61c1`](https://github.com/ImageMagick/ImageMagick/commit/85f61c1974daeb23d53ac693198fbdbdee8e35b7)
- ... [`6c23915`](https://github.com/ImageMagick/ImageMagick/commit/6c23915c22c46d322580909b99f515cd67277aa7)
- ... [`4480b3e`](https://github.com/ImageMagick/ImageMagick/commit/4480b3ec63f428c63c6c1f1c92e8dfd80326ca32)
- set imaginary component of the complex conjugate to -Ai [`3a9c3ed`](https://github.com/ImageMagick/ImageMagick/commit/3a9c3ed1e4b5aba7f6eef5a6c9af1974a4c7e16b)
- Moved PKGBUILD file to the ImageMagick-Windows repository. [`f3bca7e`](https://github.com/ImageMagick/ImageMagick/commit/f3bca7e8a352d18877e08170dbac37c4f376fa06)
- Added Windows MSYS2 to the daily build. [`1a50afe`](https://github.com/ImageMagick/ImageMagick/commit/1a50afeebd1a1204ffa748824af53717eebcdac8)
- Only do a single MSYS2 build in a regular commit. [`8b0e9aa`](https://github.com/ImageMagick/ImageMagick/commit/8b0e9aa6043782fa5d2a8e0a54e3a65e2b16f408)
- Restored changes that were removed by accident. [`c071597`](https://github.com/ImageMagick/ImageMagick/commit/c071597408a3265f7ef319b890e30b3cb2d7a7fc)
- Introduce helper method. [`7bdaf57`](https://github.com/ImageMagick/ImageMagick/commit/7bdaf57fe297802a158b10f29d2a847218b44eac)
- Use double instead. [`6680fc3`](https://github.com/ImageMagick/ImageMagick/commit/6680fc386ac06395c3ffd0cfa23207c34b336702)
- Added support for setting the interline_spacing (#3827) [`8ada7db`](https://github.com/ImageMagick/ImageMagick/commit/8ada7db5007dbf92477755c7bcd1d234ff1d63d9)
- Disable font antialiasing when text_antialias is false (#3906). [`0c6512f`](https://github.com/ImageMagick/ImageMagick/commit/0c6512f82749e054a393675c7b68fdba4f327397)
- accelerated correlation-based image similary using FFT local statistics [`a6515bf`](https://github.com/ImageMagick/ImageMagick/commit/a6515bf66736dee023a579dfc4a0b3922e447ccd)
- Added raqm to the autolinking list. [`c431f3f`](https://github.com/ImageMagick/ImageMagick/commit/c431f3f3a614aab0041b9643d1c022a04a0f76fd)
- Added missing typecast. [`ef201e1`](https://github.com/ImageMagick/ImageMagick/commit/ef201e152033a37913efa6dd191f96205df65f32)
- Added option to peek in the byte buffer. [`59d0b87`](https://github.com/ImageMagick/ImageMagick/commit/59d0b87bc168f0b510902f2402bc2cb5e9986704)
- Fixed parsing the spot colors of a postscript document. [`86f2fd2`](https://github.com/ImageMagick/ImageMagick/commit/86f2fd2c65b051d244de445a99f8419b89dd5b2f)
- Moved define inside other define to silence warning. [`5498b40`](https://github.com/ImageMagick/ImageMagick/commit/5498b40f1609caf3e3cfd427396a2014ea4dc905)
- Use defines from tiff headers to silence warnings. [`bad2e2d`](https://github.com/ImageMagick/ImageMagick/commit/bad2e2dac531eab540da9f19e687ccaf5769aa50)
- prevent blow-up when standard deviation is 0 [`6b1a23f`](https://github.com/ImageMagick/ImageMagick/commit/6b1a23fb3e75feddb217ed8dde7610c853a1ed30)
- The defines are not available on MacOS. [`edaaf13`](https://github.com/ImageMagick/ImageMagick/commit/edaaf1326e87293f269f3b83490264ce3dae5580)
- Corrected earlier patch. [`c09727c`](https://github.com/ImageMagick/ImageMagick/commit/c09727c8fed0d557e2f9f2bc9821913da06851a9)
- Silence warning. [`7b8159c`](https://github.com/ImageMagick/ImageMagick/commit/7b8159c1772d90f3e1a0cab56bea2a61e93e915a)
- Renamed variable. [`9264818`](https://github.com/ImageMagick/ImageMagick/commit/9264818998f920a9765d8d08986b4fc6a1dac923)
- Use different defines to silence warning. [`dffc5fd`](https://github.com/ImageMagick/ImageMagick/commit/dffc5fd0103ecb44223b200fc0ff43e0e62359fe)
- Replace all values with the new defines. [`cbd1212`](https://github.com/ImageMagick/ImageMagick/commit/cbd1212554265d32ad5ee803549b6f5e61f348d8)
- skip zero pixels when dividing [`431e9b2`](https://github.com/ImageMagick/ImageMagick/commit/431e9b2b4445400d08a9d1b48199c380d9edc0ce)
- Corrected return type. [`ed3933d`](https://github.com/ImageMagick/ImageMagick/commit/ed3933d5cf2c3c6ea605cdff5fddd3ba1291e3e4)
- Check if this silences the mingw warnings. [`5c4a256`](https://github.com/ImageMagick/ImageMagick/commit/5c4a256ca0bb8aee173d5ffc49e88e4e69d05cd9)
- Use a single check instead of multiple separate checks. [`a0b1ef3`](https://github.com/ImageMagick/ImageMagick/commit/a0b1ef32180ba0e71279d09da4a4f3c1a7575df4)
- fix threading issue [`3d924d1`](https://github.com/ImageMagick/ImageMagick/commit/3d924d1f29aa2bf40efb8ce036ee24c3c1ebbced)
- Try a different check. [`0b606a7`](https://github.com/ImageMagick/ImageMagick/commit/0b606a75680fc3970b925881537198d2fb6c4126)
- Corrected copy paste mistake. [`deb6c52`](https://github.com/ImageMagick/ImageMagick/commit/deb6c5268af1003c4f015580d731905e32b595a5)
- optimize NCC distortion [`d5a0e51`](https://github.com/ImageMagick/ImageMagick/commit/d5a0e51def85b5be295e8e1fb32b8f15c3f343d6)
- Restored __MINGW32__ check. [`f69e87d`](https://github.com/ImageMagick/ImageMagick/commit/f69e87d030988d83025f735c3100cfc2416a28eb)
- ... [`bec7f7b`](https://github.com/ImageMagick/ImageMagick/commit/bec7f7bbe74e41b382e8dc0a54a277c76bc1d9aa)
- optimize grayscale detection [`ae67947`](https://github.com/ImageMagick/ImageMagick/commit/ae67947f9c098d2bd70b29dd3d502df6161bd06b)
- check for zero demoninator [`1999a4b`](https://github.com/ImageMagick/ImageMagick/commit/1999a4ba5623a3e56e3cebf0b416fb8dfed63aaa)
- skip channels with a zero standard-deviation [`1618240`](https://github.com/ImageMagick/ImageMagick/commit/161824005ee122630dfe09ac54faf16e1a6e23ed)
- ... [`c4df93b`](https://github.com/ImageMagick/ImageMagick/commit/c4df93bb37c4d82aea20af77fdbfea5c3df54753)
- Try linking with different libraries. [`8d1c095`](https://github.com/ImageMagick/ImageMagick/commit/8d1c0955250540216d88c7f4ba9241e3357caa54)
- Add libwebp.a again. [`7f5451f`](https://github.com/ImageMagick/ImageMagick/commit/7f5451f1fd54f96f68da227a81afa02068bdcd80)
- remove debugging output [`e261961`](https://github.com/ImageMagick/ImageMagick/commit/e261961e2af8bd1031f5a54b4d2a184ac9728e35)
- ... [`2f8d1ea`](https://github.com/ImageMagick/ImageMagick/commit/2f8d1ea3a55c2c76d8fc19f716f58e029397fc17)
- default to FFT acceleration when HDRI/FFT is enabled [`63d6df8`](https://github.com/ImageMagick/ImageMagick/commit/63d6df8addd0e83c32b960dae19cad70df0b9f9c)
- https://github.com/ImageMagick/ImageMagick/issues/3925 [`a4aa7af`](https://github.com/ImageMagick/ImageMagick/commit/a4aa7afdeb56c495b9ed48852a768174382639c0)
- Corrected getting the image dimensions when identifying a postscript file. [`d3eaf1a`](https://github.com/ImageMagick/ImageMagick/commit/d3eaf1ad42d07e612cbf85c42b9e5ba719f9a527)
- Fixed copy paste mistake. [`40968cf`](https://github.com/ImageMagick/ImageMagick/commit/40968cff0716e3bd7e33e74be2f5258949fa4547)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=36248 [`cce49e3`](https://github.com/ImageMagick/ImageMagick/commit/cce49e30a5d1465f42d2c9b5deaa402ed2332f15)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=36257 [`606b7da`](https://github.com/ImageMagick/ImageMagick/commit/606b7dab1c1f3e63b4cd2cca5d77ae3978a6659b)
- cosmetic [`692e6e0`](https://github.com/ImageMagick/ImageMagick/commit/692e6e0594ab861566d70a4ceadbfa5f22234e97)
- pending release [`a39db78`](https://github.com/ImageMagick/ImageMagick/commit/a39db78bea625be78c1574f26b754696b20c3289)

## [7.1.0-2](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-1...7.1.0-2) - 2021-06-25

### Commits

- ... [`580ab36`](https://github.com/ImageMagick/ImageMagick/commit/580ab36e3c1f35820007d76a65f899fe070ebd78)
- ... [`7e4a3fd`](https://github.com/ImageMagick/ImageMagick/commit/7e4a3fd49ce77e6ab77a31c1683f04f904e82658)
- ... [`c46b374`](https://github.com/ImageMagick/ImageMagick/commit/c46b37479fb7ddec1455a040c72aae0f61c76d46)
- fix memory corruption in ConcatenateStringInfo [`601356f`](https://github.com/ImageMagick/ImageMagick/commit/601356f1d2881b57945de8c22349d8758927f76a)
- pending release [`779e759`](https://github.com/ImageMagick/ImageMagick/commit/779e7591234a038f515f415cee7fdc42d1968d24)
- pending release [`c475e5e`](https://github.com/ImageMagick/ImageMagick/commit/c475e5eb6608b8e12b0a31ecb20817c65ad3c62c)

## [7.1.0-1](https://github.com/ImageMagick/ImageMagick/compare/7.1.0-0...7.1.0-1) - 2021-06-20

### Commits

- ... [`50a0ccb`](https://github.com/ImageMagick/ImageMagick/commit/50a0ccbf19bc57f40a372a8c9de11e29de74bcce)
- ... [`2375efa`](https://github.com/ImageMagick/ImageMagick/commit/2375efa7071024ae4e7a229285860958b4ffdab4)
- ... [`ef93bbf`](https://github.com/ImageMagick/ImageMagick/commit/ef93bbf56ee823bad6ec8b35d415c51ff4ccf2b3)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=35322 [`4e56815`](https://github.com/ImageMagick/ImageMagick/commit/4e568154b4c8f9c3a3d5e86d433df013a1c65e96)
- https://github.com/ImageMagick/ImageMagick/issues/3844 [`ab847ac`](https://github.com/ImageMagick/ImageMagick/commit/ab847ac43f81ea470ac297bf17dc519b1bc06700)
- pending release [`85ae49e`](https://github.com/ImageMagick/ImageMagick/commit/85ae49e52b28376eee6c62a286217a7aae8efd3b)
- ver allocate memory, typically used when concatentating strings [`dfbf466`](https://github.com/ImageMagick/ImageMagick/commit/dfbf466c79608daf2ed4fe449c699eee4fae0891)
- Revert patch that automatically changes the image orientation #3844. [`b1d0888`](https://github.com/ImageMagick/ImageMagick/commit/b1d08886f2f4dce7a2edf24d954b46564ced8cd8)
- Moved type cast. [`98e5c74`](https://github.com/ImageMagick/ImageMagick/commit/98e5c745a15bfb366f7111230ab60349e4cb2220)
- pending release [`7d5d870`](https://github.com/ImageMagick/ImageMagick/commit/7d5d8709200877102c5a46c2a273c013c407aa77)
- Execute the video decode delegate differently to make it possible to add extra options. [`cc4638d`](https://github.com/ImageMagick/ImageMagick/commit/cc4638de0c98701b04478a7ecd828caaeb0b58bd)
- Added option to set the vsync option of the video decoder. [`b5604c4`](https://github.com/ImageMagick/ImageMagick/commit/b5604c459f80ff3421e4667d30cf11460a192c2a)
- Use const instead. [`95a729d`](https://github.com/ImageMagick/ImageMagick/commit/95a729dec8abc3aa294eb5cc01cb9d41ed76bfa1)
- Minor refactor. [`ab341ee`](https://github.com/ImageMagick/ImageMagick/commit/ab341eeb27d977eb70d67c54090d6b8fce169590)
- Renamed variables to make the code more readable. [`409b7c6`](https://github.com/ImageMagick/ImageMagick/commit/409b7c6303a5085408343b892d763b0a0e605075)
- Allow reading of incorrectly stored XMP profiles (#3617). [`e71d08a`](https://github.com/ImageMagick/ImageMagick/commit/e71d08aa98be7f1d42b638c12d5f5291a873eb75)
- The pixel memory should be available until WebPAnimEncoderAssemble has been called when writing an animated image. [`75600bb`](https://github.com/ImageMagick/ImageMagick/commit/75600bb09759939ec9ff9434b8dc8c7a53c8ba10)
- pending release [`0dfbabe`](https://github.com/ImageMagick/ImageMagick/commit/0dfbabe9a64c106cfded5aaa1759d39ee5f09272)
- Added extra method to silence warning. [`1f1b43e`](https://github.com/ImageMagick/ImageMagick/commit/1f1b43ea7a493b47d77a9f9de767f06ba511378d)
- pending release [`a5513da`](https://github.com/ImageMagick/ImageMagick/commit/a5513da1b8559fc6789248b7d5afdc1b0bc672e1)

## [7.1.0-0](https://github.com/ImageMagick/ImageMagick/compare/7.0.11-14...7.1.0-0) - 2021-06-12

### Commits

- ... [`20ff6c8`](https://github.com/ImageMagick/ImageMagick/commit/20ff6c82c75ecc5b8241610c25464daf01f615a3)
- Updated ChangeLog with jpeg-xl changes. [`57e2c38`](https://github.com/ImageMagick/ImageMagick/commit/57e2c3877b3b257467abcdf0c600561a658d7caf)
- ... [`0a231ef`](https://github.com/ImageMagick/ImageMagick/commit/0a231ef6295b99d27f08db1406ea3aff39bf8fd5)
- ... [`fadc0fc`](https://github.com/ImageMagick/ImageMagick/commit/fadc0fc36d01baad3651194e27938d375228d46f)
- https://github.com/ImageMagick/ImageMagick/issues/3765 [`4cfe557`](https://github.com/ImageMagick/ImageMagick/commit/4cfe557096716f29ab2b2c5202bb2024e63b198b)
- Use script from GitHub repository instead. [`a684bb0`](https://github.com/ImageMagick/ImageMagick/commit/a684bb010b8ef84481b1603d8a6b74d94c556439)
- Whitespace. [`435fad9`](https://github.com/ImageMagick/ImageMagick/commit/435fad9d1e61d5a3f595cb556986052c4db33e03)
- Added missing define MAGICKCORE_HAVE_UTIME for the Windows build (#3777) [`9be0520`](https://github.com/ImageMagick/ImageMagick/commit/9be05207eb24eed7a161ac90ce5650d392546e41)
- Minor refactoring. [`8d78773`](https://github.com/ImageMagick/ImageMagick/commit/8d78773891268cf41429ece4a688a80651818361)
- Fixed incorrect call to ThrowWriterException. [`f2a0b40`](https://github.com/ImageMagick/ImageMagick/commit/f2a0b4043f0c506df781dd715e161db5d2cb0b33)
- Added define to silence a warning. [`010ae56`](https://github.com/ImageMagick/ImageMagick/commit/010ae561b65e7106a440b86eef895477996b2981)
- https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=35024 [`6eac50b`](https://github.com/ImageMagick/ImageMagick/commit/6eac50b44aa93f52d9244329446b1f45a680c162)
- Write the number of channels of the color profile instead of the image (#2070). [`53a01a2`](https://github.com/ImageMagick/ImageMagick/commit/53a01a2eb137c57e57f060705247fd3df81a5a5f)
- Fix memory leak when it failed to apply ICC color profile [`565b9c4`](https://github.com/ImageMagick/ImageMagick/commit/565b9c4c1d09cdcb016ab77a16c643b9a1755ae2)
- Corrected writing the icc profile in a PDF file (#2070). [`05486ef`](https://github.com/ImageMagick/ImageMagick/commit/05486efc97630a35f9c054f3fe2a4f09b103278a)
- When the compression is OJPEG the colorspace should not be changed to YCbCr. [`bb64ce7`](https://github.com/ImageMagick/ImageMagick/commit/bb64ce7240670b4f87bbeba4ac26d342cd1be016)
- The area value should only be atomic. [`220b524`](https://github.com/ImageMagick/ImageMagick/commit/220b5247245022d9f7636b9fab4adcef88ee3be9)
- ... [`8050b71`](https://github.com/ImageMagick/ImageMagick/commit/8050b715a47876f01921fbee2d9d210e59620f91)
- https://github.com/ImageMagick/ImageMagick/issues/3768 [`4cf2209`](https://github.com/ImageMagick/ImageMagick/commit/4cf220914f3aac3df8ddbb805d26ee670eb7d89f)
- https://github.com/ImageMagick/ImageMagick/issues/3768 [`61ef464`](https://github.com/ImageMagick/ImageMagick/commit/61ef464fc1f1163b4c5b9eacac68ab8ba872e107)
- https://github.com/ImageMagick/ImageMagick/issues/3818 [`864cf87`](https://github.com/ImageMagick/ImageMagick/commit/864cf878a04dbf976ca8e8b5dab7ddfd8a983aa2)
- https://github.com/ImageMagick/ImageMagick/issues/3818 [`c955242`](https://github.com/ImageMagick/ImageMagick/commit/c9552421c6e970ba8b2740d10a9ef230b58f7dd3)
- https://github.com/ImageMagick/ImageMagick/issues/3786 [`bccd8ab`](https://github.com/ImageMagick/ImageMagick/commit/bccd8abe11e42b1549a1ce2dcb809ed0d33519e5)
- https://github.com/ImageMagick/ImageMagick/discussions/3813 [`2430701`](https://github.com/ImageMagick/ImageMagick/commit/24307018801f6c0aea5a8286769a1d25c55ba611)
- https://github.com/ImageMagick/ImageMagick/issues/3779 [`59b1d3f`](https://github.com/ImageMagick/ImageMagick/commit/59b1d3fe20b237e61f12efaf321dbdd68b5e2d77)
- pending release [`9876f46`](https://github.com/ImageMagick/ImageMagick/commit/9876f46e75aa33874e2d5f807f1d68e2b7887a6d)
- ... [`869dd6b`](https://github.com/ImageMagick/ImageMagick/commit/869dd6bb77d9ded5da2e41fcf85dc580a28ce8aa)
- ... [`07b01f2`](https://github.com/ImageMagick/ImageMagick/commit/07b01f2760622b7ad0bed07b8dfb72cdf0444a81)
- ... [`3198e92`](https://github.com/ImageMagick/ImageMagick/commit/3198e92443989fba52c454c259d9495aea86defc)
- https://github.com/ImageMagick/ImageMagick/issues/3818 [`d64f1bb`](https://github.com/ImageMagick/ImageMagick/commit/d64f1bb3a4444898da8cc542c3b9bdda667ea3e9)
- pending release [`b4ca2be`](https://github.com/ImageMagick/ImageMagick/commit/b4ca2bed6e55417f439155eaa6a406ff71798116)
